glib2.0 (2.72.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release (LP: #1969115)
    - Includes workaround for meson #1008382
  * Add patch to recognize GNOME Console as a terminal app
  * Refresh patch
  * debian/libglib2.0-0.symbols: Add new symbol

  [ Johannes Schauer Marin Rodrigues ]
  * debian/libglib2.0-0.postinst.in: only run clean-up-unmanaged-libraries
    on upgrades and not on new installations
    (Closes: #1008096)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Apr 2022 09:35:23 -0400

glib2.0 (2.72.0-1) unstable; urgency=medium

  * New upstream release
    - Fix assertion failure with time zone offsets >= 25 hours
      (Closes: #1007226)
    - Various unit test fixes
    - Fix a memory leak with an invalid format in g_vasprintf()
    - Translation updates
  * Merge 2.71.x release history from experimental
    - d/gbp.conf, d/control.in: Update branch for upload to unstable
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Mar 2022 09:05:21 +0000

glib2.0 (2.70.5-1) unstable; urgency=medium

  * New upstream release
    - Fix assertion failure with time zone offsets >= 25 hours
      (Closes: #1007226)
    - Fix possible buffer overflow in g_canonicalize_filename()

 -- Simon McVittie <smcv@debian.org>  Thu, 17 Mar 2022 23:28:00 +0000

glib2.0 (2.70.4-1) unstable; urgency=medium

  * New upstream release
  * Adjust Lintian overrides for newer Lintian

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Feb 2022 10:08:01 +0000

glib2.0 (2.71.3-1) experimental; urgency=medium

  * New upstream development release

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Mar 2022 19:53:44 +0000

glib2.0 (2.71.2-1) experimental; urgency=medium

  * New upstream development release
  * Update symbols file.
    Ignore removal of g_debug_controller_dup_default, which was only added
    during this development cycle. GLib doesn't guarantee ABI stability
    within x.odd.z branches.
  * d/p/debian/tests-Skip-debugcontroller-test.patch:
    Add patch to skip another unreliable unit test while it's investigated
    upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Feb 2022 20:52:33 +0000

glib2.0 (2.71.1-1) experimental; urgency=medium

  * New upstream development release
  * Merge packaging changes from unstable
    - Use debhelper 13 features instead of dh-exec
  * Update symbols file

 -- Simon McVittie <smcv@debian.org>  Thu, 27 Jan 2022 16:43:04 +0000

glib2.0 (2.70.3-1) unstable; urgency=medium

  * New upstream release
    - Do not allow empty structs (tuples) in D-Bus messages, resolving a
      denial-of-service vulnerability for private GDBus servers that accept
      messages from untrusted clients (glib#2557)
    - Do not allow deep recursion in serialized GVariant binary data,
      resolving a denial of service for anything that loads untrusted
      GVariant binary data (glib#2572)
    - Fix file descriptor handling when launching subprocesses
    - Don't skip fsync when writing out files on btrfs.
      This was based on a kernel behaviour that was guaranteed prior to
      2014, but is no longer considered to be a guarantee.
    - Translation updates
  * Use debhelper 13 features instead of dh-exec
    debhelper now has ${DEB_HOST_MULTIARCH} substitutions, so we don't need
    to use dh-exec for those.
    After that, the one remaining dh-exec feature in use was a conditional
    installation for the FAM GIO module for Hurd. Open-code this in d/rules
    instead.
  * d/gbp.conf: Use upstream/2.70.x branch for packaging.
    We have already had a 2.71.x release.

 -- Simon McVittie <smcv@debian.org>  Wed, 26 Jan 2022 20:18:19 +0000

glib2.0 (2.71.0-2) experimental; urgency=medium

  * Merge packaging updates from unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Dec 2021 17:05:59 +0000

glib2.0 (2.70.2-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on dh-sequence-gnome and dh-sequence-python3
  * debian/rules: Drop environment variable clearing now done for us by dh13

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 04 Dec 2021 20:58:45 -0500

glib2.0 (2.71.0-1) experimental; urgency=medium

  * New upstream development release
  * Unfuzz patch series
  * Update symbols file

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Dec 2021 15:04:01 +0000

glib2.0 (2.70.1-1) unstable; urgency=medium

  * New upstream release
    - Functionally equivalent to previous releases to Debian, except for
      Windows-specific changes
  * Drop patches that came from upstream
  * d/upstream/metadata: Add
  * Use debhelper compat level 13
    - Drop override for dh_missing --fail-missing, which is now the default

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Nov 2021 15:58:04 +0000

glib2.0 (2.70.0-3) unstable; urgency=medium

  * d/rules: Remove internal_pcre build option, which no longer exists.
    Meson 0.60.0 no longer tolerates this.

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Oct 2021 11:25:31 +0100

glib2.0 (2.70.0-2) unstable; urgency=medium

  * d/patches: Update to upstream glib-2-70 branch commit
    2.70.0-41-g359a837ee.
    Among other fixes, this makes sure we receive change-notification from
    NetworkManager (>= 1.31.5), which dropped its legacy PropertiesChanged
    signal in favour of using standard D-Bus Properties. (LP: #1946196)
  * Add Breaks on older versions of glib-networking-tests.
    With this GLib, the old way glib-networking's tests used to mock up
    a particular negotiated protocol no longer works.
  * Add Breaks on versions of gnome-keyring that had elevated capabilities.
    Security hardening in GLib 2.70.0 interferes with their ability to
    connect to D-Bus in some system configurations. (See #994961)
  * Remove vestigial triggers for /usr/lib/gio/modules.
    We no longer load files from that directory (since Debian 11 and Ubuntu
    20.04), but we still had a trigger for it, and the postinst still created
    a module cache if it existed.
  * d/libglib2.0-0.postinst.in: Clean up /usr/lib/gio/modules on upgrade.
    This directory would still exist if older versions of GLib created a
    cache there.
  * d/libglib2.0-0.postinst.in: Add comments indicating when other
    workarounds can be removed
  * Add Lintian override for a unit test depending on a private library
  * Skip memory-monitor-dbus test by default, and add extra debug info.
    Helps: #995178

 -- Simon McVittie <smcv@debian.org>  Sun, 24 Oct 2021 22:41:35 +0100

glib2.0 (2.70.0-1) unstable; urgency=medium

  * New upstream release
  * d/rules: Make shared objects in installed-tests non-executable
  * Remove shebang from taptestrunner.py differently
    - Remove shebang from installed file using sed.
      This avoids missing the fact that there are two copies in the source,
      of which we only patched one.
    - d/p/debian/taptestrunner-Stop-looking-like-an-executable-script.patch:
      Drop, no longer necessary
  * Add Lintian override for #970275
  * d/copyright, d/libglib2.0-0.symbols: Update
  * d/gbp.conf: Switch upstream branch
  * Unfuzz patch series
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 19 Sep 2021 17:11:43 +0100

glib2.0 (2.68.4-1) unstable; urgency=medium

  * New upstream release
    - Avoid a deadlock while finalizing a GLocalFileMonitor
    - Correctly use 3 parameters for close_range(), fixing build with
      glibc 2.34
    - Fix global trash directory detection
    - Make g_string_replace() with empty search string behave sensibly
      (matching Python str.replace())
    - Translation updates: oc, zh_CN, zh_TW
  * tests: Specify charset for generated locales to fix FTBFS with new glibc.
    glibc 2.31-14 dropped support for all non-UTF-8 locales, so we can't
    use /usr/share/i18n/SUPPORTED to choose a suitable charset any more.
  * d/rules: Override dh_fixperms to set correct permissions on /usr/libexec.
    Making everything executable is not quite right for installed-tests.

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Aug 2021 10:31:42 +0100

glib2.0 (2.68.3-2) unstable; urgency=medium

  * Merge from experimental branch
  * Changes relative to 2.68.3-1 in experimental:
    - d/watch: Only watch for stable (2.even.z) releases
    - d/p/debian/61_glib-compile-binaries-path.patch: Remove.
      This patch turns out to be unnecessary, and is harmful for
      cross-compiling. Thanks to Helmut Grohne (Closes: #982213)
  * Changes relative to previous version in unstable:
    - New upstream stable release branch 2.68.x
    - Fix maintainer scripts' handling of /usr/lib/MULTIARCH/gio/modules
      (Closes: #987913, see 2.68.1-2 changelog)
    - Mark dbus as <!nocheck> <!noinsttest>.
      Several of the installed-tests won't be built unless dbus-daemon is
      available, so <!nocheck> is insufficient.
    - Move test-dependencies to Build-Depends-Arch.
      We don't run the majority of the tests when we're only building the
      documentation.
    - Remove an unused Lintian override
    - Add more Lintian overrides for test data
    - Use d/tests/run-with-locales for better locale-sensitive test coverage
  * d/rules: Fix dead link when documenting why we use -Wl,--no-as-needed
  * Bump minimum GLib version for callers of g_dbus_server_new_sync()
    Programs that call this function might be passing in the new flag
    G_DBUS_CONNECTION_FLAGS_AUTHENTICATION_REQUIRE_SAME_USER, which is
    security-significant. Don't allow such programs to be built against
    GLib 2.68 and run with GLib 2.66 or older.
  * Add Breaks on libsoup2.4-tests before 2.72.0-3.
    Older versions of the libsoup test suite had an assertion that would
    only succeed because of a GLib bug, which is fixed in 2.68.x. Newer
    versions tolerate the bug, but do not require it.

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Aug 2021 14:57:30 +0100

glib2.0 (2.68.3-1) experimental; urgency=medium

  * New upstream release 2.68.3, fixing bugs:
    - GFile: `g_file_replace_contents()` reports `G_IO_ERROR_WRONG_ETAG` when
      saving from a symlink
    - glocalfileoutputstream: Fix ETag check when replacing through a symlink
    - gmacros: check that __cplusplus or _MSC_VER is defined
    - gmacros: missing check if __STDC_VERSION__ is defined
    - gthreadedresolver: don't ignore flags in lookup_by_name_with_flags
    - inotify: Fix a memory leak
    - json-glib does not build with glib 2.68.1
    - testfilemonitor test leaks ip_watched_file_t struct
    - tlscertificate: Avoid possible invalid read

 -- Iain Lane <laney@debian.org>  Tue, 29 Jun 2021 15:24:06 +0100

glib2.0 (2.68.1-2) experimental; urgency=medium

  * Fix maintainer scripts' handling of /usr/lib/MULTIARCH/gio/modules:
    - postrm: Only delete GIO module cache on remove or purge.
      Despite its name, the postrm can be invoked for reasons other than
      package removal: in particular, the old version's postrm is run
      during upgrades.
    - postinst: Recreate GIO module directory if deleted by an older
      postrm, to recover from the bug fixed here.
    - postinst: Don't guard glib-compile-schemas or gio-querymodules with
      a check for existence of a directory that is shipped in the .deb.
      If such a directory has somehow gone missing, we want to see
      a warning. This won't make the postinst fail, because we're ignoring
      exit status anyway.
    (Closes: #987913)

 -- Simon McVittie <smcv@debian.org>  Sun, 02 May 2021 14:45:36 +0100

glib2.0 (2.68.1-1) experimental; urgency=medium

  * New upstream stable release
  * d/tests/run-with-locales: Avoid FTBFS with locales-all installed

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Apr 2021 09:42:05 +0100

glib2.0 (2.68.0-1) experimental; urgency=medium

  * New upstream stable release
    - Drop dead code from glib-compile-schemas
    - Improve valgrind suppressions
    - Fix error in g_bytes_icon_new() documentation
    - Avoid close(-1) during error handling
    - Fix copy/paste error in queue test
    - Translation updates
  * Add CVE ID references to previous changelog entries.
    CVE IDs were not yet available at the time these vulnerabilities were
    initially fixed.

 -- Simon McVittie <smcv@debian.org>  Sat, 20 Mar 2021 15:42:00 +0000

glib2.0 (2.67.6-1) experimental; urgency=medium

  * New upstream release
    - This fixes a symlink attack affecting file-roller.
      When g_file_replace() is used with G_FILE_CREATE_REPLACE_DESTINATION
      to replace a path that is a dangling symlink, previously it would
      have also created the target of the symlink as an empty file, which
      could conceivably be security-sensitive if the symlink is
      attacker-controlled. (Closes: #984969; CVE-2021-28153)
  * Revert test-dependency on libc6-dev, which should no longer be
    necessary with the new upstream release.

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Mar 2021 18:18:48 +0000

glib2.0 (2.67.5-2) experimental; urgency=medium

  * debian/tests/control: Test-Depend on libc6-dev; the `pollable` test
    requires it.  See [upstream MR !1977][0]. The upstream tests now rely on
    finding "libutil.so", which is in libc6-dev. Once that MR, or something
    like it, is merged, we can remove this test-dep as the runtime library
    will be being used.
    [0]: https://gitlab.gnome.org/GNOME/glib/-/merge_requests/1977

 -- Iain Lane <laney@debian.org>  Tue, 02 Mar 2021 18:29:23 +0000

glib2.0 (2.67.5-1) experimental; urgency=medium

  * New upstream release
    + Fix more issues with `glib_typeof` macro from 2.67.3–2.67.4 (LP:
      #1916705)
    + Fix regression with some FD mappings passed to
      `g_subprocess_launcher_spawnv()` (Closes: #983026) (LP: #1916701)
  * debian/watch: Fix to not match `..`. The watch file was matching the
    "Parent directory/" link and considering that the highest, since its
    target is `..`. Expect 1+ digits to begin the version number.


 -- Iain Lane <laney@debian.org>  Mon, 01 Mar 2021 17:18:36 +0000

glib2.0 (2.67.4-1) experimental; urgency=medium

  * New upstream release
    - Among other changes, this should fix FTBFS on armel
  * d/libglib2.0-0.symbols: Add g_spawn_async_with_pipes_and_fds

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Feb 2021 09:58:25 +0000

glib2.0 (2.67.3+git20210214-1) experimental; urgency=medium

  * d/changelog: Add bug reference for GHSL-2021-045 to previous entry
  * New upstream git snapshot; among other changes:
    - Fix regressions caused by the GHSL-2021-045 fixes in 2.67.3
    - Warn and fail on integer overflow in g_byte_array_new_take()
      for arrays larger than G_MAXUINT
      (Closes: #982779; CVE-2021-27218)
  * d/libglib2.0-0.symbols: Add g_string_replace()
  * Refresh patch series
  * d/rules, d/tests: Generate various locales mentioned in the tests
  * Mark dbus as <!nocheck> <!noinsttest>.
    Several of the installed-tests won't be built unless dbus-daemon is
    available, so <!nocheck> is insufficient.
  * Move test-dependencies to Build-Depends-Arch.
    We don't run the majority of the tests when we're only building the
    documentation.
  * Remove an unused Lintian override
  * Add more Lintian overrides for test data

 -- Simon McVittie <smcv@debian.org>  Sun, 14 Feb 2021 17:27:54 +0000

glib2.0 (2.67.3-1) experimental; urgency=medium

  * New upstream release
    - Fix various integer overflows, some of them potentially exploitable
      (Closes: #982778; CVE-2021-27219, GHSL-2021-045)
  * Drop patches that came from upstream or were applied upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Feb 2021 22:38:42 +0000

glib2.0 (2.67.2-1) experimental; urgency=medium

  * New upstream release
  * Refresh patch series
  * d/patches: Cherry-pick some fixes from upstream git master.
    This is mostly for parity with the update to 2.66.x that I'm preparing
    for unstable, which also includes the XDG_CURRENT_DESKTOP fixes.
  * d/p/spawn-Don-t-set-a-search-path-if-we-don-t-want-to-search-.patch:
    Make the g_spawn family only search PATH if G_SPAWN_SEARCH_PATH is used.
    Previously, they would sometimes search /usr/bin:/bin:. for an
    executable they should have only loaded from the current working
    directory. In particular, this made gtk+3.0 fail its build-time tests
    if ImageMagick display(1) happened to be installed. (Closes: #977961)

 -- Simon McVittie <smcv@debian.org>  Wed, 27 Jan 2021 12:57:48 +0000

glib2.0 (2.67.1-1) experimental; urgency=medium

  * Branch for experimental and 2.67.x
  * New upstream development release
  * Temporarily use git to fetch upstream release.
    The official tarball release doesn't seem to have made it onto mirrors.
  * d/rules: Explicitly enable libelf dependency for gresource tool
  * d/p/Handle-the-case-of-g_object_run_dispose-in-GBinding.patch:
    Add patch from upstream to fix a regression in GBinding that caused
    gnome-terminal-server to crash on startup

 -- Simon McVittie <smcv@debian.org>  Fri, 11 Dec 2020 11:16:25 +0000

glib2.0 (2.66.8-1) unstable; urgency=medium

  * d/watch: Only watch for 2.66.x versions.
    2.68.0 has been released but will not be in bullseye.
  * New upstream release
    - Functionally equivalent to 2.66.7-2, except for the version number
      and a change to Windows-specific code that is not used in Debian
  * Drop patches that were included in the new upstream release
  * d/p/glocalfileoutputstream-Tidy-up-error-handling.patch:
    Add patch from upstream to clean up error handling.
    After the fix for #984969, this function could end up calling close(-1),
    which is harmless but gets flagged as an error by static analysis and
    by error-checking instrumentation. Fixing this will prevent it from
    obscuring real errors.
  * Add CVE references in recent changelog entries.
    CVE IDs for the vulnerabilities were not available at the time they were
    fixed, but now they are.

 -- Simon McVittie <smcv@debian.org>  Sat, 20 Mar 2021 15:35:19 +0000

glib2.0 (2.66.7-2) unstable; urgency=medium

  * d/changelog: Add bug numbers for integer overflows in previous versions
  * Add patches to fix a symlink attack affecting file-roller.
    When g_file_replace() is used with G_FILE_CREATE_REPLACE_DESTINATION to
    replace a path that is a dangling symlink, previously it would have also
    created the target of the symlink as an empty file, which could
    conceivably be security-sensitive if the symlink is attacker-controlled.
    (Closes: #984969; CVE-2021-28153)

 -- Simon McVittie <smcv@debian.org>  Thu, 11 Mar 2021 10:23:38 +0000

glib2.0 (2.66.7-1) unstable; urgency=high

  * New upstream release
    - Fix another regression caused by the GHSL-2021-045 fixes in 2.66.6
    - Warn and fail on integer overflow in g_byte_array_new_take()
      for arrays larger than G_MAXUINT
      (Closes: #982779; CVE-2021-27218)
    - Disallow using currently-undefined D-Bus connection or server flags,
      to prevent forward-compatibility problems with new security-sensitive
      flags that are likely to be introduced in GLib 2.68
  * Drop previous patches for GHSL-2021-045 regressions, applied upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 11 Feb 2021 17:08:14 +0000

glib2.0 (2.66.6-2) unstable; urgency=high

  * d/patches: Add proposed fixes for regressions in 2.66.6.
    Two functions that took either a positive length, or -1 to indicate
    strlen(), had assertions with the wrong sense in 2.66.6, causing some
    valid uses of those functions to regress.
  * d/p/debian/61_glib-compile-binaries-path.patch: Remove.
    This patch turns out to be unnecessary, and is harmful for
    cross-compiling. Thanks to Helmut Grohne (Closes: #982213)
  * Set high urgency to get the regression fixes into bullseye

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Feb 2021 19:43:08 +0000

glib2.0 (2.66.6-1) unstable; urgency=high

  * New upstream release
    - Fix various integer overflows, some of them potentially exploitable
      (Closes: #982778; CVE-2021-27219, GHSL-2021-045)

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Feb 2021 20:24:20 +0000

glib2.0 (2.66.5-1) unstable; urgency=medium

  * New upstream release, equivalent to 2.66.4-27-g0051c0635
  * Drop patches that were applied upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 03 Feb 2021 19:16:01 +0000

glib2.0 (2.66.4-4) unstable; urgency=medium

  * d/patches: Update patch series to upstream commit 2.66.4-27-g0051c0635
    - Improve test coverage for #977961
    - Stop valgrind reporting memory leaks in GSpawn in most cases
    - Partially revert security hardening from 2.66.4-2: allow
      DBUS_SESSION_BUS_ADDRESS to be taken from the environment by
      setcap executables (to avoid regressing gnome-keyring) and by
      setgid executables (to avoid regressing msmtp).
      (Closes: #981420, #981555)
      Note that this is likely to be reverted in GLib 2.70.x to provide
      better hardening. The D-Bus session bus is not designed to be used
      by processes that have elevated privileges.

 -- Simon McVittie <smcv@debian.org>  Wed, 03 Feb 2021 13:55:41 +0000

glib2.0 (2.66.4-3) unstable; urgency=medium

  * Improve patch for #977961, and add basic test coverage

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Jan 2021 19:05:50 +0000

glib2.0 (2.66.4-2) unstable; urgency=medium

  * d/patches: Update patch series to upstream commit 2.66.4-18-g872181c4f
    (excluding Windows-specific changes)
    - Security hardening: in GIO, ignore various environment variables
      if GIO is (inadvisably) used in a setuid process without sanitizing
      the environment first, similar to CVE-2012-3524
    - Reject very long date strings early, instead of spending time
      normalizing and parsing them
    - Fix recursion in GPrivate
  * d/p/spawn-Don-t-set-a-search-path-if-we-don-t-want-to-search-.patch:
    Make the g_spawn family only search PATH if G_SPAWN_SEARCH_PATH is used.
    Previously, they would sometimes search /usr/bin:/bin:. for an
    executable they should have only loaded from the current working
    directory. In particular, this made gtk+3.0 fail its build-time tests
    if ImageMagick display(1) happened to be installed. (Closes: #977961)

 -- Simon McVittie <smcv@debian.org>  Wed, 27 Jan 2021 11:33:06 +0000

glib2.0 (2.66.4-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Dec 2020 17:26:51 +0000

glib2.0 (2.66.3-2) unstable; urgency=medium

  * Apply packaging changes from experimental to unstable:
    - postinst: Clean up outdated copies of GLib if present, to avoid
      infrequent upgrade issues on non-merged-/usr systems.
      See #911225 and #949395 for more information.
      (Closes: #896019, #954960, #955331)
  * Add myself to Uploaders
  * Standards-Version: 4.5.1 (no changes required)
  * Swap Homepage field to something more GLib-specific
  * d/gbp.conf: Change upstream branch to upstream/2.66.x.
    2.67.0 was already released, so it's inaccurate to say that 2.66.x
    is the latest.

 -- Simon McVittie <smcv@debian.org>  Wed, 02 Dec 2020 12:28:42 +0000

glib2.0 (2.66.3-1+exp1) experimental; urgency=medium

  * Merge from unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Nov 2020 20:47:54 +0000

glib2.0 (2.66.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Improve performance of processing files hidden via ./.hidden
    - All other changes were already included in 2.66.2-1
  * Drop patches that were cherry-picked from upstream
  * Stop reverting gtk-doc dependency version.
    We now have a suitable gtk-doc in Debian.
  * Drop a patch that was not applied upstream.
    This was hoped to be a workaround for intermittent test failures, but
    doesn't seem to have had the desired effect in practice.
  * Mark the DBUS_COOKIE_SHA1 parts of gdbus-server-auth test as flaky.
    This is not reliable enough to always pass on buildds, but is too
    intermittent to be able to reproduce the failure in a development
    environment, and DBUS_COOKIE_SHA1 is not an important enough feature
    to justify failing the build for this.
    As with other flaky tests, we still run this as an autopkgtest in an
    attempt to get more useful information, but we ignore failure.

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Nov 2020 11:11:06 +0000

glib2.0 (2.66.2-1+exp1) experimental; urgency=medium

  * Branch for experimental
  * postinst: Clean up outdated copies of GLib to avoid infrequent
    upgrade issues on non-merged-/usr systems
    (Closes: #896019, #954960, #955331)

 -- Simon McVittie <smcv@debian.org>  Sun, 01 Nov 2020 13:11:00 +0000

glib2.0 (2.66.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Add some missing (nullable) and (not nullable) annotations
  * Drop patches that were cherry-picked from upstream
  * Update patch series to upstream 2.66.2-9-g4daaf303a
    - Fix race in socketclient-slow test
    - Cope with sending fds in a D-Bus message that takes multiple writes
    - Don't skip updating polled fd sources
    - Add G_GNUC_PRINTF annotation to g_trace_mark()
  * d/p/glib-tests-fileutils-Make-more-use-of-g_assert_no_errno.patch,
    d/p/glib-tests-fileutils-Fix-expectations-when-running-as-roo.patch:
    Add proposed patch to fix a test failure when running as root
    (Closes: #973271)
  * d/rules: Remove migration path from legacy -dbg package.
    This was most recently shipped in Debian 9, and we don't support
    upgrades from anything older than Debian 10.
  * Drop obsolete workaround for #887629.
    We don't support upgrades from versions older than Debian 10, so we can
    drop workarounds that were only relevant for the upgrade from 9 to 10.

 -- Simon McVittie <smcv@debian.org>  Sat, 31 Oct 2020 13:54:56 +0000

glib2.0 (2.66.1-2) unstable; urgency=medium

  * Cherry-pick patches from the glib-2-66 branch upstream
    - Fixes the regression called out in 2.66.1-1's changelog.
  * Add-a-test-for-the-6-days-until-EOM-bug.patch,
    Fix-the-6-days-until-the-end-of-the-month-bug.patch: Cherry-pick upstream
    mr!1705 to not break on timezones built with `zic -b slim`

 -- Iain Lane <laney@debian.org>  Fri, 16 Oct 2020 17:38:50 +0100

glib2.0 (2.66.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - A performance problem where timezones were reloaded from disk
      every time a GTimeZone was created has been fixed (upstream issue
      #2204), but this means that changes to /etc/localtime will not take
      effect until a process restarts. Future changes in a subsequent
      2.66.x release will improve this.
    - Security fix for incorrect scope/zone ID parsing in URIs
    - Fix invalid Pointer Arithmetic in g_path_get_basename
    - Fix cookie lifetimes in GDBus DBUS_COOKIE_SHA1 mechanism
    - Fix faulty logic in DNS TXT record parsing
    - trash portal: Handle portal failures
    - gio-tool-trash: Prevent recursion to speed up emptying trash
    - glist: Clarify that g_list_free() and friends only free an entire list
    - gdatetime: Avoid integer overflow creating dates too far in the past
    - Translation updates
  * d/p/glocalfile-Never-require-G_LOCAL_FILE_STAT_FIELD_ATIME.patch,
    d/p/gdbusauthmechanismsha1-Use-the-same-timeouts-as-libdbus.patch:
    Drop patches that were applied upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Oct 2020 09:31:27 +0100

glib2.0 (2.66.0-2) unstable; urgency=medium

  * Team upload
  * d/p/glocalfile-Never-require-G_LOCAL_FILE_STAT_FIELD_ATIME.patch:
    Add proposed patch to fix file copying on ZFS and CIFS (Closes: #970228)
  * d/p/gdbus-server-auth-Don-t-usually-test-non-EXTERNAL-repeate.patch:
    Add proposed patch to work around DBUS_COOKIE_SHA1 test failures
  * d/p/Revert-gtk-doc-dependency-to-1.32.patch: Move to debian subdirectory.
    This patch is not intended to go upstream.

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Sep 2020 22:12:49 +0100

glib2.0 (2.66.0-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
   - Fix missing tab in makefile rule
   - guri: Fix user passed to g_uri_split_with_user() not being NULL'd
   - Translation updates:
  * d/watch: Only watch for stable releases
  * d/p/gdbusauthmechanismsha1-Use-the-same-timeouts-as-libdbus.patch:
    Add patch to fix intermittent test failures on slower architectures.
    This narrowly missed the upstream code freeze, and should be in 2.66.1.

 -- Simon McVittie <smcv@debian.org>  Fri, 11 Sep 2020 09:18:58 +0100

glib2.0 (2.65.3-1) experimental; urgency=medium

  * New upstream release
    + Fixes to the new `statx()` calls — note that since GLib 2.65.2 uses
      `statx()` (if available) instead of
      `stat()`/`fstat()`/`lstat()`/`fstatat()`, syscall sandboxing for third
      party applications might need to be updated
    + Also includes "Fix splice behavior on cancellation", a fix for a bug
      which was affecting tracker - particularly its autopkgtests.

 -- Iain Lane <laney@debian.org>  Thu, 03 Sep 2020 18:55:20 +0100

glib2.0 (2.65.2-1) experimental; urgency=medium

  * Team upload
  * New upstream development release
  * d/rules: Run gtk-doc checks, even if building indep-only.
    Previously we would only run the gtk-doc checks if building
    architecture-dependent and -independent packages in the same build,
    which is done on Ubuntu amd64 buildds, but not on any Debian buildds.
  * Reduce dependency to the version of gtk-doc-tools from unstable.
    Instead of being some random snapshot from upstream git, this is the
    last release plus some selected patches. In particular, it has enough
    fixes to make the gtk-doc tests pass (Closes: #968975).
  * d/libglib2.0-tests.lintian-overrides: Update

 -- Simon McVittie <smcv@debian.org>  Tue, 25 Aug 2020 12:44:02 +0100

glib2.0 (2.65.1-1) experimental; urgency=medium

  [ Sebastien Bacher ]
  * debian/control.in:
    - let libglib2.0-tests Depends on libglib2.0-0 (= ${binary:Version}),
      otherwise we can end up with failures due to out of sync versions

  [ Simon McVittie ]
  * d/shlibs.local: Upgrade all binary packages in lockstep.
    Like many projects where one source package builds multiple binary
    packages, GLib has private headers that share non-public interfaces
    between its binary packages. Instead of setting this up for individual
    binary packages, we can tell dpkg-shlibdeps to generate lockstep
    dependencies whenever one of our binary packages depends on our shared
    libraries.
  * d/watch, d/control.in, d/gbp.conf: Branch for experimental
  * New upstream development release
    - Require the experimental version of gtk-doc-tools.
      GLib 2.65.x requires a version that hasn't been released yet.
    - Update symbols file
    - Drop patches that were applied upstream

 -- Simon McVittie <smcv@debian.org>  Fri, 07 Aug 2020 15:44:34 +0100

glib2.0 (2.64.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Improve async-signal-safety
  * d/tests/build: Don't exercise static linking for GIO.
    libmount will no longer support being linked statically from 2.35.2-8
    onwards. For now I'm continuing to test that the other libraries can
    still be statically linked, but please consider them to be "at risk".
    (Closes: #963933)
  * Re-enable libmount support.
    libmount no longer depends on libcryptsetup, avoiding the various
    crashes that we are working around. Future versions will dlopen it
    on-demand, which should also avoid those crashes. Bump the
    build-dependency to a suitable version.
  * d/p/tests-Use-g_assert_-in-cancellable-test-rather-than-g_ass.patch,
    d/p/gcancellable-Fix-minor-race-between-GCancellable-and-GCan.patch:
    Split combined d/p/git_gsource_segfault.patch into its two component
    upstream commits, and add metadata
  * d/p/glib-compile-resources-Fix-exporting-on-Visual-Studio.patch,
    d/p/gdesktopappinfo-Fix-unnecessarily-copied-and-leaked-URI-l.patch:
    Add post-release bugfixes from upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Jul 2020 13:33:01 +0100

glib2.0 (2.64.3-2) unstable; urgency=medium

  * Team upload
  * Temporarily disable libmount support.
    Recent Debian revisions of libmount pull in libcryptsetup as a
    dependency, for dm-verity support. libcryptsetup depends on json-c
    and OpenSSL, causing crashes due to symbol conflicts with other
    JSON libraries (jansson and json-glib, for example in firewalld and
    virt-manager) and with statically-linked copies of OpenSSL (for
    example in Steam and Minecraft). Until this is resolved in some
    other way, disable libmount and parse /etc/fstab and /proc/mounts
    ourselves, as we do in libglib2.0-udeb.
    Mitigates: #963933, #963932, #963525, #963721

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Jul 2020 10:05:03 +0100

glib2.0 (2.64.3-1) unstable; urgency=medium

  * Team upload

  [ Laurent Bigonville ]
  * Drop the libgio-fam package, and install the fam GIO plugin in
    libglib2.0-0 on Hurd ports. See: #885011 (Closes: #875915)
  * Stop building the libgio-fam package on kFreeBSD ports.
    It is no longer necessary now that gkqueuefilemonitor is available.

  [ Simon McVittie ]
  * Clarify changelog entry regarding Hurd and kFreeBSD
  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Fri, 29 May 2020 20:24:33 +0100

glib2.0 (2.64.2-1) unstable; urgency=medium

  [ Simon McVittie ]
  * Add Breaks on older versions of gimp, which used a syntactically
    invalid property name in a plugin, and would crash when GObject
    rejects syntactically invalid property names

  [ Sebastien Bacher ]
  * New upstream release
  * debian/patches/git_gsource_segfault.patch:
    - backport an upstream git change to fix a signal handler disconnect
      segfault situation (lp: #1872153)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 15 Apr 2020 23:01:50 +0200

glib2.0 (2.64.1-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
  * d/p/tests-Skip-MemoryMonitor-test-if-GObject-Introspection-is.patch:
    Drop patch, applied upstream
  * Add Breaks on glib-networking-tests older than 2.63.2.
    Those versions had a test that relied on TLS version fallback
    behaviour that has now been removed. (Closes: #953766)

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Mar 2020 18:39:17 +0000

glib2.0 (2.64.0-2) unstable; urgency=medium

  * Team upload
  * Merge packaging changes from unstable with new upstream release from
    experimental
  * d/control.in: Add Breaks on libgladeui-2-6 before 3.22.2.
    Older versions used a syntactically invalid property name
    "support warning", which GObject used to canonicalize to
    "support-warning". GLib 2.64 made this check more strict (see #953010).

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Mar 2020 21:22:18 +0000

glib2.0 (2.64.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Fixes a vulnerability where GSocketClient sometimes forgot to use
      a configured proxy (CVE-2020-6750, Closes: #948554)
    - Stop installing gio-launch-desktop, which no longer exists
    - d/p/docs-Don-t-install-object-manager-example-separately.patch:
      Drop, applied upstream
  * d/p/debian/testfilemonitor-Skip-if-we-are-avoiding-flaky-tests.patch:
    Treat testfilemonitor as a flaky test
  * Standards-Version: 4.5.0 (no changes required)
  * New upstream release
  * d/p/tests-Skip-MemoryMonitor-test-if-GObject-Introspection-is.patch:
    Skip MemoryMonitor test if GObject-Introspection is too old to know it
  * Install a shell script implementation of the old gio-launch-desktop
    executable. While not required for *this* GLib, it is required by
    old processes that already had the old GLib (2.57.2 to 2.63.5) in
    memory before the upgrade. This can be removed after Ubuntu 20.04
    and Debian 11 are both released.

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Feb 2020 17:16:04 +0000

glib2.0 (2.63.5-2) experimental; urgency=medium

  * Skip-unreliable-gdbus-threading-tests--by-default.patch: Skip all of
    gdbus-threading test_method_calls_in_thread() has become (more?)
    unreliable too. When skipped, the test bus doesn't get torn down properly
    - it times out. Let's stop running these tests for now, until they are
    made reliable.

 -- Iain Lane <laney@debian.org>  Wed, 19 Feb 2020 17:16:16 +0000

glib2.0 (2.63.5-1) experimental; urgency=medium

  [ Iain Lane ]
  * New upstream release

  [ Philip Withnall ]
  * Rework 01_gettext-desktopfiles.patch to not add new public API.
    Downstreams should not be adding new public API to GLib. From some code
    searching, this doesn’t appear to be used in more than one or two places,
    so won’t be too inconvenient to drop.  The original patch should either be
    upstreamed (I’d be open to some form of it, if there’s still evidence it’s
    useful) or dropped. If it’s upstreamed, the new keys should be
    standardised.  The alternative to this was to document the added public
    API; its addition was causing the new gtk-doc tests in GLib to fail.
  * Bump gtk-doc-tools dependency to >= 1.32-4 as GLib requires some fixes
    pushed to gtk-doc after its 1.32 release.
  * control: Bump Meson dependency to >= 0.52.0 for building the documentation
  * Drop PKCS#11 APIs added in 2.63.1 (not stable yet)
      - g_tls_certificate_new_from_pkcs11_uris()
  * Remove patches applied upstream:
    - tests-Skip-GMemoryMonitor-tests-if-the-dbusmock-template-.patch
    - tests-optional-portal.patch
  * d/p/docs-Don-t-install-object-manager-example-separately.patch: Add patch
    from upstream to disable incorrect installation of some example
    documentation
  * Rework libmount Meson argument as it’s now a feature; see !1344 upstream

 -- Iain Lane <laney@debian.org>  Mon, 17 Feb 2020 17:47:17 +0000

glib2.0 (2.63.3-3) experimental; urgency=medium

  * debian/control.in:
    - lower the libglib2.0-tests Depends on xdg-desktop-portal to a
      Recommends since the portal is not available on some architectures
  * debian/patches/tests-optional-portal.patch:
    - skip the new memory monitor tests if the portal is not available,
      that allows the tests to be still successful on architectures were
      the portal is not available (e.g Ubuntu/i386)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 22 Jan 2020 09:36:27 +0200

glib2.0 (2.63.3-2) experimental; urgency=medium

  * debian/control.in:
    - libglib2.0-tests Depends on xdg-desktop-portal, it's required by the
      new low memory tests (and got enabled by the new python-dbusmock)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 16 Jan 2020 10:28:46 +0100

glib2.0 (2.63.3-1) experimental; urgency=medium

  [ Iain Lane ]
  * New upstream release
    + Add a `--glib-min-version` argument to `gdbus-codegen` which controls
      breaks in the API of generated code
    + Add `g_clear_list()` API to clear `GList`s to `NULL`
    + Add a `GMemoryMonitor` API to be notified of memory pressure situations
      using the low-memory-monitor project
    + Add support for dispose functions for `GSource` implementations
    + Tighten up validation of GObject signal and property names, allowing
      performance improvements
  * debian/tests/build: Style fixes, thanks to shellcheck.
  * d/p/d/Disable-some-tests-on-slow-architectures-which-keep-faili.patch:
    Rebase. Upstream have disabled these tests by default too (unless slow
    mode is enabled), so we don't need to add a patch to do a similar thing.
  * debian/libglib2.0-0.symbols: New symbols for 2.63.3
  * d/p/tests-Skip-GMemoryMonitor-tests-if-the-dbusmock-template-.patch: Add.
    We don't have a new enough dbusmock in Debian at the minute (one is not
    released yet). Skip the test if the required template isn't available.
  * control: Add Depends for the new memory-monitor tests.
    There are new tests, written in python, for GMemoryMonitor. They require
    dbus-python, pygobject, and the GI bindings for GLib and GIO.

  [ Steve Langasek ]
  * debian/tests/build: Make cross-test friendly
    autopkgtest is soon to get a `-a ARCHITECTURE` switch, which will
    cross-test autopkgtests. This is to be detected by the presence of the
    `dpkg-architecture`-style family of variables being set in the
    environment.
    For build tests like `glib2.0`'s `build` test, this means that we should
    test "${DEB_HOST_ARCH}" and invoke the cross toolchain as necessary.
    (Closes: #946355)

 -- Iain Lane <laney@debian.org>  Wed, 18 Dec 2019 14:02:00 +0000

glib2.0 (2.63.2-1) experimental; urgency=medium

  * Team upload
  * Merge packaging changes from unstable
    - Support for pkg.glib2.0.noinsttest build profile
  * d/control.in: Refer to debian/experimental branch.
    This avoids false-positive warnings from vcswatch.
  * New upstream release
    - Drop patches that were applied upstream
  * Rename pkg.glib2.0.noinsttest build profile to noinsttest.
    This is now registered on <https://wiki.debian.org/BuildProfileSpec>.
  * Update symbols file

 -- Simon McVittie <smcv@debian.org>  Sat, 30 Nov 2019 10:55:48 +0000

glib2.0 (2.63.1-2) experimental; urgency=medium

  * d/p/Revert-glocalfileinfo-Only-return-file-mode-not-type-as-U.patch:
    Revert "glocalfileinfo: Only return file mode, not type, as UNIX_MODE
    attribute" This reverts commit bfdc5fc4fc84ef8518d2d1a328c8482cf5a38e98.
    This commit changes the semantics of the `unix::mode` attribute, which
    some things (the one we've noticed is ostree) rely on.
  * d/p/test_copy_preserve_mode-Adjust-for-revert-semantics.patch:
    test_copy_preserve_mode: Adjust for revert semantics. Now we're returning
    the file type again, we need to mask it out to compare with the mode.

 -- Iain Lane <laney@debian.org>  Mon, 18 Nov 2019 13:59:35 +0000

glib2.0 (2.63.1-1) experimental; urgency=medium

  * New upstream release
    - Add `g_array_steal()`, `g_ptr_array_steal()` and `g_byte_array_steal()`
      APIs
    - Add `g_get_os_info()` API
    - Add `GMainContextPusher` API
    - Add `g_warning_once()` API
    - Allow passing empty `GValue`s to `g_param_value_set_default()`
    - Always resolve `localhost` to loopback address in `GResolver`
    - Escape header guards generated by `gdbus-codegen` better
    - Fix crash in `g_spawn()` with high FD numbers due to use of `select()`
      rather than `poll()`
    - Limit recursion in `g_variant_parse()`
    - Several usability improvements to command line `gio` tool
  * debian/libglib2.0-0.symbols: Add new symbols for this release
  * debian/patches/*:
    - Drop backports we had which are in this release.
    - Update to upstream master at cc1b53f74. There are several test fixes
      that we might as well grab now.

 -- Iain Lane <laney@debian.org>  Wed, 06 Nov 2019 16:37:24 +0000

glib2.0 (2.62.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fixes a vulnerability where GSocketClient sometimes forgot to use
      a configured proxy (CVE-2020-6750, Closes: #948554)
  * Build-depend on libnss-myhostname | netbase if running tests.
    This is an attempt to work around localhost not being a resolvable
    name in some build environments, notably reproducible-builds.
    (See #948834)
  * Put the result of `getent ahosts localhost` and
    `getent ahosts $(hostname)` in the build log, to check whether those
    names are resolvable in the build environment.
  * d/p/debian/testfilemonitor-Skip-if-we-are-avoiding-flaky-tests.patch:
    Treat testfilemonitor as a flaky test
  * Standards-Version: 4.5.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 25 Feb 2020 12:19:00 +0000

glib2.0 (2.62.4-2) unstable; urgency=medium

  * Team upload
  * Adjust dependencies to avoid broken partial upgrades on arm64 during
    libffi7 transition:
    - Bump versioned Depends on libffi-dev to get a guarantee that we'll
      depend on libffi7
    - Add Breaks on libgirepository-1.0-1 (<< 1.62.0-4~) so we cannot
      get a GObject built with libffi7 but a libgirepository built with
      libffi6

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Feb 2020 15:12:40 +0100

glib2.0 (2.62.4-1) unstable; urgency=medium

  * Team upload

  [ Steve Langasek ]
  * debian/tests/build: Make cross-test friendly (Closes: #946355)

  [ Iain Lane ]
  * debian/tests/build: Style fixes

  [ Simon McVittie ]
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Dec 2019 13:01:04 +0000

glib2.0 (2.62.3-2) unstable; urgency=medium

  * Team upload
  * Rename pkg.glib2.0.noinsttest build profile to noinsttest.
    This is now registered on <https://wiki.debian.org/BuildProfileSpec>.

 -- Simon McVittie <smcv@debian.org>  Sun, 01 Dec 2019 16:05:01 +0000

glib2.0 (2.62.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Drop patches that were applied upstream
  * Don't build libglib2.0-tests under pkg.glib2.0.noinsttest build profile.
    This is a prototype of the proposed standard build profile noinsttest.
    If the build profiles include both nocheck and pkg.glib2.0.noinsttest,
    we can drop the libdbus-1-dev build-dependency without harming test
    coverage or altering the contents of binary packages.
  * d/gbp.conf: Use upstream/2.62.x branch

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Nov 2019 08:47:58 +0000

glib2.0 (2.62.2-3) unstable; urgency=medium

  * Team upload

  [ Iain Lane ]
  * control: Drop `debian/experimental` from Vcs-*

  [ Simon McVittie ]
  * Build-depend on libdbus-1-dev for better test coverage
  * Update to upstream commit 2.62.2-28-g3cf25070e:
    - d/p/goption-Relax-assertion-to-avoid-being-broken-by-kdeinit5.patch:
      Fix assertion failure when called from a process that overwrites its
      argv, such as kdeinit5
    - d/p/gdbus-peer-Specifically-listen-on-127.0.0.1.patch:
      Improve reliability of gdbus-peer test in some container environments
    - d/p/gdbusserver-Delete-socket-and-nonce-file-when-stopping-se.patch,
      d/p/gdbusserver-Keep-a-strong-reference-to-the-server-in-call.patch,
      d/p/gdbusauthmechanismsha1-Remove-unnecessary-g_warning-calls.patch,
      d/p/gdbusauthmechanismsha1-Create-.dbus-keyrings-directory-re.patch,
      d/p/tests-Move-main-loop-and-test-GUID-into-test-functions-in.patch,
      d/p/tests-Isolate-directories-in-gdbus-peer-test.patch,
      d/p/gdbus-peer-test-Improve-diagnostics-if-g_rmdir-fails.patch,
      d/p/gdbus-peer-test-Stop-GDBusServer-before-tearing-down-temp.patch,
      d/p/gdbus-peer-test-Use-unix-dir-address-if-exact-format-does.patch,
      d/p/gdbus-server-auth-test-Create-temporary-directory-for-Uni.patch:
      Mark as applied upstream in 2.62.x branch
  * d/p/gdbus-server-auth-test-Include-gcredentialsprivate.h.patch:
    Apply patch from 2.63.x to fix missing coverage in test for #941018
  * d/p/Make-ld-executable-configurable.patch:
    Apply patch from 2.63.x to use cross ld where necessary
  * d/p/gdbus-server-auth-test-Create-temporary-directory-for-Uni.patch:
    Mark as applied upstream in 2.63.x branch
  * Improve patch metadata: use more URLs for bug references

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Nov 2019 09:02:14 +0000

glib2.0 (2.62.2-2) unstable; urgency=medium

  * Team upload
  * Update to upstream commit 2.62.2-14-gfcbb88823:
    - d/p/gdesktopappinfo-Allocate-DesktopFileDir-structs-dynamical.patch,
      d/p/gdesktopappinfo-Cancel-file-monitor-when-resetting-a-Desk.patch,
      d/p/glocalfilemonitor-Keep-a-weak-ref-to-the-monitor-in-GFile.patch:
      Fix intermittent test failures for GDesktopAppInfo (Closes: #941550)
    - d/p/gvariant-Limit-recursion-in-g_variant_parse.patch:
      Ensure that parsing a text-format GVariant does not run out of stack
      space
    - d/p/tests-Use-objcopy-from-the-cross-compilation-file-if-conf.patch,
      d/p/docs-Add-objcopy-to-example-cross-compilation-file.patch:
      Use the appropriate architecture's objcopy when cross-compiling
    - d/p/gtestutils-Add-additional-non-NULL-check-in-g_assert_cmpm.patch:
      Avoid false positive NULL dereference warnings in g_assert_cmpmem()
    - d/p/gspawn-Port-to-g_poll-from-select.patch:
      Fix launching subprocesses when a very large number of fds are open
    - d/p/gcredentialsprivate-Document-the-various-private-macros.patch,
      d/p/credentials-Invalid-Linux-struct-ucred-means-no-informati.patch,
      d/p/GDBus-prefer-getsockopt-style-credentials-passing-APIs.patch:
      Ensure libdbus clients can authenticate with a GDBusServer like the
      one in ibus (Closes: #941018)
  * d/p/gdbusserver-Delete-socket-and-nonce-file-when-stopping-se.patch,
    d/p/gdbusserver-Keep-a-strong-reference-to-the-server-in-call.patch,
    d/p/Add-a-test-for-GDBusServer-authentication.patch:
    Backport regression test for #941018 from upstream git master
  * d/p/gdbusauthmechanismsha1-Remove-unnecessary-g_warning-calls.patch,
    d/p/gdbusauthmechanismsha1-Create-.dbus-keyrings-directory-re.patch,
    d/p/tests-Move-main-loop-and-test-GUID-into-test-functions-in.patch,
    d/p/tests-Isolate-directories-in-gdbus-peer-test.patch:
    Backport reliability fixes for gdbus-peer test from upstream git master
  * d/p/gdbus-peer-test-Improve-diagnostics-if-g_rmdir-fails.patch,
    d/p/gdbus-peer-test-Stop-GDBusServer-before-tearing-down-temp.patch,
    d/p/gdbus-peer-test-Use-unix-dir-address-if-exact-format-does.patch,
    d/p/gdbus-server-auth-test-Create-temporary-directory-for-Uni.patch:
    Add some proposed patches to improve GDBus unit tests
  * d/p/debian/mimeapps-test-Mark-as-flaky.patch:
    Drop patch, hopefully no longer needed with #941550 fixed
  * d/p/debian/taptestrunner-Stop-looking-like-an-executable-script.patch:
    Make taptestrunner non-executable to avoid a Lintian warning

 -- Simon McVittie <smcv@debian.org>  Wed, 30 Oct 2019 08:45:56 +0000

glib2.0 (2.62.2-1) unstable; urgency=medium

  * New upstream release
    + Fixes use after free when calling g_dbus_connection_flush_sync() in a
      dedicated thread (LP: #1848202)

 -- Iain Lane <laney@debian.org>  Fri, 25 Oct 2019 10:54:42 +0100

glib2.0 (2.62.1-1) unstable; urgency=medium

  * Team upload
  * d/watch: Only watch for even-numbered (stable) releases
  * New upstream release
    - Fix regression that made G_FILE_COPY_TARGET_DEFAULT_PERMS result in
      private permissions rather than respecting umask (Closes: #505398)
    - d/p/g_file_info_get_modification_date_time-Calculate-in-integ.patch,
      d/p/Always-build-tests-if-we-enabled-installed-tests.patch:
      Drop patches that were applied upstream
  * d/p/debian/mimeapps-test-Mark-as-flaky.patch:
    Mark mimeapps test as flaky (see #941550)

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Oct 2019 09:46:24 +0100

glib2.0 (2.62.0-3) unstable; urgency=medium

  * Team upload
  * Merge packaging from 2.60.x branch previously in unstable
    - No changes since 2.62.0-2, except in d/changelog
    - d/p/debian/Disable-an-optimization-when-building-with-gcc-9.patch:
      Remove workaround for #931921, which turned out to be a clutter bug
  * d/p/Always-build-tests-if-we-enabled-installed-tests.patch:
    Add patch to fix installation of installed-tests in cross-builds
    (Closes: #941509)
  * d/p/g_file_info_get_modification_date_time-Calculate-in-integ.patch:
    Add patch to fix intermittent g-file-info test failures on i386
    (Closes: #941547)
  * libglib2.0-dev: Suggest libgirepository1.0-dev, for the GIR files
    (Closes: #914152)
  * d/gbp.conf: Use debian/master branch
  * Standards-Version: 4.4.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 02 Oct 2019 09:13:12 +0100

glib2.0 (2.60.6-2) unstable; urgency=medium

  * Team upload
  * d/rules: Edit debcrossgen output instead of using a modified version.
    This fixes use of CFLAGS, etc. during cross-compilation.
    (Closes: #933560)
  * Remove obsolete permissions fixing.
    Issue 1539 was fixed upstream.
  * d/p/debian/Disable-an-optimization-when-building-with-gcc-9.patch:
    Disable an optimization when building with gcc-9, instead of forcing
    gcc-8. This avoids depending on an old gcc, and should be easier to
    deal with for cross-compilation. (Workaround for #931921)
  * d/p/gmessages-Only-use-structured-logs-if-GLIB_VERSION_MAX_AL.patch:
    Update to upstream glib-2-60 branch at commit 2.60.6-2-ga365528f6
    - Don't use structured logging if GLIB_VERSION_MAX_ALLOWED < 2.56

 -- Simon McVittie <smcv@debian.org>  Tue, 13 Aug 2019 10:32:40 +0100

glib2.0 (2.62.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (Closes: #940161)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 12:33:16 +0200

glib2.0 (2.62.0-1) experimental; urgency=medium

  * New upstream release
    + Fix new `GFileInfo` APIs to work when
      `G_FILE_ATTRIBUTE_TIME_MODIFIED_USEC` was not queried

 -- Iain Lane <laney@debian.org>  Mon, 09 Sep 2019 15:41:48 +0100

glib2.0 (2.61.3-1) experimental; urgency=medium

  * New upstream release
  * d/p: Drop cherry-picks from upstream branch which we now have
  * d/p/d/Disable-an-optimization-when-building-with-gcc-9.patch: Drop,
    clutter has been fixed now (thanks Simon)
  * d/p/*: Refresh via gbp-pq as necessary

 -- Iain Lane <laney@debian.org>  Wed, 04 Sep 2019 17:29:23 +0100

glib2.0 (2.61.2-2) experimental; urgency=medium

  * Team upload
  * d/p/cond-test-Don-t-make-assumptions-about-struct-sigaction-m.patch:
    Add proposed patch to fix FTBFS due to a test failure on mips*

 -- Simon McVittie <smcv@debian.org>  Tue, 13 Aug 2019 10:29:29 +0100

glib2.0 (2.61.2-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/patches: Update to upstream git master, commit 2.61.2-23-g870b30bd7
    - Fix regression in g_mkdir_with_permissions()
    - Fix a memory leak
    - Update translations: es, id, ro
  * Merge changes from unstable
  * Refresh patch series
  * d/p/debian/06_thread_test_ignore_prctl_fail.patch:
    Use g_test_skip() when skipping test
  * d/p/GIO-tests-Don-t-do-clever-tricks-with-objcopy.patch:
    Drop workaround for #932287, and build-depend on fixed binutils on
    mips64el instead
  * d/rules: Edit debcrossgen output instead of using a modified version.
    This fixes use of CFLAGS, etc. during cross-compilation.
    (Closes: #933560)
  * d/libglib2.0-0.symbols: Update
  * Remove obsolete permissions fixing.
    Issue 1539 was fixed upstream.
  * libglib2.0-tests: Depend on libglib2.0-dev-bin.
    This is required for the new mkenums and genmarshal tests.
  * d/p/debian/Disable-an-optimization-when-building-with-gcc-9.patch:
    Disable an optimization when building with gcc-9, instead of forcing
    gcc-8. This avoids depending on an old gcc, and should be easier to
    deal with for cross-compilation. (Workaround for #931921)

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Aug 2019 09:32:26 +0100

glib2.0 (2.60.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release, functionally equivalent to 2.60.5 with the
    patches we were already applying
    - d/p/portal-Add-a-getter-for-dconf-access.patch,
      d/p/settings-Tweak-priorities-for-keyfile-backend.patch,
      d/p/key-file-Handle-filename-being-NULL.patch:
      Drop, applied upstream
  * d/p/tests-Fix-data-race-in-gmenumodel-test.patch,
    d/p/tests-Fix-data-race-in-task-test.patch:
    Add patches from upstream git master to fix data races in tests.
    In particular, the one for gmenumodel might solve an unreproducible
    test failure on i386 (see #932678).
  * d/p/debian/gmenumodel-test-Mark-as-flaky.patch,
    d/p/debian/gvariant-test-Don-t-run-at-build-time-on-mips.patch:
    Skip more tests at build-time and during the non-flaky autopkgtest.
    The unreproducible gmenumodel test failure on i386 might in fact be
    fixed by d/p/tests-Fix-data-race-in-gmenumodel-test.patch, but it's
    hard to be sure about that. The gvariant fuzz test is catastrophically
    slow on certain mips CPUs and so is impractical to run there.
    (Closes: #932678)
  * Standards-Version: 4.4.0 (no changes required)
  * Use debhelper compat level 12
    - Stop explicitly passing -V to dh_makeshlibs, it is now the default
    - Disable dh_dwz for libglib2.0-udeb.
      This avoids an apparent debhelper bug in which dh_dwz generates
      multifiles for udebs, but dh_strip does not remove them from the
      udeb's staging directory. (Workaround for #933212)
  * Stop overriding libexecdir.
    Since FHS 3.0 (Policy 4.1.5), /usr/libexec is considered valid,
    and since debhelper compat level 12 it is the default.
    In this particular package this only affects the installed-tests.
  * Remove an obsolete Lintian override

 -- Simon McVittie <smcv@debian.org>  Sat, 27 Jul 2019 16:57:55 +0100

glib2.0 (2.60.5-1) unstable; urgency=medium

  * Team upload
  * Prepare GLib 2.60.x stable branch for unstable
  * New upstream release
  * d/p/portal-Add-a-getter-for-dconf-access.patch,
    d/p/settings-Tweak-priorities-for-keyfile-backend.patch,
    d/p/key-file-Handle-filename-being-NULL.patch:
    Add post-release fixes from upstream glib-2-60 branch
  * d/p/GIO-tests-Don-t-do-clever-tricks-with-objcopy.patch:
    Don't do strange things with objcopy while testing GResource,
    while we work out what is going on in mips64el builds.
    Mitigates: #932287

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Jul 2019 21:36:30 +0100

glib2.0 (2.61.1-2) experimental; urgency=medium

  * control, rules: Build with gcc-8. See #931921 - when we're built with
    gcc-9, some applications that use GLib might start hanging.

 -- Iain Lane <laney@debian.org>  Fri, 12 Jul 2019 11:37:01 +0100

glib2.0 (2.61.1-1) experimental; urgency=medium

  * New upstream release
    + `g_unichar_isxdigit()` and `g_unichar_xdigit_value()` now handle
       full-width characters (U+FF21–U+FF26 and U+FF41–U+FF46)
    + Deprecate `gtester` utility and its test reporting format and enable TAP
      output by default instead — the `--tap` option to tests is now a no-op
    + Add `g_test_summary()` to allow test authors to programmatically summarise
      what each unit test in a test suite does
    * Upgrade to Unicode Character Database v12.1
    + More IPv6 Happy Eyeballs fixes to `GNetworkAddress` and `GSocketClient`
    + Fix valgrind and gdb support for the new `GHashTable` changes
    + Fix GTask wait times growing faster than the number of task threads
    + Add `g_autoqueue()` helper macros, similar to `g_autolist()`
    + Add pre-allocated link helpers for `GList` and `GQueue`:
      - `g_list_insert_before_link()`
      - `g_queue_insert_before_link()`
      - `g_queue_insert_after_link()`
    + Improve network availability detection with NetworkManager to treat lower
      levels of connectivity as having reduced availability
    + Add `g_clear_signal_handler()` to allow disconnecting from a `GObject`
      signal and clearing the signal handler ID to zero in a single call
    + Add `g_autoptr()` support for `GRWLock`
  * 81-skip-monitor-test-on-non-linux.patch: Drop. This test was removed
    upstream.
  * debian/libglib2.0-0.symbols: Update

 -- Iain Lane <laney@debian.org>  Fri, 05 Jul 2019 17:45:06 +0100

glib2.0 (2.60.4-1) experimental; urgency=medium

  * New upstream release (LP: #1832457)
  +  Fixes to improved network status detection with NetworkManager (#1788)
  + Leak fixes to some `glib-genmarshal` generated code
  + Further fixes to the Happy Eyeballs (RFC 8305) implementation
  + File system permissions fix to clamp down permissions in a small time window
    when copying files (CVE-2019-12450)
  + Bugs fixed:
   - Please revert #535 gmacros: Try to use the standard __func__ first in
     G_STRFUNC
  * gfile-Limit-access-to-files-when-copying.patch: Drop. It's in this version
    upstream.
  * d/p/*: Refresh through gbp pq

 -- Iain Lane <laney@debian.org>  Wed, 12 Jun 2019 09:15:11 +0100

glib2.0 (2.60.3-2) experimental; urgency=medium

  * Team upload
  * d/p/gfile-Limit-access-to-files-when-copying.patch:
    Backport patch from upstream to ensure files don't temporarily have
    less restrictive permissions during copying
    (Closes: #929753, CVE-2019-12450)
  * Drop d/p/debian/04_homedir_env.patch:
    Remove legacy support for Debian-specific G_HOME environment variable.
    GLib has respected the HOME environment variable in the conventional
    way since wheezy. Only two packages (pygtk and ruby-graphviz) still
    set G_HOME without also setting HOME.
  * Drop d/p/debian/90_gio-modules-multiarch-compat.patch:
    Remove legacy support for loading modules from /usr/lib/gio/modules.
    All the known packages containing GIO modules (dconf, glib-networking
    and gvfs) migrated to /usr/lib/${DEB_HOST_MULTIARCH}/gio/modules
    before wheezy.
  * Register documentation in doc-base via symlinks in /usr/share/doc.
    The doc-base specification requires this, presumably for the benefit
    of tools that export /usr/share/doc via HTTP (see #925200), and
    Lintian 2.12 added a warning for not doing so.

 -- Simon McVittie <smcv@debian.org>  Tue, 04 Jun 2019 11:03:28 +0100

glib2.0 (2.60.3-1) experimental; urgency=medium

  * New upstream releases 2.60.1 2.60.2 2.60.3, fixing many bugs:
    + build: Fix a typo in the test whether _NL_ABALTMON_n is supported
    + Critical in g_socket_client_async_connect_complete
    + Fix crash when displaying notifications on macOS (!786)
    + Fix documentation for `gdbus-tool wait` to use correct units
    + Fix typo in German translation
    + glib/date test fails
    + glib/gconstructor.h: Include stdlib.h for MSVC builds
    + GNetworkAddressAddressEnumerator unsafely modifies cache in
      GNetworkAddress
    + gnetworkaddress: Fix parallel enumerations interfering with eachother
    + gnetworkmonitornm: Fix network available detection
    + GResource generation test incompatible with stable LLVM on Linux
    + gschema.dtd: Add target attribute to alias
    + gsocketclient: Fix a leak in the connection code
    + Improve network status detection with NetworkManager
    + Leaks in gsocketclient.c connection code
    + test_month_names: assertion failed
    + tests: Update month name check for Greek locale
    + Update gdb pretty-printer for GHashTable
    + Various fixes to small key/value support in `GHashTable`
    + New GHashTable implementation confuses valgrind
    + more GHashTable fixes
    + GDB pretty-printer for GHashTable no longer works
    + ghash: Disable small-arrays under valgrind

 -- Iain Lane <laney@debian.org>  Thu, 23 May 2019 16:59:32 +0100

glib2.0 (2.60.0-1) experimental; urgency=medium

  * New upstream release
    + Further fixes to the Happy Eyeballs (RFC 8305) implementation
    + Add support for the XDG trash portal
  * Call dh_python3 for all packages and add Depends to libglib2.0-tests.
    The tests now ship a "static-link.py" test. While it early-exits
    currently, we still need the right dependencies to be able to do that.
    Call dh_python3 for libglib2.0-test's private directory, and while we're
    here make sure that it is called for all packages too.
  * flaky autopkgtest: `closures` has been renamed to `closure-refcount`
  * Refresh and drop patches.
    - d/p/flaky-socket-service-test/*: Drop, applied upstream.
    - d/p/debian/closures-test-Skip-on-arm-unless-flaky-tests-are-allowed.patch:
      Refresh.

 -- Iain Lane <laney@debian.org>  Tue, 05 Mar 2019 15:32:41 +0000

glib2.0 (2.59.3-2) experimental; urgency=medium

  [ Philip Withnall ]
  * debian: Drop GVariant alignment patches which are no longer needed.
    The upstream 2.59.0 release contained commit
    0f2a6c61c9c5e34d57293fb6987b21f3d1feb1cb, which automatically aligns
    GVariants at construction time. The realignment in the tests was a
    workaround for this.
    See upstream issue https://gitlab.gnome.org/GNOME/glib/issues/1342.

  [ Iain Lane ]
  * Cherry-pick fixes for upstream bug #1679 to fix a flaky test.
    This is apparently more flaky on the autopkgtest machines than elsewhere
    - it's quite consistently failing there.

 -- Iain Lane <laney@debian.org>  Wed, 27 Feb 2019 10:21:40 +0000

glib2.0 (2.59.3-1) experimental; urgency=medium

  * New upstream release
    + Fix support for g_get_user_special_dir() on macOS, including support for
      the Downloads directory
    + Ensure that cancelling a GTask cannot cause its callback to be called
      synchronously (in the same call chain as the original *_async() call)
    + Further fixes to the Happy Eyeballs (RFC 8305) implementation
    + Various fixes for installation of installed tests
  * Refresh and drop patches.
    Drop gio-tests-Install-test1.overlay-file-when-building-instal.patch,
         tests-Install-the-slow-connect-preload.so-library-and-use.patch,
    fixed upstream.

 -- Iain Lane <laney@debian.org>  Wed, 20 Feb 2019 14:25:13 +0000

glib2.0 (2.59.2-2) experimental; urgency=medium

  * Install `test1.overlay' file, which is needed for the installed tests.
  * tests: Install the slow-connect-preload.so library and use it

 -- Iain Lane <laney@debian.org>  Mon, 11 Feb 2019 10:25:27 +0000

glib2.0 (2.59.2-1) experimental; urgency=medium

  * New upstream release
    + Fix check on GDBusMessage size when reading it.
    + Add async GIO API: g_file_query_default_handler_async(),
      g_app_info_launch_uris_async()
    + Fix some bugs in the Happy Eyeballs implementation.
    + Install a new generated header with enum types for Unicode enums.
    + Support the XDG trash portal.
    + Autotools support is gone.
    + g_format_size() now uses a no-break space to separate digits and units;
      translations will need to be updated accordingly.
    + New g_queue_clear_full() API.
    + Fix argument quoting on win32 when spawning subprocesses.
    + Allow polling more than 64 handles on win32 using g_poll().
    + Tag various tests as ‘flaky’. These are no longer run routinely on our
      upstream CI machines, and downstream packagers may want to not run them
      (or not treat those test failures as package build failures) on their
      test machines either. They are in the `flaky` test suite.
    + Add overlay support to g_resources_get_info().
    + Support defaults and locks in the keyfile GSettings backend. This will
      be used for flatpaks.
    + Accept unquoted strings in the keyfile GSettings backend to simplify
      things for sysadmins.
    + Update our contribution guidelines (`CONTRIBUTING.md`).
    + Add writev() and writev_all() APIs to GOutputStream and
      GPollableOutputStream, and provide implementations of them for many
      subclasses.
  * Refresh patches, drop trash test patches which are upstream now
  * build-time tests: Run "flaky" suite separately and non fatally
  * debian/libglib2.0-0.symbols: Add new symbols from 2.59.{1,2}

 -- Iain Lane <laney@debian.org>  Wed, 06 Feb 2019 17:09:28 +0000

glib2.0 (2.59.0-1) experimental; urgency=medium

  * New upstream release
  * Update patches and drop upstreamed ones
  * debian/control: Update meson BD to ≥ 0.48.0 per upstream
  * debian/rules: enable-selinux takes "enabled" or "disabled" now.
    Not true/false.
  * debian/*: Update for experimental
  * debian/libglib2.0-0.symbols: Update with new symbols for this release

 -- Iain Lane <laney@debian.org>  Thu, 17 Jan 2019 18:43:00 +0000

glib2.0 (2.58.3-3) unstable; urgency=medium

  * control, rules: Build with gcc-8. See #931921 - when we're built with
    gcc-9, some applications that use GLib might start hanging.

 -- Iain Lane <laney@debian.org>  Fri, 12 Jul 2019 11:38:21 +0100

glib2.0 (2.58.3-2) unstable; urgency=medium

  * Team upload
  * d/p/gfile-Limit-access-to-files-when-copying.patch:
    Backport patch from upstream to ensure files don't temporarily have
    less restrictive permissions during copying
    (Closes: #929753, CVE-2019-12450)
  * d/watch: Only watch for 2.58.x releases now that 2.60.x is out
  * Add cross-reference to #919777 in previous changelog entry

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Jun 2019 22:37:45 +0100

glib2.0 (2.58.3-1) unstable; urgency=medium

  * Team upload

  [ Iain Lane ]
  * debian/gbp.conf: Use upstream/2.58.x

  [ Simon McVittie ]
  * New upstream release
    - Fix crashes related to the GUnixMount API (Closes: #919777)
    - Make G_DEFINE_INTERFACE compatible with g++ -Wint-in-bool-context
    - Drop patches that were applied upstream
  * d/p/gdbusmessage-Fix-check-on-upper-limit-of-message-size.patch:
    Add patch from upstream glib-2-58 branch to limit the maximum size of
    D-Bus messages according to the protocol specification
    (the limit was 256M, and is now the correct 128M)

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Feb 2019 08:28:56 +0000

glib2.0 (2.58.2-4) unstable; urgency=medium

  [ Simon McVittie ]
  * Update patch metadata

  [ Iain Lane ]
  * trash-test-Don-t-assume-that-.local-exists.patch,
    trash-test-Don-t-rely-on-being-able-to-determine-mount-po.patch:
    Cherry pick two patches by Simon McVittie (slightly modified by Iain Lane)
    to fix the trash test on Launchpad autobuilders.

 -- Iain Lane <laney@debian.org>  Thu, 17 Jan 2019 11:27:34 +0000

glib2.0 (2.58.2-3) unstable; urgency=medium

  * Team upload
  * Release to unstable
  * Standards-Version: 4.3.0 (no changes required)
  * d/p/gvariant-test-Also-force-alignment-for-tuple-test-data.patch:
    Mark as forwarded
  * debian/Skip-unreliable-test_threaded_singleton-by-default.patch:
    Don't run test_threaded_singleton() at build-time or in the part of
    the autopkgtest run that must succeed. Run it from d/tests/flaky
    instead.

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Jan 2019 08:43:36 +0000

glib2.0 (2.58.2-2) experimental; urgency=medium

  * Team upload
  * d/p/gvariant-test-Also-force-alignment-for-tuple-test-data.patch:
    Fix gvariant test failure on s390x by forcing more test data to be aligned
    (Closes: #917980)
  * d/p/debian/closures-test-Skip-on-arm-unless-flaky-tests-are-allowed.patch,
    d/tests/flaky:
    Only run closures test on arm* as part of a separate, flaky autopkgtest.
    This test does not seem to be reliable enough for its failures to be
    treated as release-critical, at least on arm*. If we run too many
    iterations, it fails on CPUs where 16-bit accesses are slow; if we run
    too few, it occasionally fails when one thread starves another.
    (Closes: #917983)
  * d/p/debian/Disable-some-tests-on-slow-architectures-which-keep-faili.patch,
    d/p/debian/Skip-test-which-performs-some-unreliable-floating-point-c.patch:
    d/tests/flaky:
    Use g_test_skip() for flaky tests, and run them from d/tests/flaky

 -- Simon McVittie <smcv@debian.org>  Thu, 03 Jan 2019 09:35:04 +0000

glib2.0 (2.58.2-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Drop many patches that were applied upstream
  * d/p/tests-Allocate-gvariant-data-from-the-heap-to-guarantee-a.patch:
    Add patch from upstream to fix alignment of GVariant test data
  * d/libglib2.0-0.symbols: Update for new ABI
  * d/tests/installed-tests: Log execution environment
  * postinst: Convert triggers into a function
  * postinst: Quote strings with #TOKENS# to fix syntax highlighting
  * postinst: Add a vim modeline

 -- Simon McVittie <smcv@debian.org>  Tue, 01 Jan 2019 10:59:39 +0000

glib2.0 (2.58.1-6) experimental; urgency=medium

  * Team upload
  * d/p/closures-test-Avoid-timeout-on-ARM64-CPUs.patch:
    Rename from
    d/p/debian/closures-test-Run-fewer-iterations-on-ARM64-and-armhf.patch,
    increase the test timeout to prevent this test from timing out on
    Cortex-A57 CPUs when building with Meson, and mark as forwarded
    upstream
  * Disable xattr support on kFreeBSD.
    kFreeBSD has stub implementations of getxattr() etc. which will
    always fail. Autoconf considers these to be present, but Meson
    detects them and treats them as absent, resulting in configuration
    failure.

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Nov 2018 14:19:18 +0000

glib2.0 (2.58.1-5) experimental; urgency=medium

  * Team upload
  * d/p/*:
    Update to upstream glib-2-58 branch as of 2.58.1-89-g7aa52a7d5,
    except for translations
  * d/p/mainloop-test-Fix-race-conditions.patch:
    Add patch from upstream git master to fix race conditions in
    mainloop test
  * d/p/meson-Define-__GCC_HAVE_SYNC_COMPARE_AND_SWAP_4-on-GNU-Li.patch:
    Add proposed patch to fix detection of atomic operations on armel
  * Respect nocheck in DEB_BUILD_OPTIONS
  * Adjust test timeouts:
    - Increase armel, armhf, hppa timeout multiplier from x3 to x5
    - Reduce mips*, sparc* timeout multiplier from x10 to x5
    - Reduce timeout multiplier for architectures known to have qemu
      buildds from x50 to x20
  * d/rules: Set Meson cross properties using a modified debcrossgen.
    This avoids embedding a local copy of GNUlib (v)(sn)printf when
    cross-compiling. (Workaround for #912559)

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Nov 2018 19:05:22 +0000

glib2.0 (2.58.1-4) experimental; urgency=medium

  * Team upload
  * d/rules: Deduplicate test invocation
  * Use `meson test` directly, instead of going via `ninja test`
  * Multiply Meson test timeouts.
    Use x3 timeouts for most architectures (in general the timeouts in
    the upstream Meson build system are somewhat optimistic), x10 for
    the mips and sparc families, and x50 for architectures known to
    use qemu for buildds.
  * Enable FAM support on Hurd and kFreeBSD.
    In the Autotools build system this was auto-detected, but in Meson it
    is off by default and must be explicitly enabled if wanted.
  * d/p/meson-Mark-1bit-emufutex-test-as-slow.patch:
    Increase timeout for the 1bit-emufutex test

 -- Simon McVittie <smcv@debian.org>  Fri, 19 Oct 2018 09:55:19 +0100

glib2.0 (2.58.1-3) experimental; urgency=medium

  * Team upload
  * Upload to experimental to check that everything is OK with the
    switch to Meson
  * Switch build system to Meson as recommended by upstream
    - Stop removing .la files: Meson doesn't build those
    - d/p/debian/61_glib-compile-binaries-path.patch: Change the same
      path if we build with Meson
    - d/patches: Apply patches proposed for backport from master to
      glib-2-58 in upstream MR 392. These fix various build issues,
      mostly around Meson. Some of these patch Windows-specific code,
      but they are likely to be in 2.58.2 and upstream asked for wider
      testing, so I'm applying them anyway, to test the complete set.
    - d/p/Spelling-*.patch:
      MR 392 also applies patches from upstream git master to fix various
      spelling mistakes detected by Lintian
  * Always generate testmarshal.h, even when cross-compiling
    (Closes: #908334)
  * Fix static linking and make sure it won't regress, prompted by
    comparing the Autotools and Meson builds:
    - Add missing -dev dependencies on libffi-dev, libmount-dev,
      libselinux1-dev
    - d/p/Autotools-Move-libmount-from-Libs.private-to-Requires.pri.patch:
      Add patch from upstream git master to fix static linking with libgio
    - d/tests/build: Exercise all libraries
    - d/tests/build-static: Exercise static linking
  * d/rules: Fix some permissions (equivalent of #1539 upstream)
  * Add Lintian override for a spelling-error-in-binary false positive
  * Add some Lintian overrides for hardening-no-fortify-functions.
    These objects mostly don't use libc directly.
  * Remove /usr/bin/gio-launch-desktop symlink.
    It's an implementation detail of libgio, and isn't intended to be
    run directly. Removing it from PATH silences a Lintian warning about
    it not having a man page.
  * Don't delete compiled GSettings schemas during purge if the dpkg
    reference count is greater than 1. This avoids deleting and regenerating
    it unnecessarily if another architecture's libglib2.0-0 is still
    installed. (Closes: #775854)
  * d/tests/installed-tests: Replace deprecated $ADTTMP with $AUTOPKGTEST_TMP
  * d/tests/control: Mark build tests as superficial (see #904979)

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Oct 2018 18:32:21 +0100

glib2.0 (2.58.1-2) unstable; urgency=medium

  * Fix dh_missing rule for arch:all build with compat 11

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 21 Sep 2018 23:53:00 -0400

glib2.0 (2.58.1-1) unstable; urgency=medium

  * New upstream release
  * Drop patches applied in new release:
    - Fix-g_icon_to_string-regression-doc-inconsistency.patch
    - tests-timer-Skip-test_timeval_to_iso8601_overflow-if-we-c.patch
  * Refresh 61_glib-compile-binaries-path.patch
  * Bump Standards-Version to 4.2.1
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 21 Sep 2018 20:11:06 -0400

glib2.0 (2.58.0-4) unstable; urgency=medium

  [ Simon McVittie ]
  * Adjust installation path of gdb scripts to match GLib itself.
    We used to put libglib-2.0.so.0 in /lib/MULTIARCH, but this is no
    longer the case since 2.56.0-5.
  * Wrap and sort (build-)dependency lists (wrap-and-sort -a)
  * Wrap and sort file lists (wrap-and-sort -a)
  * Install HTML in /usr/share/gtk-doc/html with symlinks in /usr/share/doc.
    The gtk-doc documentation is technically a functionally significant
    part of the package (it affects cross-reference generation during build
    of other packages) so according to Policy §12.3 it is not appropriate
    for /usr/share/doc.
    Using the upstream default installation path for the HTML also makes
    it more straightforward to switch to the Meson build system, because
    the Meson build does not have an equivalent of --with-html-dir.
    - d/debian/libglib2.0-doc.maintscript: Add migration steps
  * d/p/debian/Look-for-gio-launch-desktop-in-libdir-glib-2.0.patch:
    Also patch meson build system

  [ Jeremy Bicha ]
  * Cherry-pick Fix-g_icon_to_string-regression-doc-inconsistency.patch
    - Have g_icon_new_for_string() go back to only returning a single name
      when created with a single name since some apps assume that behavior.
      (Closes: #908705)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 17 Sep 2018 17:47:57 -0400

glib2.0 (2.58.0-3) unstable; urgency=medium

  [ Iain Lane ]
  * Run fewer iterations of clousures test on armhf too

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 07 Sep 2018 13:51:53 -0400

glib2.0 (2.58.0-2) unstable; urgency=medium

  * Cherry-pick upstream patch to fix test_timeval_to_iso8601_overflow on
    32-bit, fixing FTBFS there.

 -- Iain Lane <laney@debian.org>  Tue, 04 Sep 2018 15:29:53 +0100

glib2.0 (2.58.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop patches applied in new release:
    - date-test-Use-g_test_skip-not-g_test_incomplete.patch
    - g_binding_unbind-make-it-more-introspection-friendly-allo.patch:
  * Release to unstable

  [ Simon McVittie ]
  * d/p/debian/closures-test-Run-fewer-iterations-on-ARM64.patch:
    Update metadata
  * libglib2.0-dev-bin: Add Suggests for the packages containing
    xmllint and gdk-pixbuf-pixdata, which are sometimes invoked by
    glib-compile-resources (Closes: #834998)
  * Invoke dh_python3 twice so that we correctly rewrite the shebang
    line for /usr/bin scripts (Closes: #876009)
  * Don't install very old changelogs and NEWS files
  * Install README.md instead of stub README

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 02 Sep 2018 08:57:46 -0400

glib2.0 (2.57.2-2) experimental; urgency=medium

  * Cherry-pick g_binding_unbind-make-it-more-introspection-friendly-allo.patch
    to fix pygobject build (LP: #1787474)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 20 Aug 2018 12:54:49 -0400

glib2.0 (2.57.2-1) experimental; urgency=medium

  * Team upload
  * New upstream development release
  * d/watch: Look for odd-numbered releases
  * Rebase patch series
  * Install gio-launch-desktop in libglib2.0-0's private libdir to avoid
    a circular dependency between libglib2.0-0 and libglib2.0-bin
    - d/p/debian/Look-for-gio-launch-desktop-in-libdir-glib-2.0.patch:
      Look for it there
  * d/copyright: Update
  * d/libglib2.0-0.symbols: Update
  * Use upstream autogen.sh for autoreconf
  * Don't clean org.gtk.test.gschema.override.orig
  * d/gbp.conf: Use upstream/latest branch
  * d/p/Drop-a-questionable-test-from-the-refstring-suite.patch:
    Add patch to fix FTBFS on i386
  * d/p/date-test-Use-g_test_skip-not-g_test_incomplete.patch:
    Add patch to fix autopkgtest failures without locales-all
  * d/gbp.conf: Don't number patches

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Aug 2018 17:44:16 +0100

glib2.0 (2.56.1-2) unstable; urgency=medium

  [ Tim Lunn ]
  * libglib2.0-0.triggers:use interest-await trigger for schemas

  [ Iain Lane ]
  * debian/patches/tests-network-monitor-Always-use-the-dummy-proxy-res.patch:
    Take patch from upstream to ignore the system's proxy settings for the
    network-monitor test - it's testing an "abstract" network unrelated to the
    system's network, and these settings interfere with that. This fixes a
    failure in the Ubuntu autopkgtest machines, which have a proxy set.

 -- Iain Lane <laney@debian.org>  Tue, 10 Apr 2018 18:12:27 +0100

glib2.0 (2.56.1-1) unstable; urgency=medium

  [ Tim Lunn ]
  * New upstream release
  * Drop patches included in new release
  * libglib2.0-0.triggers: Use interest-noawait triggers, generating caches
    doesn't need to block configuration. flagged by lintian
    uses-implicit-await-trigger warning.

  [ Simon McVittie ]
  * Explicitly use autoconf build system, even with debhelper 11.2
    (see #895174)

 -- Tim Lunn <tim@feathertop.org>  Mon, 09 Apr 2018 19:03:24 +1000

glib2.0 (2.56.0-6) unstable; urgency=medium

  * Team upload
  * d/p/0002-gapplication-Tighten-up-application-ID-validation.patch:
    Transliterate commit message into ASCII so git-buildpackage doesn't
    export it as a blob of base64
  * d/p/g_test_dbus_down-Ensure-next-test-does-not-use-old-c.patch:
    Add patch to address a race condition that sometimes makes D-Bus-based
    tests fail (Closes: #894677)
  * d/patches: Improve metadata on various patches

 -- Simon McVittie <smcv@debian.org>  Thu, 05 Apr 2018 09:24:45 +0100

glib2.0 (2.56.0-5) unstable; urgency=medium

  [ Simon McVittie ]
  * Use `set -e` in the (empty) prerm to avoid a Lintian warning
  * Add Lintian override for the empty prerm used to work around
    #887629

  [ Michael Biebl ]
  * Stop installing libglib to /lib.
    Late mounting of /usr is no longer supported, so this is not necessary
    anymore.
  * Drop maintscript migration code from pre-jessie.
  * Drop obsolete Breaks.

 -- Michael Biebl <biebl@debian.org>  Sun, 01 Apr 2018 17:59:50 +0200

glib2.0 (2.56.0-4) unstable; urgency=medium

  * Fix typo: libglib2.0-dev-bin Depends on python3-distutils, not
    distuils (Closes: #893773)
  * Restore `set -x` in debian/tests/build

 -- Simon McVittie <smcv@debian.org>  Thu, 22 Mar 2018 09:08:05 +0000

glib2.0 (2.56.0-3) unstable; urgency=medium

  [ Iain Lane ]
  * debian/tests/build: Add Restrictions: allow-stderr. We run this test with
    `set -x', which outputs to stderr, and would like to continue doing so.

  [ Jeremy Bicha ]
  * Depend and Build-Depend on python3-distutils to fix build failures
    since python3 no longer depends on python3-distutils (Closes: #893736)

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 22 Mar 2018 00:27:02 -0400

glib2.0 (2.56.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Merge from experimental to unstable
  * d/tests/build: Don't rely on having unmerged /usr
  * d/watch: Only watch for stable releases
  * d/gbp.conf: Use debian/master, upstream/2.56.x branches
  * d/control: Update Vcs-* for default branch

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Mar 2018 08:49:26 -0400

glib2.0 (2.56.0-1) experimental; urgency=medium

  * Team upload
  * New upstream stable release 2.56.0
  * d/p/000?-gdbus-tool-*.patch:
    Drop patches that came from upstream
  * Refresh remaining patches
  * d/p/0001-tests-Use-modern-test-assertions-in-GApplication-tes.patch,
    d/p/0002-gapplication-Tighten-up-application-ID-validation.patch:
    Cherry-pick GApplication ID fixes from upstream 2.56 branch
    (GNOME #793400)

 -- Simon McVittie <smcv@debian.org>  Tue, 13 Mar 2018 18:53:02 +0000

glib2.0 (2.55.2-2) experimental; urgency=medium

  * Merge changes from unstable, in particular:
    + d/libglib2.0-dev.prerm: Add an empty prerm to make sure that we have a
      way to recover from #887629 in stretch (Closes: #887863)
  * d/p/0001-gdbus-tool-Ignore-unknown-options-for-the-emit-subco.patch,
    d/p/0002-gdbus-tool-Make-dest-optional-for-emit-again.patch,
    d/p/0003-gdbus-tool-Don-t-repeatedly-complete-signal.patch,
    d/p/0004-gdbus-tool-Factor-out-common-GOptionContext-construc.patch:
    Cherry-pick from upstream. Fix `gdbus emit' to not require `--dest', and
    improve its bash completion. Should fix the dbus-test-runner autopkgtest,
    which relied on this behaviour.

 -- Iain Lane <laney@debian.org>  Thu, 22 Feb 2018 10:02:17 +0000

glib2.0 (2.55.2-1) experimental; urgency=medium

  * debian/control{,.in}: Update Vcs-* to specify debian/experimental branch.
  * New upstream release 2.55.2:
    + GFile now has API to get the path without copying
  * debian/patches/gdbus-threading-test-Allow-even-longer-for-test_method_ca.patch,
    debian/patches/gdatetime-Avoid-repeated-floating-point-multiplies-w.patch,
    debian/patches/gdatetime-Mark-the-usecs-as-volatile.patch:
    Drop, applied upstream in this release.
  * debian/libglib2.0-0.symbols: New symbols for 2.55.2

 -- Iain Lane <laney@debian.org>  Thu, 15 Feb 2018 10:23:05 +0000

glib2.0 (2.55.1-1) experimental; urgency=medium

  * debian/gbp.conf, debian/watch: Update for experimental
  * New upstream development release 2.55.1
  * debian/libglib2.0-0.symbols: Update with new symbols in this release.
  * debian/patches/gdatetime-Avoid-repeated-floating-point-multiplies-w.patch,
    debian/patches/gdatetime-Mark-the-usecs-as-volatile.patch: Cherry-pick two
    patches from upstream. Fix some precision problems within GDateTime, that
    in some cases resulted in incorrect answers on i386.

 -- Iain Lane <laney@debian.org>  Mon, 15 Jan 2018 12:26:35 +0000

glib2.0 (2.54.3-2) unstable; urgency=medium

  * Team upload
  * d/libglib2.0-dev.prerm: Add an empty prerm to make sure that we have
    a way to recover from #887629 in stretch (Closes: #887863)
  * d/p/gdbus-threading-test-Allow-even-longer-for-test_method_ca.patch:
    Mark as applied upstream
  * d/p/gmain-Partial-revert-of-recent-wakeup-changes-to-gmain.c.patch:
    Apply patch from upstream glib-2-54 branch to revert GWakeup changes
    that appear to have broken WebKit and/or LibreOffice
    (Closes: #887492)

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Jan 2018 12:39:58 +0000

glib2.0 (2.54.3-1) unstable; urgency=medium

  [ Simon McVittie ]
  * Move Vcs-* to salsa.debian.org
  * New upstream stable release
    - Fix a race condition when a GCancellable is cancelled in another
      thread (Closes: #884654)
    - Drop patches for #884661, fixed upstream
  * d/p/gdbus-peer-Skip-test-during-Debian-package-build.patch:
    Drop. We should no longer need to skip this test now that #884654
    is fixed.
  * d/p/Do-not-attempt-to-autolaunch-a-session-dbus-daemon-w.patch:
    Drop patch. It has not been necessary since 2.50.
  * d/p/0001-Fix-trashing-on-overlayfs.patch,
    d/p/0001-timer-test-use-volatile-for-locals.patch,
    d/p/gdbus-threading-test-Allow-even-longer-for-test_method_ca.patch:
    Mark as forwarded upstream
  * d/patches: Move non-upstreamable patches (Debian-specific changes
    and workarounds) to d/p/debian, and to the bottom of d/p/series
  * d/watch: Only watch for the upstream stable branch

  [ Iain Lane ]
  * debian/gbp.conf: Update upstream branch to upstream/2.54.x following
    DEP-14.

 -- Iain Lane <laney@debian.org>  Tue, 09 Jan 2018 18:02:53 +0000

glib2.0 (2.54.2-5) unstable; urgency=medium

  * Set Rules-Requires-Root to no. This package builds successfully
    with the same content in that mode.
  * d/p/61_glib-compile-binaries-path.patch: Only use the multiarch
    path for glib-compile-schemas, not for glib-compile-resources
  * Install glib-compile-resources into PATH in libglib2.0-dev-bin,
    not libglib2.0-bin: it is a development tool used at compile-time
    - libglib2.0-dev-bin Breaks/Replaces older libglib2.0-bin
  * Install the glib-compile-resources binary in libglib2.0-dev-bin,
    not libglib2.0-0. This means we get an executable version of that
    binary when cross-compiling (Closes: #885019)
  * Bump Standards-Version to 4.1.3

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Dec 2017 22:07:56 +0000

glib2.0 (2.54.2-4) unstable; urgency=medium

  * Team upload
  * d/p/closures-test-Run-fewer-iterations-on-ARM64.patch:
    Run more iterations on ARM64 than in 2.54.2-3, but fewer than in
    2.54.2-2. If we don't run enough iterations, we get an assertion
    failure when the main thread starves the other threads.
  * d/p/gmenumodel*.patch: Mark as upstreamed in 2.54.3 and 2.55.1
  * d/rules: Set DEB_BUILD_TIME_TESTS when running dh_auto_test, so that
    tests can distinguish between autopkgtest and `make check`
  * d/p/gdbus-peer-Skip-test-during-Debian-package-build.patch:
    Skip the gdbus-peer test during package build, so that its known
    race condition does not cause intermittent FTBFS (mitigates: #884654)

 -- Simon McVittie <smcv@debian.org>  Thu, 21 Dec 2017 14:41:40 +0000

glib2.0 (2.54.2-3) unstable; urgency=medium

  * Team upload
  * d/patches: Re-export with gbp pq
  * d/patches: Use `gbp pq export`-style metadata, retrieving authors
    and dates from d/changelog where needed
  * d/p/closures-test-Run-fewer-iterations-on-ARM64.patch: New patch.
    tests/refcount/closures: Run fewer iterations on ARM64
    (mitigates: #880883)
  * d/p/gdbus-threading-test-Allow-even-longer-for-test_method_ca.patch:
    New patch. Allow even longer for the gdbus-threading test, and
    re-enable it on 32-bit ARM now that the timeout is longer
    (Closes: #884660)
  * d/p/gmenumodel-test-If-something-goes-wrong-don-t-wait-foreve.patch,
    d/p/gmenumodel-test-Wait-for-the-expected-events-to-happen.patch:
    Add patches to make the GMenuModel test more patient (Closes: #884661)
  * d/p/gwakeuptest-Be-less-parallel-unless-invoked-with-m-slow.patch:
    Reduce number of threads and number of operations in response to
    timeout on reproducible-builds infrastructure (mitigates: #884659)

 -- Simon McVittie <smcv@debian.org>  Mon, 18 Dec 2017 21:30:18 +0000

glib2.0 (2.54.2-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Dec 2017 21:15:13 -0500

glib2.0 (2.54.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Didier Roche ]
  * debian/patches/01_gettext-desktopfiles.patch:
    - fix untranslated desktop action names when using gettext
      (Closes: #877761)

  [ Simon McVittie ]
  * Skip gtk-doc documentation unless we are building libglib2.0-doc,
    fixing cross-builds (Closes: #870346)
    - Note that gtk-doc-tools is still in Build-Depends, not
      Build-Depends-Indep, because we need it for autoreconf
  * Explicitly disable documentation for the udeb build
  * Skip build-time tests for Arch:all builds - testing once per
    architecture is sufficient
  * Remove unused lintian override for an example file that is no
    longer installed

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 27 Oct 2017 21:16:41 -0400

glib2.0 (2.54.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Bump Standards-Version to 4.1.1

  [ Michael Biebl ]
  * Drop uploaders.mk include as it breaks the clean target.
    Updating the Uploaders list is already handled by the gnome dh addon.

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 02 Oct 2017 12:13:25 -0400

glib2.0 (2.54.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 11 Sep 2017 19:11:00 +0200

glib2.0 (2.53.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/81-skip-monitor-test-on-non-linux.patch:
    + Refreshed.
  * debian/control.in: drop automake and autotools-dev build dependencies,
    dh-autoreconf does that for us.
  * Bump Standards-Version to 4.1.0; no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 09 Sep 2017 15:11:02 +0200

glib2.0 (2.53.6-1) unstable; urgency=medium

  * New upstream release.
  * git_glib-mkenums-utf8.patch, git_glib-mkenums-flags.patch: Drop, now
    applied upstream.
  * debian/rules: Don't pass -X.la to dh_auto_install - it can easily lead to
    unwanted removals (not claiming this is happening here)
  * debian/rules: Fix arguments to dh_auto_test so tests are run again
  * debian/rules, debian/control{,.in}: Use dh_missing and not dh_install
    --list-missing. Also upgrade this check to --fail-missing.
  * debian/rules: Don't run the tests under fakeroot; it makes them fail with
    dbus-related authentication problems.

 -- Iain Lane <laney@debian.org>  Mon, 21 Aug 2017 17:01:22 +0100

glib2.0 (2.53.4-3) unstable; urgency=medium

  [ Matthias Klumpp ]
  * Update Vcs-* URLs

  [ Jeremy Bicha ]
  * Bump Breaks/Replaces: libglib2.0-dev to 2.53 (Closes: #867679)
  * Add git_glib-mkenums-utf8.patch:
    - Backport commit to fix "glib-mkenums: UnicodeDecodeError"
      (Closes: #870310)
  * Add git_glib-mkenums-flags.patch:
    - Backport commit to fix mate-panel FTBFS (Closes: #870212)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 03 Aug 2017 12:21:04 -0400

glib2.0 (2.53.4-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Klumpp <mak@debian.org>  Sun, 30 Jul 2017 12:54:22 +0200

glib2.0 (2.53.4-1) experimental; urgency=medium

  * New upstream release 2.53.4
    + Unicode support has been updated to Unicode 10.0.0
    + glib-genmarshal and glib-mkenums have been rewritten in python
    + GLib can now be built with meson. autotools are still supported

 -- Iain Lane <laney@debian.org>  Wed, 19 Jul 2017 17:32:31 +0100

glib2.0 (2.53.3-1) experimental; urgency=medium

  * New upstream release 2.53.3.
  * d/p/0001-gdatetime-Fix-a-potential-overflow-in-overflow-calcu.patch,
    d/p/0002-tests-Fix-GDateTime-overflow-tests-on-32-bit-archite.patch,
    d/p/0003-tests-Fix-overflows-in-find_maximum_supported_tv_sec.patch:
    Cherry-picks to fix some overflow problems in GDateTime on 32 bit arches.

 -- Iain Lane <laney@debian.org>  Fri, 23 Jun 2017 11:09:22 +0100

glib2.0 (2.53.2-1) experimental; urgency=medium

  * New upstream release 2.53.2
    + A few new number parsing functions have been added:
      - g_ascii_string_to_signed
      - g_ascii_string_to_unsigned
      These have better error handling than the existing ones.
    + glib-mkenums now supports /*< private >*/ and /*< public >*/
    + GSettings now consider XDG_DATA_HOME in addition to XDG_DATA_DIRS.
  * debian/libglib2.0-0.symbols: Add new symbols for 2.53.1.
  * debian/patches/skip-broken-dbus-appinfo-test.patch: Drop - this test works
    now.

 -- Iain Lane <laney@debian.org>  Mon, 12 Jun 2017 16:25:21 +0100

glib2.0 (2.53.1-1) experimental; urgency=medium

  * New upstream release 2.53.1
    + The gdbus tool gained a wait command
    + g_unix_signal_source_new support SIGWINCH now
    + There are now g_enum_to_string and g_flags_to_string functions
    + A new function to instantiate objects: g_objet_new_with_properties
    + GParameter and related APIs have been deprecated
  * debian/libglib2.0-0.symbols: Add new symbols for 2.53.1.

 -- Iain Lane <laney@debian.org>  Fri, 05 May 2017 18:04:15 +0100

glib2.0 (2.52.0-1) experimental; urgency=medium

  * New upstream release 2.52.0
  * d/p/tests-gdatetime-Use-a-real-rather-than-invented-time.patch: Drop,
    applied in this release.

 -- Iain Lane <laney@debian.org>  Mon, 20 Mar 2017 17:14:29 +0000

glib2.0 (2.51.5-1) experimental; urgency=medium

  * New upstream release 2.51.5
  * Drop patches applied upstream in this release:
    - Install-gdb-Python-helpers-as-data-not-as-executable.patch
    - glib-mkenums-Sort-input-files-for-more-deterministic.patch
  * debian/patches/tests-gdatetime-Use-a-real-rather-than-invented-time.patch:
    Cherry-pick a patch from upstream to fix GDateTime tests when tzdata ≥
    2017a is in use.
  * debian/libglib2.0-dev.install: Install the gdb script for libglib-2.0.so.*
    into .../lib instead of .../usr/lib - it needs to match the installed path
    of the library and we put libglib-2.0.so.* into /lib.
  * debian/libglib2.0-0.symbols: Add g_content_type_is_mime_type

 -- Iain Lane <laney@debian.org>  Wed, 15 Mar 2017 13:55:41 +0000

glib2.0 (2.51.4-1) experimental; urgency=medium

  * Team upload
  * New upstream release 2.51.4 (and 2.51.3)
  * Build with dh instead of cdbs
    - Move to debhelper compat level 10
    - Use dpkg-buildflags variables to extend LDFLAGS
    - Enable bindnow hardening
    - Remove indirection via $(SHARED_PKG), etc. variables
    - Let dh_gnome_clean update the Uploaders instead of reinventing it
    - Install some missing files detected by dh_install --list-missing
    - Fix lintian warnings about useless use of dh-exec
    - debian/dh_listmissing.pl: Remove
  * Improve packaging for cross-compiling (Closes: #648621, #842442)
    - Move glib-genmarshal and related files to a new M-A:foreign package
      libglib2.0-dev-bin. Thanks to Helmut Grohne for the patch.
    - Additionally move gdbus-codegen and gtester-report to
      libglib2.0-dev-bin.  They are architecture-independent, so in
      particular clearly Multi-Arch: foreign; they aren't large enough to
      justify a separate Architecture: all package. This works around
      dh_python3's postinst snippet failing when used in a Multi-Arch: same
      package with more than one instance installed.
    - Move gtester to libglib2.0-dev-bin. It is a test-runner that can
      operate on any executable, and does not rely on a matching architecture.
    - Move gobject-query to libglib2.0-dev-bin. It prints the same things on
      all architectures, and it isn't clear what use it is; glib-2.0.m4
      checks for it and AC_SUBSTs it, but according to codesearch.debian.net
      no package actually seems to run it.
    - Make libglib2.0-dev Multi-Arch: same
  * Move gdb helpers from libglib2.0-0-dbg to libglib2.0-dev, move
    detached debug symbols from libglib2.0-0-dbg to autogenerated -dbgsym
    packages, and remove the libglib2.0-0-dbg binary package
  * Add support for noudeb build profile
    - Do not do the udeb build if the noudeb profile is selected,
      for faster test-builds
  * Fix assorted Lintian warnings
    - Add missing build-dependency on dh-python
      + remove obsolete Lintian override for mmissing B-D on python
    - Add Lintian overrides for some intentionally weird scripts used in tests
    - Do not install glib_gdb.py, gobject_gdb.py executable. They are
      libraries to be imported by the gdb hooks, not scripts.
    - Don't generate a ldconfig trigger for libglib2.0-tests, which does
      not contain any public shared libraries
  * Add patch to make glib-mkenums output more reproducible (Closes: #809152)
  * Explicitly build-depend on automake so that the aspcud resolver used for
    experimental does not decide automake1.11 is the best solution to
    a dependency on automake | automaken

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Mar 2017 17:00:47 +0000

glib2.0 (2.51.2-1) experimental; urgency=medium

  * New upstream release 2.51.2 (& 2.51.1).
    + Minimal support for UUIDs has been added
    + A new file attribute, G_FILE_ATTRIBUTE_RECENT_MODIFIED has been added to
      improve sorting of recent files
    + glib-compile-resources grew a --generate-phony-targets flag
    + GLib now installs a valgrind suppressions file for GLib and GIO
  * debian/patches/skip-brokwn-dbus-appinfo-test.patch: Refresh (and fix the
    typo in the filename)
  * debian/libglib2.0-0.symbols: Add g_uuid* symbols which are new in this
    release

 -- Iain Lane <laney@debian.org>  Tue, 14 Feb 2017 14:16:05 +0000

glib2.0 (2.51.0-2) experimental; urgency=medium

  * Merge changes from 2.50.2-2:
    + debian/rules: disable libmount on !linux (Closes: #844052)
    + debian/patches/0001-Fix-trashing-on-overlayfs.patch: Update with new
      version from the upstream report to hopefully fix trashing of files in
      directories which are symlinks to different devices. (Closes: #800047)
      (LP: #1638245)

 -- Iain Lane <laney@debian.org>  Wed, 23 Nov 2016 17:36:07 +0000

glib2.0 (2.51.0-1) experimental; urgency=medium

  * debian/control{,.in}: Branch to experimental
  * debian/watch: Track unstable releases again.
  * New upstream release 2.51.0
    + glib-genmarshal and glib-mkenums have gained --output options for better
      build system integration
    + New API: g_utf8_make_valid
  * Update debian/libglib2.0-0.symbols.

 -- Iain Lane <laney@debian.org>  Wed, 16 Nov 2016 18:23:38 +0000

glib2.0 (2.52.3-1) unstable; urgency=medium

  * New upstream release.
  * skip-brokwn-dbus-appinfo-test.patch,
    tests-gdatetime-Use-a-real-rather-than-invented-time.patch:
    + Dropped, applied upstream.
  * debian/libglib2.0-0.symbols:
    + Add new symbols.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 23 Jun 2017 21:06:46 +0200

glib2.0 (2.50.3-2) unstable; urgency=medium

  * debian/patches/tests-gdatetime-Use-a-real-rather-than-invented-time.patch:
    Cherry-pick a patch from upstream to fix GDateTime tests when tzdata ≥
    2017a is in use. (Closes: #858214)

 -- Michael Biebl <biebl@debian.org>  Mon, 20 Mar 2017 00:21:57 +0100

glib2.0 (2.50.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Feb 2017 19:00:01 +0100

glib2.0 (2.50.2-2) unstable; urgency=medium

  * debian/rules: disable libmount on !linux (Closes: #844052)
  * debian/patches/0001-Fix-trashing-on-overlayfs.patch: Update with new
    version from the upstream report to hopefully fix trashing of files in
    directories which are symlinks to different devices. (Closes: #800047)

 -- Iain Lane <laney@debian.org>  Wed, 23 Nov 2016 16:33:21 +0000

glib2.0 (2.50.2-1) unstable; urgency=medium

  * New upstream release.
  * Track stable releases in debian/watch.

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Nov 2016 00:37:05 +0100

glib2.0 (2.50.1-1) unstable; urgency=medium

  [ Jason Crain ]
  * libglib2.0-bin: includes a new 'gio' commandline tool (Closes: #840164)

  [ Andreas Henriksson ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 11 Oct 2016 14:51:05 +0200

glib2.0 (2.50.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Build-depend on tzdata, which is no longer transitively Essential.
    One test needs it. (Closes: #839487)

  [ Michael Biebl ]
  * Fix Vcs-* to point to unstable.
  * Mark dependencies which are required to run the test-suite with
    <!nocheck>.
  * Add explicit Build-Depends on xsltproc, docbook-xml and docbook-xsl.
    Besides libxml2-utils, those are needed for building the man pages.
  * Drop Build-Depends on dbus-x11. The test-suite uses a mock version of
    dbus-launch nowadays, so this dependency is no longer needed.
    (Closes: #835884)
  * Use dh-exec to substitute ${DEB_HOST_MULTIARCH} in .install, .links and
    .dirs files.

 -- Michael Biebl <biebl@debian.org>  Sat, 01 Oct 2016 22:15:22 +0200

glib2.0 (2.50.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Sep 2016 18:37:10 +0200

glib2.0 (2.49.7-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/libglib2.0-0.symbols with one addition.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 13 Sep 2016 14:40:14 +0200

glib2.0 (2.49.6-1) unstable; urgency=low

  * New upstream release.
  * Limit the libmount-dev build-depedency to [linux-any].

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 30 Aug 2016 17:57:52 +0200

glib2.0 (2.49.5-2) experimental; urgency=medium

  * debian/rules: Disable libmount for the udeb build; there's no
    libmount-udeb, no immediate plans to provide one, and the functionality in
    glib isn't that interesting in the d-i context at the present time.

 -- Iain Lane <laney@debian.org>  Mon, 22 Aug 2016 11:12:26 +0100

glib2.0 (2.49.5-1) experimental; urgency=medium

  [ Simon McVittie ]
  * Merge packaging from unstable.

  [ Iain Lane ]
  * New upstream release 2.49.5
  * debian/patches/gregex-loosen-behaviour-testing.patch: Drop this patch -
    it's in 2.49.5.
  * debian/libglib2.0-0.symbols: Add symbols for async
    g_app_info_launch_default_for_uri.
  * debian/control{,.in}, debian/rules: Enable libmount support

 -- Iain Lane <laney@debian.org>  Thu, 18 Aug 2016 12:10:08 +0100

glib2.0 (2.48.1-3) unstable; urgency=medium

  * debian/tests/control: do not fail on stderr output from
    installed-tests. If gvfs happens to be installed, it gets
    D-Bus-activated (even if it's disabled via GIO_USE_VFS and
    GIO_USE_VOLUME_MONITOR), resulting in logging from dbus-daemon.
    (Closes: #821031)
  * debian/tests/installed-tests: explicitly select built-in VFS and
    volume monitor
  * d/p/gregex-loosen-behaviour-testing.patch: add patch from upstream
    bug 767240 (not applied yet) to relax assertions about PCRE's behaviour,
    which changed in 8.38 (Closes: #834272)
  * d/rules: unset XDG_CONFIG_HOME, XDG_CACHE_HOME, XDG_DATA_HOME,
    XDG_CONFIG_DIRS, XDG_DATA_DIRS so that they are based on the temporary
    HOME. This avoids FTBFS if the user doing the build has these variables
    already set in their build environment (Closes: #834334)

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Aug 2016 18:01:03 +0100

glib2.0 (2.48.1-2) unstable; urgency=medium

  * Remove refdbg variant. Thanks to Jonny Lamb for the patch.
    Closes: #827269.
  * Switch to python3.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 13 Jul 2016 17:46:31 +0200

glib2.0 (2.49.4-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/add-missing-gio-xml.patch:
    + Dropped, gio.xml is now shipped in the tarballs.
  * debian/patches/0001-Fix-gio-tests-socket-listener.patch:
    + Dropped, included upstream.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 21 Jul 2016 18:12:05 +0200

glib2.0 (2.49.3-1) experimental; urgency=medium

  * Switch to python3.
  * New upstream release.
  * d/p/0001-gsettings-test-Wrap-guint64-literals-in-G_GUINT64_CO.patch:
    + Dropped, applied upstream.
  * debian/patches/add-missing-gio-xml.patch:
    + Add gio.xml file, which is missing from the tarball. Needed for the
      documentation build.
  * debian/patches/0001-Fix-gio-tests-socket-listener.patch:
    + Fix a test hang.
  * debian/libglib2.0-0.symbols:
    + Update with new symbols.
  * Standards-Version is 3.9.8. No changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 20 Jul 2016 23:23:12 +0200

glib2.0 (2.49.2-2) experimental; urgency=medium

  * d/p/0001-gsettings-test-Wrap-guint64-literals-in-G_GUINT64_CO.patch:
    Cherry-pick from upstream to fix test failure on non-64 bit arches.

 -- Iain Lane <laney@debian.org>  Thu, 23 Jun 2016 16:56:04 +0100

glib2.0 (2.49.2-1) experimental; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * Remove refdbg variant. Thanks to Jonny Lamb for the patch.
    Closes: #827269.

  [ Iain Lane ]
  * Update Vcs-* for experimental
  * New upstream release 2.49.2
    + GDesktopAppInfo now allows bus activation with dashes. This is not
      technically allowed per the Desktop Entry specification, but it happens
      in the wild. Rather than forcing people to go through another traumatic
      desktop file rename, accept it and translate - to _.
    + The support for giving names to threads has been improved. Thread names
      are now supported on Solaris as well, and the Linux support no longer
      uses prctl() but the pthread api.
    + GIO resources can now be overridden at runtime, using the
      G_RESOURCE_OVERLAYS environment variable.
    + gdbus-codegen can now generate autocleanup definitions for the types it
      generates. Use the --c-generate-autocleanup option to control this
    + GMainContext and GTask have gained more systemtap probes
  * debian/watch: Update to find unstable versions
  * debian/patches/04_homedir_env.patch: Refresh to apply correctly
  * debian/libglib2.0-0.symbols: Update for this release

 -- Iain Lane <laney@debian.org>  Tue, 21 Jun 2016 14:20:19 +0100

glib2.0 (2.48.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop obsolete Conflicts, Breaks and Replaces from pre-wheezy.
  * Drop obsolete preinst maintainer scripts which cleaned up the
    /usr/share/doc symlinks.
  * Drop version requirement for pkg-config dependency. (Closes: #734479)

 -- Michael Biebl <biebl@debian.org>  Wed, 11 May 2016 01:11:42 +0200

glib2.0 (2.48.0-1) unstable; urgency=medium

  * New upstream stable release 2.48.0
    + a minor build fix in the name of determinism (Closes: #812876)
    + a few coverity fixes

 -- Iain Lane <laney@debian.org>  Wed, 23 Mar 2016 17:59:23 +0000

glib2.0 (2.47.92-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 16 Mar 2016 11:18:53 +0100

glib2.0 (2.47.6-1) experimental; urgency=medium

  * New upstream release.
    - GString is missing (transfer none) annotations on many of its methods
    - systemtap and gdb scripts install in wrong place
    - Documentation: various small improvements
    - gdbusobjectmanagerserver: Clarify recommended ObjectManager paths
    - Fix some annotations
    - Cannot build with default flags under Fedora rawhide
      (-Werror=format-nonliteral)
    - gmacros.h is testing attributes with __has_feature (when compiling with
      clang)
  * debian/libglib2.0-0-dbg.install.in: Upstream now installs the gdb
    auto-loaded scripts in the right place by themselves - no need for us to
    move them about.

 -- Iain Lane <laney@debian.org>  Thu, 18 Feb 2016 14:07:22 +0000

glib2.0 (2.47.5-1) experimental; urgency=medium

  * debian/watch: Use download.gnome.org, seems ftp.gnome.org is not updating
    properly currently.
  * New upstream release 2.47.5
    + the system copy of PCRE is now used by default to implement GRegex.
      Configure with --with-pcre=internal if a system PCRE version
      is unavailable or undesired.
    + interfaces for DTLS support have been added. A new version of
      glib-networking will also be required.
    + GDBusMethodInvocation now drops replies if the sender set the
      NO_REPLY_EXPECTED flag
    + several GApplication fixes, including fixes for commandline arguments in
      interpreted languages on Windows
  * debian/libglib2.0-0.symbols: Update with new symbols for this release.
  * 0001-regex-test-expect-ASSERTION_EXPECTED-for-ab-with-PCR.patch: Drop,
    it's included in this release.

 -- Iain Lane <laney@debian.org>  Wed, 20 Jan 2016 17:55:16 +0000

glib2.0 (2.47.4-1) experimental; urgency=medium

  * New upstream release
    + The GApplication documentation has been improved in several areas.
  * 0001-tests-fix-a-test-on-32-bit-builds.patch,
    0001-gtypes.h-move-G_STATIC_ASSERT-to-function-scope.patch: Drop, applied
    upstream in this release.
  * 0001-regex-test-expect-ASSERTION_EXPECTED-for-ab-with-PCR.patch: Fix regex
    tests to assert the right errors as of pcre 8.38. Cherry-pick from
    upstream. (Closes: #808842)
  * Don't build automatic dbgsym package for -refdbg

 -- Iain Lane <laney@debian.org>  Thu, 14 Jan 2016 18:27:02 +0000

glib2.0 (2.47.3-3) experimental; urgency=medium

  * debian/patches/0001-gtypes.h-move-G_STATIC_ASSERT-to-function-scope.patch:
    Another cherry-pick. Should fix g-ir-scanner.

 -- Iain Lane <laney@debian.org>  Sun, 29 Nov 2015 18:45:29 +0000

glib2.0 (2.47.3-2) experimental; urgency=medium

  * debian/patches/0001-tests-fix-a-test-on-32-bit-builds.patch: Cherry-pick
    from upstream. Fix tests (and therefore the build) on 32 bit arches.

 -- Iain Lane <laney@debian.org>  Thu, 26 Nov 2015 16:12:12 +0000

glib2.0 (2.47.3-1) experimental; urgency=medium

  * New upstream release
    + New API: hardware-assisted helpers for overflow-checked integer math.
    + Fixes: Invalid free in g_local_file_trash() (LP: #1512826)
  * d/p/{Doc-copy-included-example-files.patch,
    Doc-Fix-missing-glibconfig.h-when-builddir-srcdir.patch,
    Build-gdbus-example-objectmanager-server-again.patch}: Remove - in this
    upstream release.

 -- Iain Lane <laney@debian.org>  Wed, 25 Nov 2015 17:59:33 +0000

glib2.0 (2.47.1-1) experimental; urgency=medium

  * New upstream release.
    + The Unicode support has been updated to version 8.0 of the Unicode standard
    + GDesktopAppInfo no longer sets the DISPLAY environment variable when
      launching apps. This is now done in the GAppLaunchContext
      implementations when appropriate.
  * debian/watch: Look for development versions too.
  * debian/patches/90_gio-modules-multiarch-compat.patch: Refresh to apply on
    this version.
  * debian/patches/0001-GDateTime-test-fix-occasional-failures.patch: Drop,
    upstream in this release.
  * debian/libglib2.0-0.symbols: Update with new symbols for this release.

 -- Iain Lane <laney@debian.org>  Wed, 04 Nov 2015 17:28:23 +0000

glib2.0 (2.46.2-3) unstable; urgency=medium

  * Add debian/patches/disable-failing-test-for-pcre838.patch
    - disable regexp test that fails with new system pcre 8.38
      which just hit Debian unstable. Needs further investigation
      but lets not leave the build broken during the holidays.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 23 Dec 2015 17:11:16 +0100

glib2.0 (2.46.2-2) unstable; urgency=medium

  [ Iain Lane ]
  * Fix typo in previous changelog entry.

  [ Andreas Henriksson ]
  * Add debian/patches/bug712848-volume-monitor-deadlock-kfreebsd.patch
    - patch by and big thanks to Steven Chamberlain for debugging this!
    - given lack of feedback from upstream, which would be very welcome
      for deep changes like this, use an ifdef to only change on
      *FreeBSD for now... (Closes: #712848)
  * Add --no-ddebs arg to dh_strip for refdbg package build which
    otherwise fails and I doubt we need ddeb/dbgsym for our debug
    package.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 23 Dec 2015 11:54:51 +0100

glib2.0 (2.46.2-1) unstable; urgency=medium

  * Fix Vcs-* to point to unstable.
  * New upstream stable release 2.46.2.
    + Fixes cross compilation (Closes: #800610)
  * Drop changes from 2.46.1-2, which are all in this upstream release.
  * Drop debian/patches/0001-GDateTime-test-fix-occasional-failures.patch,
    applied upstream.

 -- Iain Lane <laney@debian.org>  Mon, 09 Nov 2015 12:59:12 +0000

glib2.0 (2.46.1-2) unstable; urgency=medium

  * Team upload.
  * Cherry-pick patches from upstream glib-2-46 branch to fix incomplete
    documentation (Closes: #659977)
  * debian/gdbus-example-objectmanager-server.c: add missing example file
    from upstream git; it was accidentally omitted from upstream tarballs

 -- Simon McVittie <smcv@debian.org>  Mon, 02 Nov 2015 17:31:00 +0000

glib2.0 (2.46.1-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Drop clean-la.mk from debian/rules, no longer required.

  [ Iain Lane ]
  * New upstream release 2.46.1
    + Remove system_header pragma (should fix lack of warnings with things
      like g_return_if_fail)
    + move GStrv typedef (and auto-cleanup) from libgobject to libglib
    + fix order of trashing files to be closer to what is required in the
      specification. Namely, trashinfo files are written first.  This should
      fix issues with the gvfs trash backend failing to correctly read the
      info for recently trashed files (preventing 'restore'). (Closes:
      #800491) (LP: #1495943)
    + tweak mime logic to return text/plain on all empty files instead of
      returning application/octet-stream.  This includes files that have
      extensions that imply that they may be other types of files, which is a
      slight change of behaviour with respect to old GLib versions. (LP:
      #1497170)
  * debian/patches/0001-Revert-list-store-Fix-a-parameter-check.patch: Drop -
    this is applied upstream in this release.
  * debian/patches/0001-GDateTime-test-fix-occasional-failures.patch: Take
    patch from bgo#754994 to resolve intermittent test failures in the
    GDateTime tests.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 15 Oct 2015 16:08:30 +0100

glib2.0 (2.46.0-2) unstable; urgency=medium

  * debian/patches/0001-Revert-list-store-Fix-a-parameter-check.patch:
    Cherry-pick from upstream to fix GSequence (this at least makes
    GStreamer's testsuite fail).

 -- Iain Lane <laney@debian.org>  Mon, 28 Sep 2015 13:07:06 +0100

glib2.0 (2.46.0-1) unstable; urgency=medium

  [ Iain Lane ]
  * New upstream stable release 2.46.0
    + Disable runtime-deprecation warnings
    + Fix marshalling of flags on bigendian 64bit architectures

  [ Simon McVittie ]
  * Change section of libglib2.0-refdbg from debug to devel, so that it
    isn't kicked out into a separate mirror network when we get
    automatic -dbgsym packages (Closes: #796836)

 -- Iain Lane <laney@debian.org>  Wed, 23 Sep 2015 11:33:01 +0100

glib2.0 (2.45.8-1) experimental; urgency=medium

  * New upstream development release.
  * Update debian/libglib2.0-0.symbols with one addition:
    g_param_spec_get_name_quark

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Sep 2015 10:05:17 +0200

glib2.0 (2.45.7-1) experimental; urgency=medium

  * New upstream release 2.45.7
    + Add G_FILE_ATTRIBUTE_STANDARD_IS_VOLATILE for use by non-POSIX-like
      backends (e.g. cloud storage).
    + GFileMonitor: Make the inotify backend work with atomic renames again
    + GSettings: change notification is again working unconditionally
    + GListStore has a sort function now
    + Test infrastructure:
     - Tests are now required to have unique names
     - TAP support has been improved
     - A macro for asserting that two memory regions have identical content
       has been added
  * debian/libglib2.0-0.symbols: Add new symbol for this release.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 03 Sep 2015 14:09:02 +0100

glib2.0 (2.45.6-1) experimental; urgency=medium

  * New upstream releases 2.45.5 and 2.45.6
    + GNetworkMonitor now provides information about metered networks
    + g_mem_set_vtable has been deprecated; it has not been working for quite
      a while. The recommendation is to use valgrind, or replace malloc
      itself.
  * debian/patches/0001-GOptionContext-Don-t-crash-without-main-group.patch:
    Drop, applied upstream.
  * debian/libglib2.0-0.symbols: Add new symbols for this release.

 -- Iain Lane <laney@debian.org>  Wed, 26 Aug 2015 17:25:52 +0100

glib2.0 (2.45.4-2) experimental; urgency=medium

  * debian/patches/0001-GOptionContext-Don-t-crash-without-main-group.patch:
    Cherry-pick. Don't crash in GOptionContext if there's no main group. Fixes
    crash when running (for example) gdbus.

 -- Iain Lane <laney@debian.org>  Wed, 29 Jul 2015 16:30:21 +0100

glib2.0 (2.45.4-1) experimental; urgency=medium

  * New upstream release 2.45.4
  * d/p/0001-gio-tests-appmonitor-Delete-file-before-checking-for.patch,
    d/p/0001-glocalfilemonitor-Send-DELETED-event-when-there-is-n.patch: Drop,
    applied upstream.
  * d/p/07_disable_tests_on_slow_archs.patch: Refresh to apply cleanly.
  * debian/libglib2.0-0.symbols: Add new symbols for this release.

 -- Iain Lane <laney@debian.org>  Tue, 21 Jul 2015 18:07:32 +0100

glib2.0 (2.45.3-1) experimental; urgency=medium

  [ Simon McVittie ]
  * d/p/regex-if-PCRE-is-8.34-or-later-disable-auto-possessi.patch:
    mark as applied upstream in 2.45.3

  [ Iain Lane ]
  * New upstream release 2.45.3.
    + Improve performance of g_signal_handler_disconnect for signals
      with many handlers
    + GDBus has gained a new call flag to allow interactive authorization
    + GSettings:
     - New API: g_settings_schema_list_keys
     - Deprecated: g_settings_list_keys
  * debian/libglib2.0-0.symbols: Update with new symbols from this release.
  * debian/patches/regex-if-PCRE-is-8.34-or-later-disable-auto-possessi.patch:
    Delete, applied upstream.
  * d/p/0001-gio-tests-appmonitor-Delete-file-before-checking-for.patch:
    Cherry-pick upstream patch to fix testsuite failure causing FTBFS.

 -- Iain Lane <laney@debian.org>  Wed, 01 Jul 2015 18:15:07 +0100

glib2.0 (2.45.2-1) experimental; urgency=medium

  [ Simon McVittie ]
  * Correctly attribute previous upload to Iain
  * d/p/0001-Fix-trashing-on-overlayfs.patch: add upstream bug reference
  * d/p/0001-glocalfilemonitor-Send-DELETED-event-when-there-is-n.patch:
    add upstream bug reference
  * d/p/10_kfreebsd_issetugid_prototype.patch,
    d/p/11_kfreebsd_pthread_condattr_setclock_prototype.patch,
    d/p/13_sparc_prlimit_prototype.patch:
    drop workarounds for #635205, #703545, #703559 which were all fixed
    in jessie
  * d/p/81-skip-monitor-test-on-non-linux.patch: add DEP-3 information
  * d/p/90_gio-modules-multiarch-compat.patch: add DEP-3 information

  [ Iain Lane ]
  * New upstream release 2.45.2
    + Improve error reporting in glib-compile-schemas.
    + Add introspection annotations to GListStore.
  * GDBus-tests-change-progress-noise-from-if-not-quiet-.patch,
    gdbus-tests-wait-up-to-60s-for-gdbus-testserver-to-t.patch,
    gdbus-connection-wait-up-to-10s-to-actually-send-a-m.patch,
    regex-test-do-not-assert-that-system-PCRE-still-has-.patch,
    gdbus-serialization-use-check_serialization-instead-.patch,
    gdbus-peer-test-let-GDBusServer-start-before-notifyi.patch,
    gdatetime-test-don-t-assume-that-time-stands-still.patch: Delete, applied
    upstream.
  * 07_disable_tests_on_slow_archs.patch: Refresh to defuzz

 -- Iain Lane <laney@debian.org>  Tue, 09 Jun 2015 16:19:20 +0100

glib2.0 (2.45.1-2) experimental; urgency=medium

  [ Simon McVittie ]
  * d/p/regex-if-PCRE-is-8.34-or-later-disable-auto-possessi.patch:
    update to my latest version submitted upstream, which fixes undefined
    behaviour in the unlikely event that G_REGEX_OPTIMIZE is combined
    with g_regex_match_all().
  * d/p/regex-test-do-not-assert-that-system-PCRE-still-has-.patch:
    update to my latest version submitted upstream, which asserts that
    a newer-than-8.32 system PCRE does not have the bug in question.
  * d/p/gdbus-serialization-use-check_serialization-instead-.patch:
    add patch to fix FTBFS in non-minimal environments (libdbus-1-dev
    installed). Applied upstream for 2.45.2.

  [ Iain Lane ]
  * d/p/0001-Fix-trashing-on-overlayfs.patch: Take patch from
    upstream bug to fix trashing on overlayfs.
  * d/p/0001-glocalfilemonitor-Send-DELETED-event-when-there-is-n.patch: Take
    patch from upstream bug to send the right event when moving files outside
    a monitored directory.

 -- Iain Lane <laney@debian.org>  Mon, 11 May 2015 16:30:47 +0100

glib2.0 (2.45.1-1) experimental; urgency=medium

  * New upstream release 2.45.1
    + The GSettings schema compiler, glib-compile-schemas has been changed
      to reject schema xml that has duplicate <summary> or <description>
      elements. Such elements typically occur when translations are merged
      into the schema, with xml:lang attributes. This is not the correct way
      to translate schemas. Instead keep the translations in the .mo file and
      set the gettext-domain attribute on the <schemalist> element. To avoid
      breaking already-installed schemas, this change is only taking effect
      when you use the --strict option.
    + The file monitoring infrastructure has been rewritten, and all backends
      have seen major improvements.
      + The inotify backend is reporting events with less delay (no event will
        be delayed more than 10ms) and wakeups due to file monitoring have
        been significantly reduced. A CHANGES_DONE event will also be sent
        when new files appear.
      + The poll implementation is now using the thread default main context.
      + The fam implmentation is now running in the worker thread.
      + The fen implementation has been removed, since it was unmaintained.
    + The hardcoded 10-thread limit of GTask's thread pool has been removed,
      since it was prone to causing deadlocks. The thread pool is now allowed
      to grow dynamically and will shrink back over time.
    + GSimpleAsyncResult has been deprecated in favor of GTask.
    + The algorithm used by GAppInfo to find default handlers for mime types
      has been tweaked to prefer apps that handle the specific subtype over
      default handlers for a generic supertype.
  * d/p/regex-test-do-not-assert-that-system-PCRE-allows-P-1.patch: Drop,
    applied upstream.
  * debian/control{,.in}: Update Vcs-* for experimental.
  * debian/libglib2.0-0.symbols: Add new symbols for this release.

 -- Iain Lane <laney@debian.org>  Fri, 01 May 2015 13:37:01 +0100

glib2.0 (2.44.1-1) unstable; urgency=medium

  * New upstream release 2.44.1
    + Improve the default application algorithm
    + Bump the number of children a GType can have
    + Various testsuite improvements

 -- Iain Lane <laney@debian.org>  Wed, 13 May 2015 17:46:59 +0100

glib2.0 (2.44.0-3) unstable; urgency=medium

  * Team upload.

  [ Simon McVittie ]
  * d/p/regex-test-do-not-assert-that-system-PCRE-allows-P-1.patch:
    update to the version that went upstream in 2.45.1. No functional change.
  * d/p/regex-if-PCRE-is-8.34-or-later-disable-auto-possessi.patch:
    update to my latest version submitted upstream, which fixes undefined
    behaviour in the unlikely event that G_REGEX_OPTIMIZE is combined
    with g_regex_match_all().
  * d/p/regex-test-do-not-assert-that-system-PCRE-still-has-.patch:
    update to my latest version submitted upstream, which asserts that
    a newer-than-8.32 system PCRE does not have the bug in question.
  * d/p/gdbus-serialization-use-check_serialization-instead-.patch:
    add patch to fix FTBFS in non-minimal environments (libdbus-1-dev
    installed). Applied upstream for 2.45.2.
  * d/p/gdbus-peer-test-let-GDBusServer-start-before-notifyi.patch:
    add patch fixing a race condition in the gdbus-peer test.
    Applied upstream for 2.45.2.
  * d/p/GDBus-tests-change-progress-noise-from-if-not-quiet-.patch:
    add patch fixing potential test failures caused by corrupt TAP
    output. Applied upstream for 2.45.2.
  * d/p/gdatetime-test-don-t-assume-that-time-stands-still.patch:
    add patch fixing potential test failures at the boundary between
    one second and the next. Applied upstream for 2.45.2.
  * d/p/10_kfreebsd_issetugid_prototype.patch,
    d/p/11_kfreebsd_pthread_condattr_setclock_prototype.patch,
    d/p/13_sparc_prlimit_prototype.patch:
    drop workarounds for #635205, #703545, #703559 which were all fixed
    in jessie
  * d/p/81-skip-monitor-test-on-non-linux.patch: add DEP-3 information
  * d/p/90_gio-modules-multiarch-compat.patch: add DEP-3 information

  [ Iain Lane ]
  * d/p/0001-Fix-trashing-on-overlayfs.patch: Take patch from
    upstream bug to fix trashing on overlayfs.

 -- Simon McVittie <smcv@debian.org>  Tue, 12 May 2015 13:15:38 +0100

glib2.0 (2.44.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/watch: Consider stable versions only.

 -- Iain Lane <laney@debian.org>  Fri, 01 May 2015 11:27:39 +0100

glib2.0 (2.44.0-1) experimental; urgency=medium

  * New upstream release 2.44.0
    + gsocket: Document FD ownership with g_socket_new_from_fd()

 -- Iain Lane <laney@debian.org>  Mon, 30 Mar 2015 16:35:53 +0100

glib2.0 (2.43.92-1) experimental; urgency=medium

  * New upstream release 2.43.92
    + GUnixMountMonitor now properly supports multiple main contexts
    + many documentation improvements and cleanups.
    + new support for HTTP proxies in GIO
    + new GTask:completed property
    + use "private" futexes in order to further improve the performance of the
      contended case of GMutex and g_bit_lock()
  * debian/libglib2.0-0.symbols: Add new symbols for this release.

 -- Iain Lane <laney@debian.org>  Wed, 18 Mar 2015 11:03:04 +0000

glib2.0 (2.43.91-1) experimental; urgency=medium

  * New upstream release 2.43.91
    - We have now added 'g_autofree' as a libgsystem-style autocleanup macro
      that calls g_free() on the content of a local variable when it leaves
      scope (working only on GCC and clang).
    - GApplication now has an "is-busy" property, allowing one to query the
      effective busy state.
  * debian/libglib2.0-0.symbols: Add new symbols for this release.

 -- Iain Lane <laney@debian.org>  Tue, 03 Mar 2015 17:36:38 +0000

glib2.0 (2.43.90-1) experimental; urgency=medium

  * New upstream release 2.43.90
    + new GSimpleIOStream class to construct a GIOStream from an arbitrary
      GInputStream and GOutputStream
    + GApplication: new API for marking 'busy' state according to the value of
      a boolean property on another object
    + GOptionGroup: add binding support (boxed type, annotation fixes, etc.)
  * debian/patches/gdbus-Let-the-pending-read-finish-before-closing-the.patch:
    Drop this cherry-pick from an upstream bug - should be fixed differently
    in this release (bgo #743990).
  * debian/libglib2.0-0.symbols: Add new symbols for this release.

 -- Iain Lane <laney@debian.org>  Thu, 19 Feb 2015 11:37:11 +0000

glib2.0 (2.43.4-1) experimental; urgency=medium

  * New upstream release 2.43.4
    + GType now has type declaration macros G_DECLARE_DERIVABLE_TYPE,
      G_DECLARE_FINAL_TYPE and G_DECLARE_INTERFACE, which significantly reduce
      the boilerplate needed for GObject types and interfaces.
    + g_autoptr and g_auto are macros for declaring variables with automatic
      cleanup. They only work with gcc and clang.
    + GListModel is a new interface that represents a dynamic list of GObjects.
    + GListStore is a GSequence-based implementation of GListModel.
    + g_simple_action_set_state_hint: New function to set the state hint of
      GSimpleActions
    + g_settings_schema_list_children and g_settings_schema_key_get_name are
      new functions to complete the GSettingsSchema API.
  * debian/libglib2.0-0.symbols: Add new symbols for this release.

 -- Iain Lane <laney@debian.org>  Mon, 16 Feb 2015 16:37:30 +0000

glib2.0 (2.43.3-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in, debian/libglib2.0-dev.install.in,
    debian/libglib2.0-0-dbg.install.in: Install the gdb python scripts in the
    proper locations, move them to the -dbg package and add the needed
    Breaks/Replaces (Closes: #774024)

  [ Iain Lane ]
  * New upstream release 2.43.3
    + add g_set_object() convenience function
    + GNetworkMonitor: check if NM is not running and don't crash
    + fix some races with g_mkdir_with_parents
    + avoid use of G_STRLOC in G_OBJECT_WARN_INVALID_PSPEC in order to save on
      static strings
    + fix some content type vs. mime issues
  * 07_disable_tests_on_slow_archs.patch: Refresh

 -- Iain Lane <laney@debian.org>  Tue, 20 Jan 2015 13:46:28 +0000

glib2.0 (2.43.2-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Switch build-dependency from libelfg0-dev to libelf-dev
    (Closes: #769408)

  [ Iain Lane ]
  * New upstream release 2.43.2
    + New function: g_strv_contains
    + New function: g_network_address_new_loopback
    + New function: g_socket_send_messages
    + A new GNetworkMonitor implementation using NetworkManager provides more
      detailed connectivity information
  * 0001-GSettings-fix-check-for-delaying-backend-subscriptio.patch,
    0001-gmain-fix-poll-record-comparison.patch: gmain: fix the sorting of:
    Drop, applied in this release.
  * debian/libglib2.0-0.symbols: Add new symbols for this release.

 -- Iain Lane <laney@debian.org>  Tue, 16 Dec 2014 17:29:02 +0000

glib2.0 (2.43.1-2) experimental; urgency=medium

  * 0001-GSettings-fix-check-for-delaying-backend-subscriptio.patch:
    Cherry-pick patch from upstream. Check signal detail too when looking for
    pending signal handlers, so that subscribing to changed signals with a
    detail works again.
  * 0001-gmain-fix-poll-record-comparison.patch: gmain: fix the sorting of
    poll records. Resolves FTBFS on ppc64el.

 -- Iain Lane <laney@debian.org>  Fri, 28 Nov 2014 18:08:16 +0000

glib2.0 (2.43.1-1) experimental; urgency=medium

  * New upstream release 2.43.1, changes since 2.42.1:
    + GQueue now accepts NULL as a sibling in g_queue_insert_before() and
      g_queue_insert_after()
    + GObject gained a debug option to provide instance counts. To use it, set
      GOBJECT_DEBUG=instance-count and call g_type_get_instance_count().
    + GOption now has a strict POSIX mode in which it stops parsing arguments
      as soon as a non-option argument is encountered.
  * debian/control{,.in}: Bump Standards-Version to 3.9.6, no changes
    required.
  * debian/libglib2.0-0.symbols: Add new symbols for this release.

 -- Iain Lane <laney@debian.org>  Tue, 25 Nov 2014 12:46:31 +0000

glib2.0 (2.42.1-1) unstable; urgency=medium

  [ Iain Lane ]
  * Pass --enable-debug=minimum not minimal - this is what configure.ac
    expects.

  [ Emilio Pozuelo Monfort ]
  * New upstream bugfix release.
  * d/p/0001-properties-disable-default-deprecation-warnings.patch:
    + Removed, merged upstream.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 11 Nov 2014 18:53:49 +0100

glib2.0 (2.42.0-2) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Update Vcs-* to use unstable instead of experimental branch

  [ Iain Lane ]
  * 0001-properties-disable-default-deprecation-warnings.patch: Backport from
    upstream stable branch - silences warnings that are shown to users on
    stderr, and which also cause some testsuite failures and consequent FTBFS.

 -- Iain Lane <laney@debian.org>  Thu, 02 Oct 2014 13:08:24 +0100

glib2.0 (2.42.0-1) unstable; urgency=medium

  * New upstream release

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 23 Sep 2014 10:12:15 +0100

glib2.0 (2.41.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 19 Sep 2014 22:00:33 +0200

glib2.0 (2.41.5-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * Make libglib2.0-0 recommend xdg-user-dirs
    - needed to set up ~/.config/user-dirs.dirs to get default XDG_*_DIR set.

  [ Iain Lane ]
  * New upstream release 2.41.5
    - GDesktopAppInfo: avoid polling on missing desktop dirs

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 17 Sep 2014 10:19:27 +0100

glib2.0 (2.41.4-1) experimental; urgency=medium

  * New upstream release
  * debian/libglib2.0-0.symbols:
    + Add g_application_add_main_option symbol

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 06 Sep 2014 15:16:14 +0200

glib2.0 (2.41.3-1) experimental; urgency=medium

  * New upstream release 2.41.3
  * debian/tests/installed-tests: Revert the previous change - require dbus >=
    1.8 and always use dbus-run-session.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 20 Aug 2014 16:16:23 +0100

glib2.0 (2.41.2-1) experimental; urgency=medium

  * New upstream release
    - The Unicode support has been updated to version 7.0 of the Unicode
      standard
    - GNotification now supports priorities for notifications
    - GMutex now uses a faster, native implementation on Linux
  * 0001-gvariant-tests-workaround-libc-compiler-issue.patch: Drop, applied
    upstream in this release.
  * Add new symbols for this release.
  * Merge in changes from 2.40.0-4
    + Adapt for system pcre3/1:8.35 (Closes: #755439):
      - a PCRE 8.31 bug in case-insensitivity has been fixed, so do not assert
        bug-for-bug compatibility with 8.31
      - named match groups' names cannot start with a digit any more, so
        (?P<1>.) is no longer allowed; do not assert that it is
      - turn off a new optimization that would reduce the result set when
        called from g_match_all(_full), to preserve existing functionality
    + Build-depend on pcre3/1:8.35 so that the new optimization is
      known to be turned off in the built binaries
    + Add patch from upstream to fix mis-optimization in gvariant test
      with gcc 4.9 (Closes: #756272)
    + Avoid using dbus-launch for regression tests (Closes: #737488):
      - run installed-tests under dbus-run-session from dbus (>= 1.8)
      - do not run build-time tests under dbus-launch: those that use D-Bus
        all create their own session bus instances now
        (i.e. remove 05_run-gio-tests-with-a-dbus-session.patch)
      - set a deliberately invalid DBUS_SESSION_BUS_ADDRESS to make sure
        nothing in the build is still inheriting it from the environment
    + Override Lintian false positive #733733: we build-depend on python:any
      but Lintian doesn't yet understand :any syntax
  * Make the installed tests still run dbus-launch if we don't have
    dbus-run-session (i.e. if the installed dbus is << 1.8).

 -- Iain Lane <laney@debian.org>  Thu, 14 Aug 2014 11:14:40 +0100

glib2.0 (2.41.1-2) experimental; urgency=medium

  * 0001-gvariant-tests-workaround-libc-compiler-issue.patch: Cherry-pick
    patch from upstream to fix/workaround a new compiler optimisation in
    gcc-4.9 which occurs when passing a null pointer / zero size to memcmp.
    Should fix FTBFS on many arches in unstable.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 25 Jun 2014 10:21:27 +0100

glib2.0 (2.41.1-1) experimental; urgency=medium

  * New upstream release
  * 0001-Prevent-an-invalid-CARBON_LIBS-from-appearing-in-the.patch: Drop,
    included in this release.
  * Update symbols file with the new symbol in this release.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 24 Jun 2014 12:40:29 +0100

glib2.0 (2.41.0-2) experimental; urgency=medium

  [ Andreas Henriksson ]
  * Bump python:any build-dependency to >= 2.7.5-5~ (Closes: #747928)

  [ Emilio Pozuelo Monfort ]
  * Use the default compiler on sparc, since it's already >> 4.7.
    Closes: #751313.

  [ Iain Lane ]
  * 0001-Prevent-an-invalid-CARBON_LIBS-from-appearing-in-the.patch:
    Cherry-pick patch from upstream to fix an invalid "@CARBON_LIBS@" token
    appearing in Libs.private in the pcfile. (LP: #1330033)

 -- Iain Lane <laney@debian.org>  Mon, 16 Jun 2014 10:17:36 +0100

glib2.0 (2.41.0-1) experimental; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * debian/libglib2.0-doc.links:
    + The symlink for the gtk docs is broken at the moment, and even if
      fixed, it will still be broken if libgtk2.0-doc isn't installed on
      a system, so just drop it. Closes: #746782.

  [ Iain Lane ]
  * New upstream release 2.41.0
    - Many bugfixes found by static analysis, including potential fd leaks and
      NULL pointer dereferences.
    - Increased use of (nullable) attribute on out values and return types now
      that it is supported (mostly from porting Vala metadata).
    - use XDG_CURRENT_DESKTOP for OnlyShowIn/NotShowIn handling of desktop
      files, deprecating g_desktop_app_info_set_desktop_env()
    - add support for g_desktop_app_info_get_implementations() to find desktop
      files that have an Implements= line for a given interface
    - GHmac has gained SHA-512 support
    - support the new mimeapps specification (most notably, moving the
      assoications/defaults configuration to ~/.config/mimeapps.list).
    - libgobject is now linked -Wl,-z,nodelete when possible to avoid errors
      when gobject is used from a module for a program that does not itself use
      gobject and that module is unloaded/reloaded
  * debian/watch: Use http://ftp.gnome.org; it's more up-to-date.
  * Update symbols file with new symbols for this release.

 -- Iain Lane <laney@debian.org>  Tue, 27 May 2014 15:41:46 +0100

glib2.0 (2.40.0-4) unstable; urgency=medium

  * Team upload

  [ Emilio Pozuelo Monfort ]
  * Use the default compiler on sparc, since it's already >> 4.7.
    Closes: #751313.

  [ Iain Lane ]
  * Fix Vcs-* for the unstable branches

  [ Simon McVittie ]
  * Adapt for system pcre3/1:8.35 (Closes: #755439):
    - a PCRE 8.31 bug in case-insensitivity has been fixed, so do not assert
      bug-for-bug compatibility with 8.31
    - named match groups' names cannot start with a digit any more, so
      (?P<1>.) is no longer allowed; do not assert that it is
    - turn off a new optimization that would reduce the result set when called
      from g_match_all(_full), to preserve existing functionality
  * Build-depend on pcre3/1:8.35 so that the new optimization is
    known to be turned off in the built binaries
  * Add patch from upstream to fix mis-optimization in gvariant test
    with gcc 4.9 (Closes: #756272)
  * Avoid using dbus-launch for regression tests (Closes: #737488):
    - run installed-tests under dbus-run-session from dbus (>= 1.8)
    - do not run build-time tests under dbus-launch: those that use D-Bus
      all create their own session bus instances now
      (i.e. remove 05_run-gio-tests-with-a-dbus-session.patch)
    - set a deliberately invalid DBUS_SESSION_BUS_ADDRESS to make sure
      nothing in the build is still inheriting it from the environment
  * Override Lintian false positive #733733: we build-depend on python:any
    but Lintian doesn't yet understand :any syntax

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Aug 2014 22:58:33 +0100

glib2.0 (2.40.0-3) unstable; urgency=medium

  [ Rico Tzschichholz ]
  * debian/libglib2.0-bin.install:
    - Install /usr/bin/gapplication

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 27 Apr 2014 10:36:34 +0200

glib2.0 (2.40.0-2) unstable; urgency=medium

  [ Iain Lane ]
  * gdbus-tests-wait-up-to-60s-for-gdbus-testserver-to-t.patch: Take latest
    version from upstream bug to resolve some test failures.
  * Add xauth test-dep, needed for xvfb-run

  [ Emilio Pozuelo Monfort ]
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 02 Apr 2014 14:37:13 +0200

glib2.0 (2.40.0-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Mar 2014 20:58:34 +0100

glib2.0 (2.39.92-2) experimental; urgency=medium

  * test_timer_basic is still broken. Skip it.

 -- Iain Lane <laney@debian.org>  Tue, 18 Mar 2014 15:43:35 +0000

glib2.0 (2.39.92-1) experimental; urgency=medium

  * New upstream release.
  * 0001-timer-test-use-volatile-for-locals.patch: Take patch from bgo #722604
    to workaround gcc's intentional spec violation in the timer tests.
    + Remove debian/patches/80-skip-timer-test.patch accordingly; it should
      now work.

 -- Iain Lane <laney@debian.org>  Tue, 18 Mar 2014 10:14:36 +0000

glib2.0 (2.39.91-1) experimental; urgency=medium

  * New upstream release.
  * d/p/0001-asyncqueue-fix-timeout-math-on-32bit-systems.patch:
    + Dropped, merged upstream.
  * debian/patches/81-skip-monitor-test-on-non-linux.patch:
    + New patch, skip the monitor test on non-linux as it currently hangs.
  * debian/libglib2.0-0.symbols:
    + Add a new symbol.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 09 Mar 2014 15:06:31 +0100

glib2.0 (2.39.90-2) experimental; urgency=medium

  * debian/control.in:
    + Bump gtk-doc-tools build-dependency per configure.ac.
  * debian/patches/Don-t-use-a-parallel-build-for-the-documentation.patch:
    + Removed, no longer needed with gtk-doc 1.20.
  * d/p/0001-asyncqueue-fix-timeout-math-on-32bit-systems.patch:
    + Patch from git, fix an overflow in g_async_queue_timed_pop_unlocked
      on 32 bits systems.
  * debian/patches/80-skip-timer-test.patch:
    + Skip the timer test which currently fails on x86 because of float
      precission errors.
  * debian/rules:
    + Make the test suite fatal on linux.
    + Run the test suite on !linux, but ignore test suite errors for now.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 23 Feb 2014 16:36:18 +0100

glib2.0 (2.39.90-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches now included in upstream release:
    - 0001-glib-tests-collate.c-run-to-completion-when-skipping.patch
    - 0002-g_test_run-return-0-if-all-tests-are-skipped-in-TAP-.patch
  * Fix fuzz to make debian/patches/04_homedir_env.patch apply again.
  * Use quilt to refresh remaining patches.
  * debian/libglib2.0-0.symbols: Add new symbols.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 18 Feb 2014 19:53:16 +0100

glib2.0 (2.39.4-1) experimental; urgency=medium

  * New upstream development release.
  * debian/rules:
    + Tell dh_clean not to remove org.gtk.test.gschema.xml.orig, otherwise
      the build fails as that fail is missing. Apparently dh_clean removes
      everything that ends with .orig.
  * debian/libglib2.0-0.symbols:
    + Add new symbols.
  * d/p/valgrind_h_add_r0_to_the_clobber_list_on_PPC.patch,
    d/p/tests-move-param-implement-to-m-slow.patch,
    d/p/Fix-races-in-unix-signal-dispatch.patch:
    + Dropped, applied upstream.
  * d/p/0001-glib-tests-collate.c-run-to-completion-when-skipping.patch,
    d/p/0002-g_test_run-return-0-if-all-tests-are-skipped-in-TAP-.patch:
    + Add patches from upstream to fix test suite errors.
  * debian/patches/*:
    + Refreshed.
  * debian/rules:
    + Don't run the test suite in parallel as some tests fail otherwise.
    + Ignore test suite errors for now. There are a few known racy tests
      that fail randomly, and I'm more interested in whether glib builds
      fine everywhere. We should make the tests fatal again before 2.40.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 16 Feb 2014 11:38:59 +0100

glib2.0 (2.38.2-5) unstable; urgency=medium

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 15 Feb 2014 12:34:05 +0100

glib2.0 (2.38.2-4) experimental; urgency=medium

  * Team upload
  * DEP-3: tag patch for Debian#737501 as sent upstream to GNOME#723653
  * d/p/gdbus-Let-the-pending-read-finish-before-closing-the.patch:
    add patch from Mikhail Zabaluev fixing a test failure on mips,
    also reproduced on mipsel (Closes: #738290)
  * d/p/Fix-races-in-unix-signal-dispatch.patch: add patch from upstream
    to fix what appears to be the root cause of #737380
  * d/p/gdbus-tests-wait-up-to-60s-for-gdbus-testserver-to-t.patch,
    d/p/gdbus-connection-wait-up-to-10s-to-actually-send-a-m.patch:
    improve arbitrary timeouts in regression tests, fixing an unreported
    FTBFS on armhf

 -- Simon McVittie <smcv@debian.org>  Tue, 11 Feb 2014 17:43:08 +0000

glib2.0 (2.38.2-3) experimental; urgency=medium

  * Team upload
  * d/p/Don-t-use-a-parallel-build-for-the-documentation.patch:
    Disable parallel build for the documentation, hopefully fixing an
    intermittent FTBFS in which gtk-doc tries to scan Windows-specific
    objects (Closes: #737501)
  * d/p/Do-not-attempt-to-autolaunch-a-session-dbus-daemon-w.patch:
    Refuse to perform D-Bus "autolaunch" if $DISPLAY is unset, in which
    case it isn't going to work anyway. This works around a process-launching
    issue in the GApplication test on mipsel (Closes: #737380)
  * Bump debhelper compat level to 9, resulting in co-installable
    multiarch debug symbols and ~ 50% smaller installed size
    for libglib2.0-0-dbg (at the cost of ~ 30% larger .deb size)
    - mark libglib2.0-0-dbg Multi-Arch: same

 -- Simon McVittie <smcv@debian.org>  Thu, 06 Feb 2014 09:53:27 +0000

glib2.0 (2.38.2-2) experimental; urgency=medium

  * Team upload.

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    + Enable parallel builds.

  [ Laurent Bigonville ]
  * Add d/p/valgrind_h_add_r0_to_the_clobber_list_on_PPC.patch: Fix FTBFS on
    PPC (taken from upstream, Closes: #737379)

  [ Simon McVittie ]
  * Add DEP-3 tagging to PPC patch
  * Add d/p/tests-move-param-implement-to-m-slow.patch to knock out
    test /param/implement, which upstream describe as "essentially a
    forkbomb", leading to failures on armel and at least sporadically
    on mipsel (Closes: #737381)

 -- Simon McVittie <smcv@debian.org>  Sun, 02 Feb 2014 20:35:34 +0000

glib2.0 (2.38.2-1) experimental; urgency=low

  * New upstream release
    - Drop d/p/0001-g_file_copy-Fall-back-to-pathname-queryinfo-to-help-.patch
      merged upstream
  * debian/control.in:
    - Bump Standards-Version to 3.9.5 (no further changes)
    - Use canonical URL for Vcs-Svn field

 -- Laurent Bigonville <bigon@debian.org>  Sat, 14 Dec 2013 16:38:02 +0100

glib2.0 (2.38.1-2) experimental; urgency=low

  * debian/rules:
    + Set VERBOSE so we get failing tests' stdout and stderr. This will
      help us debug the various build failures in different arches.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 27 Oct 2013 21:58:46 +0100

glib2.0 (2.38.1-1) experimental; urgency=low

  * Build-Depend on python:any. python is Multi-Arch: allowed; this BD allows
    the python from any architecture that can be executed on the builder to
    satisfy the BD, simplifying cross building of glib2.0.
  * New upstream bugfix release 2.38.1
    + Fix error code checks when SOCK_CLOEXEC is defined but not supported
      (fix support for GNU/Hurd)
    + g_settings_list_children: only list viable schemas (fix gsettings
      list-recursively crashes with invalid schemas installed)
    + GDBusObjectManagerClient: Fix typo in the /org/freedesktop/DBus path
      when adding match rules
      - Remove 0001-gio-Fix-typo-in-the-org-freedesktop-DBus-path.patch
  * 0001-g_file_copy-Fall-back-to-pathname-queryinfo-to-help-.patch:
    Cherry-pick gio patch to fall back to g_file_query_info if
    query_info_on_read is not supported. Fixes copying from backends that
    don't implement the latter. (Closes: #715436, LP: #1217230)

 -- Iain Lane <laney@debian.org>  Thu, 17 Oct 2013 15:53:12 +0100

glib2.0 (2.38.0-1) experimental; urgency=low

  * New upstream release
  * debian/patches/0001-gio-Fix-typo-in-the-org-freedesktop-DBus-path.patch:
    Cherry-pick patch from upstream to fix object path typo in gio (LP:
    #1227295)
  * Add --enable-debug=minimal explicitly to the deb build so the debugging
    level doesn't change between pre-release and stable versions.

 -- Iain Lane <laney@debian.org>  Wed, 25 Sep 2013 10:37:50 +0000

glib2.0 (2.37.93-1) experimental; urgency=low

  * New upstream release 2.37.93 (& .92)
    + new API g_file_measure_disk_usage() similar to du(1)
  * Add new symbols for g_file_measure_disk_usage API added in this release.

 -- Iain Lane <laney@debian.org>  Wed, 18 Sep 2013 10:07:15 +0000

glib2.0 (2.37.7-1) experimental; urgency=low

  * New upstream 2.37.7
    + GDateTime now supports %:z formatting variations for timezones. This is
    a GNU date extension.

 -- Iain Lane <laney@debian.org>  Tue, 10 Sep 2013 11:26:28 +0000

glib2.0 (2.37.6-1) experimental; urgency=low

  * New upstream release 2.37.6
  * Update symbols file
  * Merge changes from unstable, mainly for build / testsuite fixes.

 -- Iain Lane <laney@debian.org>  Wed, 21 Aug 2013 09:48:19 +0000

glib2.0 (2.37.5-1) experimental; urgency=low

  * New upstream release 2.37.5 (including interesting changes from .3 and .4)
    + Implement the Desktop Action specification
    + The gsettings tool now reports failure to write a key (e.g. because the
      key was locked down)
    + add a new API for instance private data: G_DEFINE_TYPE_WITH_PRIVATE
    + add new D-Bus API for async property handling
  * libglib2.0-tests: Depend on shared-mime-info required by contenttype test.
  * New upstream release
  * 0001-Revert-g_file_set_contents-don-t-fsync-on-ext3-4.patch: Drop, now
    upstream.
  * debian/tests/installed-tests: Add a new DEP-8 test to run the
    installed-tests.
  * Refresh patches.
  * Update symbols file.
  * debian/patches/skip-brokwn-dbus-appinfo-test.patch: Skip a broken new
    dbus-appinfo test which is hanging.

 -- Iain Lane <laney@debian.org>  Fri, 02 Aug 2013 16:54:51 +0000

glib2.0 (2.37.2-1) experimental; urgency=low

  * New upstream version
    + add support for installed tests:
      https://live.gnome.org/GnomeGoals/InstalledTests
    + add a new g_test_trap_subprocess() that works on Windows as a
      replacement for the (now deprecated) g_test_trap_fork()
    + support for explicitly cancelling a gobject property binding
    + performance improvements for signal argument handling
    + stop using `quotes' in very many log messages generated by GLib, for
      favour of 'this style'.  This may cause testcases in other packages to
      fail if they were matching on the previous text.
    + improve manpages: add missing arguments and flags
    + Installing properties after class initialization is deprecated, and will
      trigger a warning.
    + GApplication Support org.freedesktop.Application, including D-Bus
      activation from desktop files
  * Refresh patches.
  * Update symbols file with new symbols in this release.
  * Enable installed tests and install into a libglib2.0-tests package.
  * clean debian/{install,build,stamp-makefile-check} and
    gio/gdbus-2.0/codegen/*.pyc
  * Set $XDG_RUNTIME_DIR to a writable directory we control; now required by
    the testsuite.

 -- Iain Lane <laney@debian.org>  Fri, 21 Jun 2013 15:28:46 +0100

glib2.0 (2.36.4-1) unstable; urgency=low

  * New upstream release.
  * Remove 0001-Revert-g_file_set_contents-don-t-fsync-on-ext3-4.patch, merged
    upstream.
  * Make test suite linux only again. On kfreebsd the test suite keeps getting
    stuck and the build is killed after a timeout.

 -- Michael Biebl <biebl@debian.org>  Sat, 10 Aug 2013 09:57:58 +0200

glib2.0 (2.36.3-4) unstable; urgency=low

  [ Josselin Mouette ]
  * Still run the testsuite on !linux, even though non-fatal.

  [ Michael Biebl ]
  * Track stable releases.
  * Use dh_python2 to properly generate the dependencies for gdbus-codegen,
    which is shipped in libglib2.0-dev.

 -- Michael Biebl <biebl@debian.org>  Sun, 04 Aug 2013 16:39:05 +0200

glib2.0 (2.36.3-3) unstable; urgency=low

  [ Julien Cristau ]
  * Use gcc-4.8 on sparc to fix misbuild causing test failure (closes: #709781).

  [ Josselin Mouette ]
  * Only make the testsuite fatal on linux. Although the other
    architectures don’t pass, we have to keep a pair of reverse
    dependencies working.

 -- Josselin Mouette <joss@debian.org>  Sat, 06 Jul 2013 15:51:11 +0200

glib2.0 (2.36.3-2) unstable; urgency=low

  * 0001-Revert-g_file_set_contents-don-t-fsync-on-ext3-4.patch:
    + Patch from the upstream 2.36 stable branch. Revert a previous
      commit that dropped calls to fsync() on ext[234] fileystems as
      that caused data corruption in some cases (e.g. corrupted dconf
      db on power loss).

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 20 Jun 2013 23:17:54 +0200

glib2.0 (2.36.3-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Make the testsuite fatal on all architectures. If it fails, we need
    to fix it or drop the architecture, not to ignore it.
  * Break libgnome-desktop-3-2 < 3.4.2-2 for the thumbnails location
    change.

  [ Emilio Pozuelo Monfort ]
  * New upstream bugfix release. Closes: #708568.
  * debian/patches/13_sparc_prlimit_prototype.patch:
    + Refreshed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 10 Jun 2013 21:34:19 +0200

glib2.0 (2.36.1-2) unstable; urgency=low

  * Merge experimental branch, upload to unstable.

 -- Martin Pitt <mpitt@debian.org>  Wed, 08 May 2013 06:25:57 +0200

glib2.0 (2.36.1-1) experimental; urgency=low

  * New upstream release
  * Refresh debian/patches/06_thread_test_ignore_prctl_fail.patch

 -- Iain Lane <laney@debian.org>  Tue, 23 Apr 2013 10:20:47 +0100

glib2.0 (2.36.0-2) experimental; urgency=low

  * debian/rules:
    + Don't abort the build if the test suite fails on mipsel.
  * debian/patches/17_check_abis_mips_symbols.patch:
    + Also allow _ftext in libgthread.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 28 Mar 2013 12:44:06 +0100

glib2.0 (2.36.0-1) experimental; urgency=low

  * New upstream release.
    + debian/libglib2.0-0.symbols:
      - Updated.
  * debian/rules:
    + Make the test suite fatal in armel and armhf.
  * debian/patches/17_check_abis_mips_symbols.patch:
    + Add _ftext to the list of allowed symbols, since that
      is leaked on mips.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 26 Mar 2013 11:14:37 +0100

glib2.0 (2.35.9-2) experimental; urgency=low

  * d/p/11_kfreebsd_pthread_condattr_setclock_prototype.patch:
    + Another patch to fix the build on kfreebsd. Add a prototype
      for pthread_condattr_setclock() when building on kfreebsd
      since the prototype there is missing. The glibc bug to add
      the missing prototype is #703545, we can remove this hack
      when that is fixed.
  * debian/patches/13_sparc_prlimit_prototype.patch:
    + New patch, only use prlimit if the prototype is available.
      Should fix the build on sparc where prlimit is available but
      the prototype is missing. Thanks to Julien Cristau for the
      patch. This works-around #703559 and can be removed when that
      bug is fixed.
  * debian/patches/15_gio_desktop_app_info_test_bin_true_path.patch:
    + Change path for 'true' to /bin/true as that's where it is in
      Debian. This fixes a testcase that was failing on every arch
      and was causing the build to fail on ia64 and powerpc as test
      failures are fatal on those arches.
  * debian/rules:
    + Use filter instead of findstring to match the current arch
      against the list of architectures where the test suite should
      not be fatal, as the latter matches substrings and so it was
      making the testsuite non-fatal on amd64 and i386 because they
      match kfreebsd-amd64 and kfreebsd-i386.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 21 Mar 2013 16:24:45 +0100

glib2.0 (2.35.9-1) experimental; urgency=low

  * debian/control.in:
    + Break python-gi (<< 3.7.2). Closes: #702603.
  * New upstream release.
    + debian/patches/04_homedir_env.patch:
      - Updated to apply again.
  * debian/rules:
    + Set HOME instead G_HOME, as GLib now honors the former. We will
      eventually remove our local patch to support G_HOME, so packages
      that need to override the home directory for the test suite should
      switch to overriding HOME.
  * debian/libglib2.0-0.symbols:
    + Bump minimum version for g_get_home_dir() so that users that need
      HOME to be honored get a proper runtime dependency.
  * debian/patches/10_kfreebsd_issetugid_prototype.patch:
    + Untested patch to fix the build on kfreebsd.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 19 Mar 2013 13:58:27 +0100

glib2.0 (2.35.8-1) experimental; urgency=low

  [ Matthias Klose ]
  * Configure cross builds with --disable-modular-tests --disable-gtk-doc.

  [ Iain Lane ]
  * Merges from unstable branch (Michael Biebl)
    - Take into account multiarch when removing the cache files in postrm:
      Remove /usr/lib/gio/modules/giomodule.cache only for the native
      architecture for which this cache file was created.
      After removing /usr/share/glib-2.0/schemas/gschemas.compiled on purge,
      run dpkg-trigger explicitly, so in case libglib2.0-0 is installed for
      other architectures, the cache file is re-created. (Closes: #696389)
    - Drop the various Breaks from libglib2.0-0. Those are causing APT to
      fail on a dist-upgrade from squeeze to wheezy. (Closes: #676485)
  * Refresh patches and slightly rework debian/patches/04_homedir_env.patch:
    g_get_home_dir() now respects the HOME environment variable but we'll keep
    G_HOME for now as packages in Debian rely on it.
  * gdbus-codegen .py files have moved to /usr/share/glib-2.0
  * Update symbols file

  [ Martin Pitt ]
  * New upstream release 2.35.4
  * debian/libglib2.0-0.symbols: Update for new upstream release.
  * Drop 08_disable_gapplication_basic_test.patch, test is now more robust.
  * Drop 92_revert_appinfo_command_line.patch and add xterm build dependency;
    xterm is rather lightweight in terms of dependencies and is sufficient to
    run all the "Terminal=true" tests.
  * Add 08_fix_closure_invalidation.patch: gsignal: fix closure invalidation
    code. (GNOME #690118)

  [ Emilio Pozuelo Monfort ]
  * New upstream release 2.35.8.
    + debian/patches/08_fix_closure_invalidation.patch:
      - Removed, applied upstream.
    + debian/patches/*:
      - Refreshed.
    + debian/libglib2.0-0.symbols:
      - Updated for the new symbols.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 23 Feb 2013 19:27:38 +0100

glib2.0 (2.34.3-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 28 Nov 2012 14:38:35 +0100

glib2.0 (2.34.2-1) experimental; urgency=low

  * Team upload

  [ Martin Pitt ]
  * debian/rules: Re-enable failing the build on failed tests on armel/armhf
    on Ubuntu, now that the buildds behave themselves again.

  [ Simon McVittie ]
  * New upstream release
    - 50_git_gmenuexporter_allow_null_bus_on_name_vanished.patch: remove,
      applied upstream
    - 91_kfreebsd_credentials.patch: remove, applied upstream
  * Override a couple of package-contains-empty-directory lintian tags
    for deliberate empty directories
  * Override package-contains-devhelp-file-without-symlink lintian tag
    for gdbus-object-manager-example, which is deliberately not in devhelp

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Nov 2012 16:08:29 +0000

glib2.0 (2.34.1-2) experimental; urgency=low

  * Team upload
  * Apply patch from unstable to use the FreeBSD credentials-passing code
    path on kFreeBSD too, fixing (at least) gnome-terminal and lightdm on
    kFreeBSD (Closes: #581750, #631968)

 -- Simon McVittie <smcv@debian.org>  Wed, 31 Oct 2012 12:56:54 +0000

glib2.0 (2.34.1-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Require libelfg0-dev, not libelf-dev which has nothing to do with
    it.

  [ Iain Lane ]
  * New upstream release
    + GTimeZone support for zoneinfo version 1
    + Leak in glib-compile-resources
    + g_settings_bind: use canonical property name
    + Port gio tests from pygobject to pygi
  * Switch python-gobject-2 BD to python-gi, folowing porting of tests.
  * debian/patches/50_git_gmenuexporter_allow_null_bus_on_name_vanished.patch:
    Cherry-pick upstream patch to fix crash when GBusNameVanishedCallback is
    called with a NULL GDBusConnection. (LP: #1044322)

 -- Iain Lane <laney@debian.org>  Wed, 17 Oct 2012 11:51:14 +0100

glib2.0 (2.34.0-1) experimental; urgency=low

  [ Martin Pitt ]
  * debian/rules: Only run tests for the main flavour; it takes too
    long for all three and does not give us a lot of extra confidence.
  * debian/rules: Manually create debian/stamp-makefile-check, as with above
    change it's not created automatically any more.
  * Add 07_disable_tests_on_slow_archs.patch: Disable tests on slow
    architectures which keep failing the tests. These are currently
    /socket/timed_wait, /mainloop/timeouts, /mainloop/child_sources,
    /timeout/rounding, and the upper bound on /gdbus/method-calls-in-thread on
    ARM platforms.
  * debian/control.in: Bump pcre dependency to >= 1:8.31.
  * debian/rules: Seems there is no way of making the test suite work reliably
    with the upgraded Ubuntu ARM builders, so make tests non-fatal on
    arm{el,hf} until they get less swap happy.

  [ Michael Biebl ]
  * New upstream release.
  * Drop debian/patches/91_revert_pcre_8.31_test.patch now that we have a
    recent enough version.

 -- Martin Pitt <mpitt@debian.org>  Thu, 27 Sep 2012 11:22:56 +0200

glib2.0 (2.33.14-1) experimental; urgency=low

  [ Iain Lane ]
  * New upstream release
    + CVE-2012-3524: don't run dbus-launch from setuid binaries
    + g_content_type_get_generic_icon_name(): new API for getting the icon
      name for a mime type
    + Introspection fixes:
      - GDBusConnection nullability fixes
      - give a box type to GTimeZone
    + Drop GVFS_INOTIFY_DIAG
    + Add a new "Writing GLib Applications" section to the reference
      documentation with general info on security, threads, etc.
    + gwin32mount.c: Fix syntax error
    + gresource tests: srcdir != builddir fixes
    + tests/gvariant: Fix test on big endian architectures
    + Fix regression in g_shell_parse_argv()
  * Dropped 07_tests_gvariant_big_endian.patch: applied upstream.

  [ Michael Biebl ]
  * Bump all 2.33.x symbol versions to 2.33.14 to ensure a tight enough
    dependency for packages using features from glib 2.33.

 -- Michael Biebl <biebl@debian.org>  Wed, 19 Sep 2012 18:38:24 +0200

glib2.0 (2.33.12-4) experimental; urgency=low

  * debian/patches/03_disble_glib_compile_schemas_warning.patch: Add a new
    patch to disable a warning when compiling schemas which are installed into
    'deprecated' locations. Users see this very often due to
    glib-compile-schemas being called from libglib2.0-0's trigger and it is
    not very useful for them.

 -- Iain Lane <laney@debian.org>  Mon, 10 Sep 2012 16:25:18 +0100

glib2.0 (2.33.12-3) experimental; urgency=low

  * debian/control.in: Add Breaks: too glib-networking versions prior to
    2.33.12. (LP: #1046319)
  * debian/rules: Ignore test case failures on hurd-i386 (not a release
    architecture) and mips (this keeps tripping over a gdbus test race
    condition).
  * Replace 07_disable_gvariant_checksum_tests.patch with
    07_tests_gvariant_big_endian.patch which fixes the test properly instead
    of disabling it. Taken from
    https://bugzilla.gnome.org/show_bug.cgi?id=683384

 -- Martin Pitt <mpitt@debian.org>  Thu, 06 Sep 2012 06:14:41 +0200

glib2.0 (2.33.12-2) experimental; urgency=low

  * Drop 10_increase_gapplication_test_delay.patch. We disable the whole test
    now anyway (08_disable_gapplication_basic_test.patch).
  * Add 07_disable_gvariant_checksum_tests.patch: 2.33.12 introduced two new
    checks for GVariant checksum stability. This does not currently work on
    big-endian machines (https://bugzilla.gnome.org/show_bug.cgi?id=683384),
    so disable these tests for now.

 -- Martin Pitt <mpitt@debian.org>  Wed, 05 Sep 2012 11:19:29 +0200

glib2.0 (2.33.12-1) experimental; urgency=low

  [ Sebastien Bacher ]
  * New upstream version
  * debian/libglib2.0-0.symbols:
    - updated
  * revert_g_file_make_directory_with_parents_error_propagation.patch:
    - dropped, the issue is fixed in the new version
  * debian/patches/92_revert_appinfo_command_line.patch:
    - don't require a vte for test, we don't want an xorg stack there

  [ Iain Lane ]
  * Add revert_g_file_make_directory_with_parents_error_propagation.patch:
    This reverts upstream commit b0bce4ad41937dabf7e5c94dcce3caf4e88f3f97
    which caused applications to segfault. The proper fix will be in the next
    glib release, so this patch should be dropped then. (LP: #1035688)

  [ Martin Pitt ]
  * Add 07_test_method_calls_on_proxy_bump_max_time.patch: On slower
    platforms, the overhead of the 240 D-BUS Sleep calls is larger than
    the current maximum of 6 seconds. Bump maximum time to 8 seconds to be
    more resilient to this.
  * Add 08_disable_gapplication_basic_test.patch: Disable /gapplication/basic
    test. It's full of race conditions and keeps breaking builds.

  [ Robert Ancell ]
  * New upstream bugfix release (LP: #1045608)
  * Drop 07_test_method_calls_on_proxy_bump_max_time.patch:
    - Applied upstream

 -- Martin Pitt <mpitt@debian.org>  Tue, 04 Sep 2012 15:50:40 +0200

glib2.0 (2.33.8-1) experimental; urgency=low

  * New upstream release 2.33.8.
    - GIO now has a g_file_delete_async function
    - The defaults for GThreadPools max_unused_threads and max_idle_time
      values have been changed to 2 and 15*1000, respectively.
  * debian/control{,.in}: XC-Package-Type → Package-Type, thanks to Lintian.
  * debian/libglib2.0-0.symbols: Update for new symbols in this release and
    remove Debian revisions which aren't necessary.

 -- Iain Lane <laney@debian.org>  Tue, 07 Aug 2012 14:38:25 +0100

glib2.0 (2.33.6-1) experimental; urgency=low

  * New upstream release.
  * Drop 91_revert_schema_path_warning.patch now, we are not in final freeze
    in Ubuntu, and this is not aimed at Debian Wheezy.
  * Add 91_revert_pcre_8.31_test.patch: Revert new regex test from 2.33.4
    which depends on pcre 8.31. We still have 8.30, and we are building
    against the system library instead of the bundled one.

 -- Martin Pitt <mpitt@debian.org>  Wed, 18 Jul 2012 14:41:39 +0200

glib2.0 (2.33.4-1) experimental; urgency=low

  [ Martin Pitt ]
  * debian/rules: Make tests always fatal on Ubuntu.

  [ Iain Lane ]
  * New upstream release 2.33.4.
  * Refresh patches to apply cleanly and remove those applied upstream.
  * Bump version on libpcre-dev BD in line with upstream.
  * debian/libglib2.0-0.symbols: Add new symbols in this release.

 -- Iain Lane <laney@debian.org>  Mon, 16 Jul 2012 11:55:30 +0100

glib2.0 (2.33.3-2) experimental; urgency=low

  * Rename 07_socket_test_timespan_jitter.patch to 00git_* and update
    changelog with what got committed upstream.
  * Add 07_contenttype_test_fix_overflow.patch: Call g_content_type_guess()
    with valid data len. Fixes a segfault when running the test.
    Forwarded to GNOME #674452.
  * Add 08_contenttype_known_test_failure.patch: Disable known test failure
    due to a bug in g_content_type_from_mime_type(). For details, see
    https://bugzilla.gnome.org/show_bug.cgi?id=678941
  * Add 09_valuetransform_ulong_bool.patch: valuetransform: Fix definition of
    ulong_bool. Thanks Philipp Kern! (Closes: #662057)
  * Add 10_increase_gapplication_test_delay.patch: /gapplication/basic
    sometimes fails due to a different order of expected and actual actions;
    increase delay between them to reduce the race condition. Workaround for
    https://bugzilla.gnome.org/show_bug.cgi?id=664627
  * Add 11_timeout_test_reduce_race.patch: Due to load, particular traits of
    the architecture, or other circumstances, the /mainloop/timeouts sometimes
    manages to call the "every 100 ms" timer loop only 9 times in 1050 ms.
    This is an inherent race-condition in the test; allow it some slack and
    accept 9 times as well. Forwarded to GNOME #678959.

 -- Martin Pitt <mpitt@debian.org>  Wed, 27 Jun 2012 11:50:54 +0200

glib2.0 (2.33.3-1) experimental; urgency=low

  * New upstream release.
  * debian/libglib2.0-0.symbols: Add new symbols from this release.
  * debian/libglib2.0-bin.install: bash completion is now installed into
    /usr/share/bash-completion/completions/ by upstream.
  * Add debian/libglib2.0-bin.maintscript: Clean up old bash completion
    conffiles on upgrade. Add ${misc:Pre-Depends} to libglib2.0-bin.
  * Add debian/tests/control: DEP-8 autopkgtest control file. Add XS-Testsuite
    header to debian/control.in.
  * Add debian/tests/build: autopkgtest check: Build and run a program against
    glib, to verify that the headers and pkg-config file are installed
    correctly.
  * Add 06_thread_test_ignore_prctl_fail.patch: Do not fail the
    /thread/thread4 test if prctrl() fails. This happens on the Debian
    buildds.
  * debian/rules: Set G_HOME to not clutter $HOME with ~/.dbus-keyrings and
    avoid failure on the buildds where creating /home/buildd/.dbus-keyrings
    fails.
  * debian/rules: Fail the build on failed tests, except on architectures with
    known current failures (arm*, kfreebsd*, s390x, sparc).
  * Add 07_socket_test_timespan_jitter.patch:  On some buildds the poll
    duration in the /socket/timed_wait test is slightly lower than the
    requested 100000. Adjust test to not fail in these cases. Forwarded to
    GNOME #678881.

 -- Martin Pitt <mpitt@debian.org>  Tue, 26 Jun 2012 19:28:14 +0200

glib2.0 (2.33.2-1) experimental; urgency=low

  * Track unstable versions in the experimental branch.
  * New upstream release 2.33.2
    - GLIB_VERSION_MIN_REQUIRED now defaults to the current stable version
    - GIO input and output stream classes have grown GBytes-based methods
    - GApplication now has hooks to register D-Bus objects before the bus name
      is taken
  * Refresh 04_homedir_env.patch to cleanly apply
  * Add the new symbols from this release (g_app_info_get_supported_types,
    g_*_bytes, g_type_ensure)

 -- Iain Lane <laney@debian.org>  Mon, 18 Jun 2012 11:56:08 +0100

glib2.0 (2.33.1-1) experimental; urgency=low

  * debian/control.in: Update Vcs-* for experimental branch.
  * Drop 03_revert_git_single_include_error.patch. For GNOME 3.5.x we want to
    properly fix the reverse dependencies. NB this is NOT for Debian wheezy.
  * New upstream release.
  * 04_homedir_env.patch: Adjust for new release.
  * Drop 95_configure-Fix-typo-in-ELF-check.patch and
    96_configure-Reset-LIBS-after-ELF-check.patch: upstream now.
  * debian/libglib2.0-0.symbols: Add new symbols from this release.

 -- Martin Pitt <mpitt@debian.org>  Tue, 15 May 2012 16:59:15 +0200

glib2.0 (2.33.12+really2.32.4-5) unstable; urgency=low

  * Fix the closing fi in the if statement in postrm.

 -- Michael Biebl <biebl@debian.org>  Wed, 09 Jan 2013 16:14:49 +0100

glib2.0 (2.33.12+really2.32.4-4) unstable; urgency=low

  * Take into account multiarch when removing the cache files in postrm:
    Remove /usr/lib/gio/modules/giomodule.cache only for the native
    architecture for which this cache file was created.
    After removing /usr/share/glib-2.0/schemas/gschemas.compiled on purge,
    run dpkg-trigger explicitly, so in case libglib2.0-0 is installed for
    other architectures, the cache file is re-created. (Closes: #696389)
  * Drop the various Breaks from libglib2.0-0. Those are causing APT to fail
    on a dist-upgrade from squeeze to wheezy. (Closes: #676485)

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Jan 2013 23:30:04 +0100

glib2.0 (2.33.12+really2.32.4-3) unstable; urgency=low

  * Team upload
  * 92_kfreebsd_credentials.patch: use the FreeBSD credentials-passing
    implementation on kFreeBSD too, making gnome-terminal and lightdm
    work on kFreeBSD (Closes: #631968)

 -- Simon McVittie <smcv@debian.org>  Wed, 24 Oct 2012 10:51:08 +0100

glib2.0 (2.33.12+really2.32.4-2) unstable; urgency=medium

  * Revert link adding for gdbus-object-manager-example. While it is
    useful to have in /usr/share/doc as an example, it must not be
    shipped with the system documentation.
  * 20_glib-compile-resources_leak.patch: new patch. Fix a leak
    introduced in version 2.32.4. Thanks Niels Thykier!
  * SECURITY: add 11_CVE-2012-3524_setuid.patch from upstream. Prevents
    using DBus in a setuid binary. Fixes CVE-2012-3524.

 -- Josselin Mouette <joss@debian.org>  Sat, 06 Oct 2012 01:15:16 +0200

glib2.0 (2.33.12+really2.32.4-1) unstable; urgency=low

  * New upstream bugfix release.
  * 10_gdbus_race.patch: stolen from upstream git. Fix a race condition
    that would make gnome-shell crash on startup under some conditions.
  * libglib2.0-bin.install: bash completions have moved to /usr/share.
  * libglib2.0-bin.maintscript: remove old conffiles.
  * Add appropriate pre-dependency.
  * libglib2.0-doc.links: add link for gdbus-object-manager-example.

 -- Josselin Mouette <joss@debian.org>  Sat, 22 Sep 2012 17:59:34 +0200

glib2.0 (2.33.12+really2.32.3-2) unstable; urgency=low

  * Explicitly set the shlibs version to 2.32.3 to not generate overly strict
    dependencies for udeb packages.

 -- Michael Biebl <biebl@debian.org>  Wed, 19 Sep 2012 21:25:56 +0200

glib2.0 (2.33.12+really2.32.3-1) unstable; urgency=low

  * Brown paper bag upload
  * Re-upload version previously in unstable to superseded
    experimental-targetted version previously mistakenly uploaded there.

 -- Iain Lane <laney@debian.org>  Mon, 10 Sep 2012 22:52:32 +0100

glib2.0 (2.32.3-1) unstable; urgency=low

  * New upstream release.
  * Remove debian/patches/95_configure-Fix-typo-in-ELF-check.patch and
    debian/patches/96_configure-Reset-LIBS-after-ELF-check.patch, merged
    upstream.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 May 2012 16:12:21 +0200

glib2.0 (2.32.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Remove debian/patches/git_powerpc_gresources.patch, merged upstream.
  * debian/patches/95_configure-Fix-typo-in-ELF-check.patch: Fix typo in ELF
    configure check. Patch cherry-picked from upstream Git.
  * debian/patches/96_configure-Reset-LIBS-after-ELF-check.patch: Reset LIBS
    after running the ELF checks otherwise we end up linking everything
    against libelf. Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Tue, 01 May 2012 20:02:21 +0200

glib2.0 (2.32.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * debian/patches/git_powerpc_gresources.patch: Upstream fix for gresource on
    big endian architectures, i.e powerpc. Closes: #669130
  * debian/patches/revert_schema_path_warning.patch: Revert upstream commit
    which generates a warning for applications using a non-recommended
    gsettings path. Final freeze is not the time to start fixing the gsettings
    paths of all packages. This avoids tons of spewage from the gsettings
    trigger during package installation.

 -- Michael Biebl <biebl@debian.org>  Thu, 26 Apr 2012 23:13:28 +0200

glib2.0 (2.32.0-4) unstable; urgency=low

  * Set --sourcedir for the different flavors when running dh_install. This
    way the .install files can be simplified a lot which makes them much more
    readable.
  * Bump Standards-Version to 3.9.3.
  * Add Breaks against emacs23, eog and gwaei. Those applications were broken
    due to changes in GApplication and the way they interacted with
    GdkThreads so they needed to be fixed to correctly work with glib 2.32.
    Closes: #668019

 -- Michael Biebl <biebl@debian.org>  Mon, 09 Apr 2012 14:16:26 +0200

glib2.0 (2.32.0-3) unstable; urgency=low

  [ Martin Pitt ]
  * 01_gettext-desktopfiles.patch: Use official "Keywords" key now,
    X-GNOME-Keywords has been deprecated for a while now. (LP: #949864)
  * debian/libglib2.0-0.postrm.in: Only remove the compiled schemas on purge,
    not during upgrades. Otherwise we have no schemas available until the new
    postinst is run, which leads to applications aborting on missing schemas.

  [ Michael Biebl ]
  * Don't enforce single include for glib/gversionmacros.h since this header
    is included from glib/gtypes.h which is widely used.

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Mar 2012 23:55:41 +0200

glib2.0 (2.32.0-2) unstable; urgency=low

  * Upload to unstable.
  * Revert upstream commit for now which makes single includes mandatory as
    the list of affected packages is still a bit too long.

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Mar 2012 08:25:15 +0200

glib2.0 (2.32.0-1) experimental; urgency=low

  * New upstream release.
  * Add single-include guard for gbytes.h. Patch cherry-picked from
    upstream Git.

 -- Michael Biebl <biebl@debian.org>  Mon, 26 Mar 2012 18:41:49 +0200

glib2.0 (2.31.22-1) experimental; urgency=low

  * New upstream development release.
  * debian/libglib2.0-0.symbols: Add new symbol.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Mar 2012 02:00:06 +0100

glib2.0 (2.31.20-1) experimental; urgency=low

  * New upstream development release.
  * debian/patches/61_glib-compile-binaries-path.patch: Refreshed.
  * debian/libglib2.0-0.symbols: Add new symbols.
  * Override list-missing target with an implementation that better handles
    multiple flavors (copied from the gtk+3.0 package).

 -- Michael Biebl <biebl@debian.org>  Tue, 06 Mar 2012 02:28:12 +0100

glib2.0 (2.31.18-3) experimental; urgency=low

  * debian/control.in: Add Build-Depends on python-dbus, python-gobject-2, and
    libxml2-utils (xmllint). Required to run the test-suite.

 -- Michael Biebl <biebl@debian.org>  Sun, 04 Mar 2012 20:27:09 +0100

glib2.0 (2.31.18-2) experimental; urgency=low

  * debian/control.in:
  - add libpcre3-dev to the list of dependencies of libglib2.0-dev
  - add libelf-dev as a build dependency to make gresource able to deal
    with ELF files

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 03 Mar 2012 17:29:51 -0300

glib2.0 (2.31.18-1) experimental; urgency=low

  [ Gustavo Noronha Silva ]
  * New development release
  - Yeah, 2.31.8 was a mistake =/
  * debian/libglib2.0-0.symbols:
  - fix version declared for 2.31.8 symbols to not have -1
  - updated for 2.31.8 symbols
  * debian/patches/61_glib-compile-schemas-path.patch,
    debian/patches/61_glib-compile-binaries-path.patch:
  - renamed, and updated to also cover glib-compile-resources
  * debian/libglib2.0-0.install.in:
  - add glib-compile-resources

  [ Michael Biebl ]
  * debian/libglib2.0-bin.install: Install new gresource binary and the man
    pages for gresource and glib-compile-resources.
  * debian/libglib2.0-bin.links.in: Add symlink in /usr/bin for
    glib-compile-resources since we install the binary in a multiarch path.
  * debian/rules: Re-enable test-suite on kfreebsd but keep it non-fatal for
    now.

 -- Michael Biebl <biebl@debian.org>  Sat, 03 Mar 2012 02:36:26 +0100

glib2.0 (2.31.8-1) experimental; urgency=low

  * New development release
  * debian/patches/*:
  - refreshed;
  * debian/patches/95-gmain-get-rid-of-poll_waiting.patch,
    debian/patches/96-fix-one-bit-mutex-test-on-some-platforms.patch,
    debian/patches/97-silence-compiler-warnings.patch,
    debian/patches/98-disable-two-more-GDBus-tests-using-fork.patch:
  - removed; applied upstream
  * debian/libglib2.0-0.symbols:
  - updated with new symbols
   NOTES:
    + g_simple_action_get_parameter_type (from 2.28.0)
      was made static in 09429e2c820118918e6132d32884eb02203136d4
    + g_unix_resolver_get_type (from 2.22.0) was removed
      by 5a30712dc7e4adc36b0e8fd82cf5ccec19bbbdc5, with the
      removal of !g_thread_supported code paths

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 02 Mar 2012 00:34:30 -0300

glib2.0 (2.30.2-7) UNRELEASED; urgency=low

  * libglib2.0-0.postinst.in:
    + Encapsulate gio-querymodules calls in || true statements.
      Closes: #659588.
    + Only run gio-querymodules on the non-multiarch path for the host
      architecture.
  * rules: add substitution for #ARCH# for the above change.

 -- Josselin Mouette <joss@debian.org>  Thu, 16 Feb 2012 12:21:51 +0100

glib2.0 (2.30.2-6) unstable; urgency=low

  * Revert the patches added in 2.30.2-5 which changed the handling of return
    types from libffi. They didn't actually fix the build failures on s390x
    and had some unpleasant side effects, like making other packages FTBFS.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Jan 2012 12:17:29 +0100

glib2.0 (2.30.2-5) unstable; urgency=low

  [ Josselin Mouette ]
  * Drop deprecated build-dependencies on pygobject & python-dbus.
  * Retain one on python for the script that uses it.

  [ Loïc Minier ]
  * Avoid harmless warnings when processing triggers of libglib2.0-0
    ("Unable to open directory /usr/lib/gio/modules: Error opening
    directory '/usr/lib/gio/modules': No such file or directory").

  [ Michael Biebl ]
  * Cherry-pick patches from upstream Git which fix handling of ENUMs and
    integral return types on 64-bit BE platforms. Closes: #653308
    - Add d/p/94-closure-fix-handling-of-ENUMs-and-integral-return-ty.patch.
    - Add d/p/93-gvalue-Add-explicitly-signed-g_value_get_schar-and-g.patch.
    - Update symbols file accordingly.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Jan 2012 13:50:56 +0100

glib2.0 (2.30.2-4) unstable; urgency=low

  * Upload to unstable.
  * Disable test suite on kfreebsd-* for now.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Nov 2011 19:38:40 +0100

glib2.0 (2.30.2-3) experimental; urgency=low

  * debian/patches/98-disable-two-more-GDBus-tests-using-fork.patch:
    - Added. Disable gdbus test which use GMainContext over a fork, see
      https://bugzilla.gnome.org/show_bug.cgi?id=658999 for more details

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 17 Nov 2011 22:20:48 +0000

glib2.0 (2.30.2-2) experimental; urgency=low

  * debian/patches/95-gmain-get-rid-of-poll_waiting.patch:
    - Added, Fix race conditions with g_main_quit being called from other
      threads by getting rid of the poll_waiting flag. (Backported from git
      master)
  * debian/patches/96-fix-one-bit-mutex-test-on-some-platforms.patch:
    - Added, Fix the 1 bit mutex failing on platforms that have pointers
      aligned to 32 bits instead of 64 bits (bgo#201322).
  * debian/patches/97-silence-compiler-warnings.patch:
    - Added, Fix various compiler warnings

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 16 Nov 2011 22:21:52 +0000

glib2.0 (2.30.2-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/70-fix-race-in-gdbus-connection-test.patch:
    - Removed, merged upstream.
  * debian/patches/80_gtk_doc_out_of_tree.patch:
    - Removed, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Sun, 13 Nov 2011 01:24:28 +0100

glib2.0 (2.30.1-2) experimental; urgency=low

  [ Martin Pitt ]
  * debian/patches/01_gettext-desktopfiles.patch:
    - Translate X-GNOME-FullName and X-GNOME-Keywords, too.

  [ Sjoerd Simons ]
  * debian/patches/80_gtk_doc_out_of_tree.patch:
    - Added. Fix documentation generation when build out of tree

  [ Michael Biebl ]
  * Transition to multiarch, thanks Steve. Closes: #634099
    The following modifications were made to the original patch:
    - Drop the libtool .la files, since we break existing references anyway.
    - Don't mark libglib2.0-0-dbg as Multi-Arch: same and install into
      /usr/lib/debug, not /usr/lib/<triplet>/debug.
    - Guard the for loops in debian/rules with "set -e".
  * debian/libglib2.0-dev.install.in:
    - Install gdb auto-load files.

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Oct 2011 21:26:48 +0200

glib2.0 (2.30.1-1) experimental; urgency=low

  [ Michael Biebl ]
  * New upstream release.
    - Avoid assertion in GDBus if we fail to authenticate twice.
      Closes: #634312
  * Bump debhelper compatibility level to 8.
    - Bump Build-Depends on debhelper.
    - Don't pass --dbg-package= without an argument to dh_strip as commands
      will fail rather than warn when they are passed unknown options.
  * Don't use brace expansion in debian/libglib2.0-0.install and
    debian/libglib2.0-dev.install.
  * debian/control.in
    - Use architecture wildcard for kfreebsd and hurd.
    - Bump Standards-Version to 3.9.2. No further changes.
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
    - Add Build-Depends on libffi-dev (>= 3.0.0).
  * debian/libglib2.0-dev.install
    - Install gdbus-codegen binary and manpage.
    - Install gtester and gtester-report manpage.
  * debian/libglib2.0-bin.install
    - Install bash completion files for gdbus and gsettings.
  * debian/libglib2.0-0.symbols
    - Update symbols file. The GAction API had an incompatible change. As a
      result g_action_set_state has been renamed to g_action_change_state.
      See upstream commit 5ff65d869543587d10d78c123698e47effc5fb8c for further
      details and on the impact of this change.
  * debian/watch:
    - Track .xz tarballs.
  * Update patches
    - Remove 03_blacklist-directories.patch, merged upstream.
    - Remove 10_gdesktopappinfo_set_last_used.patch, fixed upstream.
    - Remove 60_wait-longer-for-threads-to-die.patch, fixed upstream using a
      counter.
    - Refresh remaining patches.

  [ Josselin Mouette ]
  * Break gtk3 < 3.0.12 because it uses an internal symbol that ceases
    to work with glib 2.30.

  [ Sjoerd Simons ]
  * debian/rules: Explicitely build gtk-doc
  * debian/patches/70-fix-race-in-gdbus-connection-test.patch:
    - Added, fix race condition in the GDBusConnection life-cycle test

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 16 Oct 2011 11:50:31 +0100

glib2.0 (2.28.8-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    - Update to version 3.
    - Track .xz tarballs.
  * Bump debhelper compatibility level to 8.
    - Bump Build-Depends on debhelper.
    - Don't pass --dbg-package= without an argument to dh_strip as commands
      will fail rather than warn when they are passed unknown options.
  * Don't use brace expansion in debian/libglib2.0-0.install and
    debian/libglib2.0-dev.install.
  * debian/control.in
    - Use architecture wildcard for kfreebsd and hurd.
    - Bump Standards-Version to 3.9.2. No further changes.
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
  * Refresh patches.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2011 18:09:05 +0200

glib2.0 (2.28.6-4) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2011 10:42:58 +0200

glib2.0 (2.28.6-3) experimental; urgency=low

  * Break gnome-session < 3.0.0-3 for the updated defaults.list taking
    x-scheme-* into account.
  * Break gdm < 3.0.3 to avoid adding a security hole to it.
  * 10_gdesktopappinfo_set_last_used.patch: new patch. When calling
    g_app_info_set_as_last_used_for_type, correctly inherit the default
    filled in the file from the system default. This avoids
    gnome-control-center breaking file associations just by opening the
    info dialog.

 -- Josselin Mouette <joss@debian.org>  Sun, 04 Sep 2011 23:07:46 +0200

glib2.0 (2.28.6-2) experimental; urgency=low

  * Team upload.
  * Drop 20_mime_extension_point.patch and add Breaks against gvfs
    and gnome-control-center to ensure they have been updated at the
    same time.
  * Drop Conflicts against pango, it's no longer relevant (even for
    oldstable).
  * Fix watch file.
  * Drop leading article in descriptions as recommended by lintian.
  * Add lintian overrides for package-name-doesnt-match-sonames, it's a
    deliberate choice.
  * Add some copyright holders to debian/copyright to appease lintian.
  * Drop unneeded section/priority fields as they duplicate the default
    values.
  * Add some DEP-3 descriptions to patches that had no description at
    all.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 14 Apr 2011 10:51:16 +0200

glib2.0 (2.28.6-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 Apr 2011 09:18:31 +0200

glib2.0 (2.28.4-1) unstable; urgency=low

  * debian/control.in:
    + Build depend on dbus, dbus-x11,  shared-mime-info, python-gobject
      and python-dbus, needed by the test suite.
    + libglib2.0-data doesn't need to depend on libglib2.0-0, since
      it only ships translations. This will avoid making glib
      uninstallable on the buildds when it is uploaded until the new
      version has been built.
  * d/p/0001-Run-gio-tests-with-a-dbus-session.patch:
    + New patch. Run gio tests through dbus-launch, since some of them
      need a running dbus session.
  * debian/control.in,
    debian/rules:
    + Add autoreconf magic, needed by the above patch.
  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 28 Mar 2011 19:53:02 +0100

glib2.0 (2.28.2-1) unstable; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 11 Mar 2011 21:05:36 +0000

glib2.0 (2.28.1-1) unstable; urgency=low

  * New upstream release.
    + Fixes g_timeout_add overflowing with large timeouts. Closes: #606618.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 21:24:21 +0000

glib2.0 (2.28.0-2) unstable; urgency=low

  * 20_mime_extension_point.patch: temporary revert the upstream change
    in URI schemes handling. Closes: #612876.
    Note for later: it must absolutely be reverted in a synchronized
    upload with gvfs 1.8 and control-center 3.0.

 -- Josselin Mouette <joss@debian.org>  Fri, 18 Feb 2011 19:36:42 +0100

glib2.0 (2.28.0-1) unstable; urgency=low

  * debian/control.in:
    + Drop obsolete conflicts/replaces with libglib1.3.
    + Don't suggest libgtk2.0-doc in the doc package.
  * New upstream stable release.
    + debian/control.in:
      - Bump the libpcre3-dev build dependency.
    + debian/patches/01_gettext-desktopfiles.patch,
      debian/patches/02_gettext-desktopfiles-ubuntu.patch,
      debian/patches/04_homedir_env.patch,
      debian/patches/61_glib-compile-schemas-path.patch:
      - Refreshed.
    + debian/libglib2.0-0.symbols:
      - Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 09 Feb 2011 21:52:02 +0000

glib2.0 (2.27.91-1) experimental; urgency=low

  * debian/rules:
    - Don't exclude .sgml and .devhelp files from being compressed.
      The former are already excluded by dh_compress and the later
      can be compressed now that devhelp can handle them.
    - Fix variable substitution.
  * New upstream release.
    - debian/patches/62_dont_crash_without_desktop_filename.patch:
      + Removed, included upstream.
  * debian/control.in:
    - Standards-Version is 3.9.1, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 11 Jan 2011 22:59:07 +0000

glib2.0 (2.27.90-2) experimental; urgency=low

  * debian/patches/62_dont_crash_without_desktop_filename.patch
    * Added. Fix crash when launching application without a desktop file (From
      upstream git)

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 07 Jan 2011 11:28:34 +0000

glib2.0 (2.27.90-1) experimental; urgency=low

  * Switch to CDBS' flavors system.
  * Switch to source format 3.0 (quilt).
  * Stop symlinking /usr/share/doc/$pkg directories.
  * debian/rules:
    - Explicitly link with --no-as-needed, as --as-needed might be the
      default and is harmful for us.
    - Run the test suite but don't make it fatal yet.
  * New upstream release.
    - debian/libglib2.0-0.symbols:
      + Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 06 Jan 2011 12:46:00 +0000

glib2.0 (2.27.5-1) experimental; urgency=low

  * New upstream release.
    + debian/libglib2.0-0.symbols:
      - Updated.
  * debian/rules:
    + Make the shlibs always depend on the latest upstream version.
      We have symbols file anyway, and manually bumping the shver is
      error prone.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 23 Dec 2010 01:44:45 +0000

glib2.0 (2.27.4-2) experimental; urgency=low

  * debian/rules: Change --disable-visibility to --disable-Bsymbolic for
    the refdbg package.

 -- Jonny Lamb <jonny@debian.org>  Wed, 15 Dec 2010 21:52:29 +0000

glib2.0 (2.27.4-1) experimental; urgency=low

  * New upstream release.
    + debian/libglib2.0-0.symbols:
      - Updated.
    + debian/rules:
      - Bump the SHVER.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 30 Nov 2010 00:48:49 +0100

glib2.0 (2.27.3-1) experimental; urgency=low

  * New upstream release.
    + debian/libglib2.0-0.symbols:
      - Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 15 Nov 2010 23:05:29 +0100

glib2.0 (2.27.2-1) experimental; urgency=low

  * New upstream development release:
    + debian/patches/*:
      - Refreshed.
    + debian/libglib2.0-0.symbols:
      - Updated
    + debian/patches/70_dtrace.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 01 Nov 2010 10:53:15 +0100

glib2.0 (2.27.1-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Drop lynx dependency in the -doc package. Suggest devhelp instead.
    Closes: #599743.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/patches/70_fix-header-cleaup-fallout.patch:
      - Dropped, merged upstream.
    + debian/patches/*:
      - Refreshed.
    + debian/libglib2.0-0.symbols:
      - Updated
    + debian/patches/70_dtrace.patch:
      - Patch from upstream GIT to not enable DTrace if it's not
        available. Fixes the build on kFreeBSD (Closes: #592024).

 -- Sebastian Dröge <slomo@debian.org>  Fri, 29 Oct 2010 11:32:02 +0200

glib2.0 (2.27.0-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * New upstream experimental release
  * debian/libglib2.0-0.symbols
    + Updated
  * debian/patches/70_fix-header-cleaup-fallout.patch
    + Added. Fix complilation error (from upstream git)

  [ Sebastian Dröge ]
  * Upload to experimental.
  * debian/rules:
    + Update SHVER to 2.27.0.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 12 Oct 2010 10:56:13 +0200

glib2.0 (2.26.0-1) experimental; urgency=low

  * New upstream stable release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Update for the new version.
    + debian/patches/90_gregex-system-pcre.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 27 Sep 2010 22:43:13 +0200

glib2.0 (2.25.16-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Update for the new version.
    + debian/patches/90_gregex-system-pcre.patch:
      - Fix GRegex compilation with the system pcre.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 18 Sep 2010 07:15:26 +0200

glib2.0 (2.25.15-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Update for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 31 Aug 2010 11:26:25 +0200

glib2.0 (2.25.14-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Update for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 17 Aug 2010 11:37:23 +0200

glib2.0 (2.25.13-1) experimental; urgency=low

  * New upstream development release:
    + debian/patches/90_git_glibconfig_build.patch,
    + debian/patches/99_autoreconf.patch:
      - Dropped, merged upstream.
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Update for the new version.
    + debian/control.in:
      - (Build-) depend on pkg-config >= 0.16.0.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 07 Aug 2010 09:34:16 +0200

glib2.0 (2.25.12-2) experimental; urgency=low

  [ Sebastien Bacher ]
  * debian/rules:
    + clean the distributed glibconfig.h it has 64 bits values
      which leaded to the issues on 32 bits architectures
      (Closes: #591075, #591492).
  * debian/patches/90_git_glibconfig_build.patch:
    + git change to use the builddir glibconfig.h and not the srcdir one

  [ Sebastian Dröge ]
  * debian/patches/99_autoreconf.patch:
    + Regenerated autotools files for the above patch.
  * debian/rules:
    + Call dh_installdirs to actually use the .dirs files.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 06 Aug 2010 18:50:27 +0200

glib2.0 (2.25.12-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Don’t run the triggers when executed from a nonexistent directory.
    Closes: #589693.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Update for API changes.
    + debian/patches/99_gsocket-create-socket-cloexec.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 30 Jul 2010 12:29:10 +0200

glib2.0 (2.25.11-3) experimental; urgency=low

  * debian/patches/99_gsocket-create-socket-cloexec.patch:
    Patch by Julien Cristau:
    Just because SOCK_CLOEXEC was defined at build time doesn't mean the
    kernel we're running on supports it.  So if socket() fails with EINVAL,
    try again without the flag.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 15 Jul 2010 20:23:30 +0200

glib2.0 (2.25.11-2) experimental; urgency=low

  * debian/control.in,
    debian/libglib2.0-bin.links,
    debian/libglib2.0-0.links:
    + Move links to the -bin package again but let the -dev package
      depend on the -bin package. Having the links in the shared library
      package will cause conflicts when the soname changes but the
      links in /usr/bin must be there at least if the -dev package is
      installed because build systems might assume that the applications
      are in $PATH.
  * debian/patches/61_glib-compile-schemas-path.patch:
    + Adjust path to glib-compile-schemas in the pkg-config file.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 13 Jul 2010 14:06:28 +0200

glib2.0 (2.25.11-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Drop type-handling usage. Closes: #587863.
  * Bump standards version accordingly.
  * Patch from Ubuntu, thanks Sébastien Bacher. Closes: #587661.
    * debian/libglib2.0-bin.install:
      - Install glib-compile-schemas
    * debian/libglib2.0-bin.postinst:
      - Run glib-compile-schemas when schemas modified
    * debian/libglib2.0-bin.triggers:
      - Watch for schema changes
    * debian/libglib2.0-dev.install:
      - glib-compile-schemas moved to libglib2.0-bin
    * debian/libglib2.0-dev.install:
    - install the new gdb python macros since the gdb version is recent
      enough now to use those
  * Put gio-querymodules and glib-compile-schemas in a private,
    versioned directory in libglib2.0-0 to avoid a dependency loop.
  * Move back the triggers to libglib2.0-0.
  * Add a purge of the necessary files in the postinst.
  * Stop recommending libglib2.0-bin since the necessary stuff is in
    libglib2.0-0 now.
  * Add symlinks to keep the binaries at their place in libglib2.0-bin.
  * Tighten the dependency between libglib2.0-bin and libglib2.0-0.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Update for API changes.
  * debian/libglib2.0-0.dirs:
    + Create empty directories for the triggers to actually work.
  * debian/libglib2.0-0.links,
    debian/control.in:
    + Add links for gio-querymodules and glib-compile-schemas in
      /usr/bin.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 11 Jul 2010 20:13:58 +0200

glib2.0 (2.25.10-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Update for API changes.
    + debian/libglib2.0-dev.install:
      - Drop gsettings-schema-convert.
    + debian/patches/*:
      - Refreshed all patches.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 24 Jun 2010 19:59:54 +0200

glib2.0 (2.25.9-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Update for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 Jun 2010 06:24:03 +0200

glib2.0 (2.25.8-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Update for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Jun 2010 11:07:18 +0200

glib2.0 (2.25.7-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Update for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 25 May 2010 11:29:07 +0200

glib2.0 (2.25.6-1) experimental; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 20 May 2010 10:27:41 +0200

glib2.0 (2.25.5-1) experimental; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 15 May 2010 09:44:10 +0200

glib2.0 (2.25.4-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Update for API additions.
    + debian/libglib2.0-bin.install:
      - Add gdbus utility and manpage.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 14 May 2010 18:25:58 +0200

glib2.0 (2.25.3-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Update for API additions.
    + debian/libglib2.0-dev.install:
      - gschema-compile was renamed to glib-compile-schemas.
    + debian/control.in,
      debian/rules:
      - Manpages are now properly shipped with the tarballs,
        drop xsltproc, etc. build dependencies.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 24 Apr 2010 06:16:59 +0200

glib2.0 (2.25.2-1) experimental; urgency=low

  * New upstream development release:
    + debian/libglib2.0-0.install,
      debian/libglib2.0-0.triggers,
      debian/control.in,
      debian/rules,
      debian/libglib2.0-bin.install,
      debian/libglib2.0-bin.triggers:
      - Move binaries to an unversioned, separate package.
      - Add new gsettings tool.
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Update for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 23 Apr 2010 06:14:47 +0200

glib2.0 (2.25.1-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Update for API additions.
    + debian/libglib2.0-dev.install,
      debian/libglib2.0-0.install:
      - Install new GSettings utitilies and manpages.
  * debian/control.in,
    debian/rules:
    + Enable manpage generation via xsltproc for now until
      https://bugzilla.gnome.org/show_bug.cgi?id=616264
      is fixed.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Apr 2010 09:24:20 +0200

glib2.0 (2.24.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Updated 2.23 symbols to 2.24 to force dependencies on a stable release.
    + debian/rules:
      - Remove check-dist.mk include to allow uploads to unstable again.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 26 Mar 2010 16:59:18 +0100

glib2.0 (2.23.6-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/05_gvariant_test_failure.patch:
    - Backport patch from upstream git to fix a gvariant test that fails
      randomly on x86.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Updated for the new API.
    + debian/patches/05_gvariant_test_failure.patch:
      - Dropped, merged upstream.
  * debian/rules:
    + Make unit test failures non-fatal again because of race conditions
      in some tests.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 22 Mar 2010 06:10:18 +0100

glib2.0 (2.23.5-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/05-dont-fail-a-couple-of-tests-when-running-as-root.patch:
    - Updated.
  * 06-test-for-unexisting-files-in-TMP-and-not-in-HOME.patch:
    - Added, don't look for an unexisting file in $HOME since it will
      fail with an unexpected result if it's not writable (which happens
      on some buildds). Look at $TMP instead.
  * debian/rules:
    - Make test suite failures fatal on amd64, i386 and s390.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Updated for the new API.
    + debian/patches/05-dont-fail-a-couple-of-tests-when-running-as-root.patch,
      debian/patches/06-test-for-unexisting-files-in-TMP-and-not-in-HOME.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 08 Mar 2010 18:49:00 +0000

glib2.0 (2.23.4-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/05-dont-fail-a-couple-of-tests-when-running-as-root.patch:
    - Added, expect a couple of tests that play with file permissions
      to succeed when running as root.
  * debian/control.in:
    - Add desktop-file-utils to build depends to fix another test.
    - Standards-Version is 3.8.4, no changes needed.
    - Let libgio-fam depend on ${misc:Depends}.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Updated for the new API.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 22 Feb 2010 09:04:48 +0100

glib2.0 (2.23.3-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Updated for the new API.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 09 Feb 2010 16:48:07 +0100

glib2.0 (2.23.2-2) experimental; urgency=low

  * debian/control.in,
    debian/libglib2.0-0.triggers,
    debian/libglib2.0-0.install,
    debian/libglib2.0-dev.install:
    + Ship gio-querymodules in the shared library package
      and triggers calls to every time /usr/lib/gio/modules
      is touched by a package.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 26 Jan 2010 09:40:47 +0100

glib2.0 (2.23.2-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Updated for the new API.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 26 Jan 2010 08:14:26 +0100

glib2.0 (2.23.1-1) experimental; urgency=low

  [ Sebastian Dröge ]
  * debian/control.in:
    + Let the -dev package depend on zlib1g-dev as it's required by
      the pkg-config file now.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Updated for the new API.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 22 Dec 2009 23:25:41 +0100

glib2.0 (2.23.0-1) experimental; urgency=low

  [ Loïc Minier ]
  * -refdbg package is section/prio debug/extra.
  * Add note to NOT use -Wl,--as-needed as it might drop a critical -lpthread
    link in gio (which dlopen()s gvfs); see
    mid:<1257999019.21780.15.camel@marzipan>.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/patches/90_mimetype-sorting.patch:
      - Dropped, merged upstream.
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Update for new API.
    + debian/control.in:
      - Build depend on zlib.
    + debian/rules:
      - Include check-dist.mk to prevent accidental uploads to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Nov 2009 10:04:07 +0100

glib2.0 (2.22.2-2) unstable; urgency=low

  * debian/patches/90_mimetype-sorting.patch:
    + Fix sorting of mimetypes by weight. Highest weight means most
      important, not the other way around. Patch from upstream GIT.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 08 Oct 2009 18:34:23 +0200

glib2.0 (2.22.2-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Move libglib2.0-data to section libs. Closes: #549079.

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 08 Oct 2009 12:48:51 +0200

glib2.0 (2.22.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/10_inotify_init1.patch,
      debian/patches/30_metadata_symlinks.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 30 Sep 2009 08:17:57 +0200

glib2.0 (2.22.0-2) unstable; urgency=low

  * Don’t install Python GDB macros for now, they only work with an
    experimental GDB branch.
  * 30_metadata_symlinks.patch: stolen upstream. Get metadata to work
    with symbolic links. Closes: #548142.

 -- Josselin Mouette <joss@debian.org>  Wed, 30 Sep 2009 01:02:11 +0200

glib2.0 (2.22.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Move libglib-2.0.so.0 to /lib so that DeviceKit (and other potential
    sources) can work without having /usr mounted.
  * 11_chmod_symlinks.patch: new patch. Fix potential security issue
    when manipulating symlink permissions. Thanks Arand Nash for the
    heads up.

  [ Sebastian Dröge ]
  * New upstream stable release:
    + debian/patches/11_chmod_symlinks.patch:
      - Dropped, merged upstream.
    + debian/libglib2.0-0.symbols,
      debian/rules:
      - Update for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 23 Sep 2009 05:04:37 +0200

glib2.0 (2.21.6-1) experimental; urgency=low

  [ Josselin Mouette ]
  * 10_inotify_init1.patch: fall back on inotify_init when inotify_init1
    does not work, as happens with kernel versions < 2.6.27.
    Closes: #544354.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/libglib2.0-0.symbols:
      - Update for the new version.
    + debian/rules:
      - Update SHVER to 2.21.6.
  * debian/control.in:
    + Updated Standards-Version to 3.8.3, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 05 Sep 2009 07:15:58 +0200

glib2.0 (2.21.5-1) experimental; urgency=low

  * New upstream development release:
    + debian/libglib2.0-0.symbols:
      - Update for the new version.
    + debian/rules:
      - Update SHVER to 2.21.5.
  * debian/control.in:
    + Updated Standards-Version to 3.8.2, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 25 Aug 2009 18:38:51 +0200

glib2.0 (2.21.4-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules:
      - Include check-dist.mk to prevent accidental uploads to unstable.
      - Update shlib version to 2.21.4.
    + debian/libglib2.0-0.symbols:
      - Update for the API additions.
  * debian/control.in:
    + Updated Standards-Version to 3.8.1, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 21 Jul 2009 09:35:33 +0200

glib2.0 (2.20.4-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 27 Jun 2009 09:56:08 +0200

glib2.0 (2.20.3-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Only build the libgio-fam package for hurd and kfreebsd, it is
    totally useless under Linux.
  * Make it recommend gamin for kqueue support.
  * Make libgamin-dev the primary build-dependency. Closes: #526219.

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 01 Jun 2009 15:35:40 +0200

glib2.0 (2.20.1-2) unstable; urgency=low

  * Add refdbg package: libglib2.0-0-refdbg. (Closes: #525915)

 -- Jonny Lamb <jonny@debian.org>  Tue, 28 Apr 2009 15:11:27 +0100

glib2.0 (2.20.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + 10_log_valist.patch, dropped.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 11 Apr 2009 17:00:43 +0200

glib2.0 (2.20.0-3) unstable; urgency=low

  * Fix debug package section.
  * 10_log_valist.patch: new patch, stolen upstream. Copy a va_list
    before using it twice. Closes: #520484.

 -- Josselin Mouette <joss@debian.org>  Thu, 09 Apr 2009 20:11:52 +0200

glib2.0 (2.20.0-2) unstable; urgency=low

  * Remove 02_usr_share_gnome_applications.patch, now gnome-session sets
    XDG_DATA_DIRS accordingly.

 -- Josselin Mouette <joss@debian.org>  Thu, 19 Mar 2009 22:59:34 +0100

glib2.0 (2.20.0-1) unstable; urgency=low

  * New upstream stable release.
  * Upload to unstable, remove check-dist include.
    This won't block any transitions because of symbol files.
  * debian/libglib2.0-0.symbols,
    debian/rules:
    + Update for the API changes.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 14 Mar 2009 10:53:26 +0100

glib2.0 (2.19.10-1) experimental; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 02 Mar 2009 16:04:08 +0100

glib2.0 (2.19.8-2) experimental; urgency=low

  * debian/patches/01_gettext-desktopfiles.patch,
    debian/patches/02_gettext-desktopfiles-ubuntu.patch:
    + Updated from the Ubuntu package, thanks to Martin Pitt for the changes:
      - 01_gettext-desktopfiles.patch: Merge OpenSUSE's and our patch:
        - Now prefers inline translations over gettext translations, which
          fixes a few corner cases (like renaming .desktop files on the
          user's desktop), is more in line with the recent gconf patch,
          and more palatable for upstream inclusion.
        - Use X-GNOME-Gettext-Domain, for preparing upstream inclusion.
        - Forwarded upstream now.
      - Add 02_gettext-desktopfiles-ubuntu.patch: Provide backwards
        compatibility for 01_gettext-desktopfiles.patch for
        X-{Debian,Ubuntu}-Gettext-Domain. The latter was changed to use
        X-GNOME-, so this is necessary until all our .desktop files are
        converted.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 24 Feb 2009 16:08:05 +0100

glib2.0 (2.19.8-1) experimental; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 20 Feb 2009 10:38:44 +0100

glib2.0 (2.19.7-1) experimental; urgency=low

  * New development release

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 17 Feb 2009 01:43:04 -0300

glib2.0 (2.19.6-1) experimental; urgency=low

  * New development release
  * debian/libglib2.0-0.symbols:
  - updated with new symbols

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 15 Feb 2009 23:58:22 -0300

glib2.0 (2.18.4-2) unstable; urgency=low

  * Release to unstable
  * debian/rules:
  - bump SHVER, since we are already forcing a 2.18.0 dependecy on the
    symbols introduced in the development versions
  * debian/control.in:
  - added Homepage and Vcs-* control fields

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 15 Feb 2009 13:00:43 -0300

glib2.0 (2.18.4-1) experimental; urgency=low

  [ Josselin Mouette ]
  * 04_homedir_env.patch: new patch. Handle the G_HOME environment
    variable, to override the passwd entry. This will allow to fix
    various kinds of build failures due to restricted build
    environments.

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 10 Jan 2009 14:21:55 +0100

glib2.0 (2.18.3-1) experimental; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 24 Nov 2008 10:07:47 +0100

glib2.0 (2.18.2-1) experimental; urgency=low

  [ Loic Minier ]
  * Suffix the Debian specific pcre bdep with "~" to allow backports and make
    lintian happy.
  * Update doc-base entries for new doc-base secttions: use Programming/C
    instead of Apps/Programming.
  * Use uppercase GNOME in doc-base description of glib.
  * Recommend shared-mime-info for content-type guessing API; see
    GNOME #554563.
  * Pass -k to make check.

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 19 Oct 2008 13:26:48 +0200

glib2.0 (2.18.1-1) experimental; urgency=low

  * New upstream bugfix release.
  * debian/libglib2.0-0.symbols:
    + Updated all 2.17 symbols to 2.18.0 to get dependencies on the stable
      versions.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 21 Sep 2008 15:31:15 +0200

glib2.0 (2.18.0-1) experimental; urgency=low

  * New upstream stable release, with API addition.
    - Update symbols file for new g_object_get_type() symbol and drop
      g_slice_debug_tree_statistics() which shouldn't have been exported in
      the first place.
    - Refresh patches 01_gettext-desktopfiles,
      02_usr_share_gnome_applications, and 03_blacklist-directories to apply
      cleanly.

 -- Loic Minier <lool@dooz.org>  Wed, 03 Sep 2008 00:51:29 +0200

glib2.0 (2.17.7-1) experimental; urgency=low

  * New upstream development release, the new API might still change:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Updated for the new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 18 Aug 2008 16:04:30 +0200

glib2.0 (2.17.6-1) experimental; urgency=low

  * New upstream development release, the new API might still change:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Updated for the new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 04 Aug 2008 19:54:44 +0200

glib2.0 (2.17.4-1) experimental; urgency=low

  [ Loic Minier ]
  * List back m68k in arches where we could make the testsuite fatal,
    following the update on GNOME #481575.
  * Document why testsuite is currently completely disabled (fails when
    there's no writable $HOME).

  [ Sebastian Dröge ]
  * New upstream development release, the new API might still change:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Updated for the new symbols.
    + debian/patches/90_gio-nautilus-crash.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Jul 2008 11:17:05 +0200

glib2.0 (2.17.3-2) experimental; urgency=low

  * debian/patches/90_gio-nautilus-crash.patch:
    + Patch from upstream SVN to fix a crash in nautilus 2.22.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 05 Jul 2008 16:57:05 +0200

glib2.0 (2.17.3-1) experimental; urgency=low

  * New upstream development release, the new API might still change:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Updated for the new symbols.
  * debian/control.in:
    + Updated Standards-Version to 3.8.0, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 03 Jul 2008 11:21:17 +0200

glib2.0 (2.17.2-1) experimental; urgency=low

  * New upstream development release, the new API might still change:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Updated for the new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 17 Jun 2008 09:18:10 +0200

glib2.0 (2.17.0-1) experimental; urgency=low

  [ Josselin Mouette ]
  * debian/rules: don't compress .sgml and .devhelp files.

  [ Loic Minier ]
  * Fix broken second dh_strip invocation which was not only acting on the
    udeb but also on binary packages (-s -pUDEB should have been -pUDEB).

  [ Sebastian Dröge ]
  * New upstream development release, the new API might still change.
  * debian/rules:
    + Include check-dist.mk to prevent accidental uploads to unstable.
    + Bump SHVER to 2.17.0.
    + Pass -c4 to dh_makeshlibs.
  * debian/libglib2.0-0.symbols:
    + Update symbols.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 28 May 2008 10:40:30 +0200

glib2.0 (2.16.3-2) unstable; urgency=low

  * debian/rules: Don't add the debug symbols of the udeb in the -dbg package.
    Makes the debugging info actually usefull again (Closes: #468093)

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 11 Apr 2008 22:58:03 +0200

glib2.0 (2.16.3-1) unstable; urgency=low

  [ Sjoerd Simons ]
  * debian/patches/70_g_timeout_seconds_fix.patch
    + Added. Fix a rare case where a timeout from g_timeout_add_seconds() is
    never triggered. See http://bugzilla.gnome.org/show_bug.cgi?id=448943

  [ Sebastian Dröge ]
  * New upstream bugfix release:
    + debian/patches/70_g_timeout_seconds_fix.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Apr 2008 12:02:07 +0200

glib2.0 (2.16.2-1) unstable; urgency=low

  [ Loic Minier ]
  * Drop nautilus conflicts as it triggers a bug in the APT resolver on
    dist-upgrade.
  * Update patch 01_gettext-desktopfiles with a newer version taken from the
    Ubuntu package.
  * Update and enable patch 01_gettext-desktopfiles to also look for
    X-Debian-Gettext-Domain if X-Ubuntu-Gettext-Domain isn't present.

  [ Sebastian Dröge ]
  * New upstream bugfix release:
    + Fixes FTBFS on hurd/i386 (Closes: #472129).
    + debian/patches/04_nfs4.patch,
      debian/patches/80_static-mutex-aliasing-warnings.patch,
      debian/patches/81_c99-inline-warnings.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Apr 2008 07:40:48 +0200

glib2.0 (2.16.1-2) unstable; urgency=low

  [ Josselin Mouette ]
  * 02_usr_share_gnome_applications.patch: ported from GnomeVFS. Use
    /usr/share/gnome/applications/defaults.list to obtain the defaults
    for MIME mapping. Currently this file is still shipped by GnomeVFS.
    Closes: #469504.
  * 03_blacklist-directories.patch: ported from GnomeVFS. Blacklist more
    FHS directories that are commonly found as Unix mount points,
    including those necessary for live-initramfs.
  * 04_nfs4.patch: ported from GnomeVFS. Support for nfs4 filesystems.

  [ Sebastian Dröge ]
  * 80_static-mutex-aliasing-warnings.patch: Prevent warnings about
    breaking strict-aliasing rules when using G_LOCK().
    See http://bugzilla.gnome.org/show_bug.cgi?id=316221
  * 81_c99-inline-warnings.patch: Fix warnings when using G_INLINE_FUNC
    in C99 mode (Closes: #470796).
    See http://bugzilla.gnome.org/show_bug.cgi?id=522292
  * Don't ship the old changelogs and news to save some space.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 14 Mar 2008 10:13:09 +0100

glib2.0 (2.16.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 11 Mar 2008 04:41:30 +0100

glib2.0 (2.16.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/rules:
      - Update shlibs version to 2.16.0.
      - Drop check-dist include, upload to unstable.
    + debian/libglib2.0-0.symbols:
      - Updated symbols for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Mar 2008 19:23:55 +0100

glib2.0 (2.15.6-1) experimental; urgency=low

  * New upstream release:
    + debian/rules:
      - Update shlibs version to 2.15.6.
    + debian/libglib2.0-0.symbols:
      - Updated symbols for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 26 Feb 2008 06:22:28 +0100

glib2.0 (2.15.5-1) experimental; urgency=low

  * New upstream release:
    + debian/patches/02_fam-helper.patch:
      - Dropped, merged upstream.
    + debian/patches/60_wait-longer-for-threads-to-die.patch:
      - Updated to apply cleanly again.
    + debian/libglib2.0-0.symbols:
      - Update symbols for 2.15.5.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 12 Feb 2008 06:08:39 +0100

glib2.0 (2.15.4-1) experimental; urgency=low

  [ Loic Minier ]
  * Add a gio gtk-doc symlink.
  * Add a doc-base file for gio.

  [ Sebastian Dröge ]
  * New upstream release:
    + debian/libglib2.0-0.symbols:
      - Update symbols for 2.15.4.
    + debian/rules:
      - Update API version to 2.15.4.
  * debian/patches/02_fam-helper.patch:
    + Fix build failure when building with FAM and not gamin. See BGO #509419
      and BGO #512384 for more details.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 29 Jan 2008 12:14:08 +0100

glib2.0 (2.15.3-1) experimental; urgency=low

  * New upstream release.
  * debian/rules,
    debian/libglib2.0-0.symbols:
    + Update shlibs and all unstable symbols to 2.15.3.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Jan 2008 11:54:42 +0100

glib2.0 (2.15.2-3) experimental; urgency=low

  [ Loic Minier ]
  * Bump up dpkg-dev build-dep to >= 1.14.13 for Build-Depends-Package; thanks
    Raphaël Hertzog.
  * Drop duplicate dpkg-dev bdep.
  * Let libglib2.0-dev depends on ${shlibs:Depends}; thanks Niko Tyni.

  [ Sebastian Dröge ]
  * debian/libgio-fam.install:
    + Fix path where we install the GIO FAM plugin. It shouldn't be
      /usr/lib/gio/gio but /usr/lib/gio. Thanks to Sedat Dilek for reporting.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 21 Jan 2008 08:58:33 +0100

glib2.0 (2.15.2-2) experimental; urgency=low

  * debian/rules:
    + Disable selinux for the udeb until we have a libselinux1 udeb.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Jan 2008 11:50:11 +0100

glib2.0 (2.15.2-1) experimental; urgency=low

  [ Sebastian Dröge ]
  * New upstream development release, the new API may still change
    incompatibly; API additions:
    + Drop patch 67_gcc43-inline.patch, merged upstream.
  * Include check-dist again to prevent accidental uploads to unstable.
  * Disable testsuite for now.
  * Bump shlibs to 2.15.2.
  * Add build dependencies for GIO and add libgio-fam package that contains
    a GIO file/directory monitoring module that uses fam.
  * debian/rules,
    debian/libglib2.0-0.symbols,
    debian/control.in:
    + Add a symbol file for GLib, generated from 2.12.4, 2.14.3, 2.15.2.
      This is handled by dh_makeshlibs. Require dpkg-dev (>= 1.14.8) for this.
  * debian/control.in:
    + Recommend python on the -dev package for the gtester-report utility.
  * debian/shlibs.local:
    + Dropped as pcre is fixed now since 7.4-1 (Closes: #450796).

  [ Loic Minier ]
  * Build-dep on gtk-doc-tools to prevent a spurious warning from
    gtk-doc.make: "/bin/sh: line 11: test: !=: unary operator expected".
  * Build udeb against system pcre again (now that it provides an udeb); bump
    up libpcre build-dep to >= 7.4-1 (Closes: #443067).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 15 Jan 2008 15:30:20 +0100

glib2.0 (2.14.4-2) unstable; urgency=low

  * debian/rules:
    + Make testsuite failures on sparc non-fatal too as the
      threadpool-test fails there too, most probably of some
      timing related bug. See BGO #481573.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 29 Nov 2007 11:45:57 +0100

glib2.0 (2.14.4-1) unstable; urgency=low

  [ Loic Minier ]
  * Fix disabled patch name 01_gettext-desktopfiles in series.

  [ Josselin Mouette ]
  * Conflict against nautilus < 2.20 according to
    http://bugzilla.gnome.org/show_bug.cgi?id=440988#c182

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 25 Nov 2007 14:37:34 +0100

glib2.0 (2.14.3-1) unstable; urgency=high

  [ Sebastian Dröge ]
  * debian/shlibs.local:
    + Override libpcre3's shlibs to require at least pcre 7.2 (See: #449289).

  [ Loic Minier ]
  * New upstream stable release; bug fixes and security update.
    - SECURITY: Update the internal copy of PCRE to 7.4, fixes CVE-2007-4767;
      the internal copy is used for the udeb.
    - Drop relibtoolizing patch, 70_relibtoolize, as upstream prepared this
      tarball with libtool 1.5.24.

 -- Loic Minier <lool@dooz.org>  Sat, 10 Nov 2007 19:59:04 +0100

glib2.0 (2.14.2-1) unstable; urgency=low

  * Add GNOME bug id to 70_relibtoolize.
  * New upstream stable release; no API change.
  * Add lpia to the list of arches on which testsuite failures are fatal.

 -- Loic Minier <lool@dooz.org>  Wed, 17 Oct 2007 17:19:16 +0200

glib2.0 (2.14.1-5) unstable; urgency=low

  * Add a relibtoolizing patch, 70_relibtoolize, to get some hurd-i386 fixes
    in libtool; see Debian #445001.

 -- Loic Minier <lool@dooz.org>  Sun, 07 Oct 2007 16:52:44 +0200

glib2.0 (2.14.1-4) unstable; urgency=low

  * Document that testsuite failure aren't fatal on m68k due to GNOME #481575.
  * Disable testsuite on arm, mips, powerpc; see GNOME #481573; mipsel was
    already disabled because its testsuite results were unknown in
    experimental.
  * Document that testsuite failure is disabled on hppa, hurd, kfreebsd-amd64,
    kfreebsd-i386 due to Debian #428674.

 -- Loic Minier <lool@dooz.org>  Sat, 29 Sep 2007 13:56:18 +0200

glib2.0 (2.14.1-3) unstable; urgency=medium

  * Only build the standards debs against the system PCRE, i.e. build the udeb
    against the builtin PCRE until pcre3 provides an udeb.

 -- Loic Minier <lool@dooz.org>  Tue, 18 Sep 2007 21:35:30 +0200

glib2.0 (2.14.1-2) unstable; urgency=low

  * debian/control.in,
    debian/rules:
    + Build against the system PCRE instead of the supplied one.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Sep 2007 09:41:48 +0200

glib2.0 (2.14.1-1) unstable; urgency=low

  [ Loic Minier ]
  * Mention I added 90_fix-abi-check-with-debug in 2.14.0-1

  [ Sebastian Dröge ]
  * New upstream major stable release, without API changes.
  * debian/patches/90_fix-abi-check-with-debug.patch:
    + Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Sep 2007 06:35:29 +0200

glib2.0 (2.14.0-2) unstable; urgency=low

  * Upload to unstable; drop check-dist include.

 -- Loic Minier <lool@dooz.org>  Tue, 21 Aug 2007 09:05:30 +0200

glib2.0 (2.14.0-1) experimental; urgency=low

  * Fix double --host/--build flags to configure.
  * Update patch 67_gcc43-inline to also fix the headers for GCC 4.2.
  * New upstream major stable release; API additions.
    - Bump up shlibs to >= 2.14.0.
    - Drop patch 90_from_svn_fix_missing_pointer_casting, merged upstream.
    - New patch, 90_fix-abi-check-with-debug, fixes build of testsuite in
      debug mode; from SVN.

 -- Loic Minier <lool@dooz.org>  Mon, 20 Aug 2007 21:54:07 +0200

glib2.0 (2.13.7-3) experimental; urgency=low

  * debian/patches/90_from_svn_fix_missing_pointer_casting.patch:
    - patch from SVN, "fixed missing pointer casts when using atomic ops."
      (Closes: #434853)

 -- Sebastien Bacher <seb128@debian.org>  Fri, 27 Jul 2007 16:14:13 +0200

glib2.0 (2.13.7-2) experimental; urgency=low

  * Bump shlibs to 2.13.7.

 -- Loic Minier <lool@dooz.org>  Wed, 25 Jul 2007 16:09:27 +0200

glib2.0 (2.13.7-1) experimental; urgency=low

  * Drop "libtool_is_fool" snippet patching hardcode_libdir_flag_spec and
    archive_cmds which is probably dangerous with newer libtools.
  * Fix flavor name in a comment of debian/rules.
  * Use -s instead of -a in arch-specific dh_* calls.
  * New upstream development release; some API additions.
    - Drop patch 60_output-lines-during-tests, merged upstream.
  * New patch, 60_wait-longer-for-threads-to-die, to wait 5 seconds instead of
    one for threads to die in the threadpool test; hopefully fixes hppa and
    kfreebsd testsuite failures; see #428674 and #431720.
  * Don't make testsuite failures fatal on hppa; closes: #431720.

 -- Loic Minier <lool@dooz.org>  Thu, 12 Jul 2007 21:37:47 +0200

glib2.0 (2.13.6-1) experimental; urgency=low

  * Don't pass -L to dh_shlibdeps as the shlibs.local trick is enough and this
    can result in duplicate deps; closes: #317461.
  * Set myself as maintainer.
  * Cleanups.
  * Make the testsuite failures fatal on arches which passed the testsuite
    with 2.13.5 in experimental (currently: alpha amd64 arm hppa i386 ia64
    mips powerpc s390); closes: #291486.
  * Don't run the testsuite when cross-compiling.
  * New upstream development release; only API change is to change back the
    definition of GType for C++ to be gulong.

 -- Loic Minier <lool@dooz.org>  Mon, 02 Jul 2007 10:21:34 +0200

glib2.0 (2.13.5-1) experimental; urgency=low

  * New upstream release
   - Bump shlibs to >= 2.13.5, as the API was changed

 -- Marc 'HE' Brockschmidt <he@debian.org>  Tue, 19 Jun 2007 16:14:16 +0200

glib2.0 (2.13.4-2) experimental; urgency=low

  * New patch, 67_gcc43-inline, fixes FTBFS of apps using glib with GCC 4.3
    which uses C99 where the meaning of "inline" changed; patch was adapted
    from patches in GNOME #315437 and Gentoo #156475; closes: #416863.

 -- Loic Minier <lool@dooz.org>  Sat, 16 Jun 2007 18:49:57 +0200

glib2.0 (2.13.4-1) experimental; urgency=low

  * Also honor parallel=n in DEB_BUILD_OPTIONS.
  * New upstream release series; these are development releases, the new API
    may still change incompatibly.
    - Target at experimental; include check-dist.
    - Bump up shlibs to >= 2.13.4.
  * New patch but disabled, 01_gettext-desktopfiles, permits overriding the
    gettext domain when desktop files have such a field; found in the Ubuntu
    package.

 -- Loic Minier <lool@dooz.org>  Wed, 13 Jun 2007 10:52:27 +0200

glib2.0 (2.12.12-1) unstable; urgency=low

  * Fix description of the -dbg package.
  * New upstream release.

 -- Loic Minier <lool@dooz.org>  Thu, 03 May 2007 19:14:33 +0200

glib2.0 (2.12.11-3) unstable; urgency=medium

  * Initialize CFLAGS to -Wall -g; pass debian/rules' CFLAGS and LDFLAGS to
    configure, doh!
  * Track all stable versions in watch file.
  * Wrap build-deps and deps.
  * Add ${misc:Depends}.
  * New patch 60_output-lines-during-tests, outputs newlines after thousand
    iterations of the inner-loop of the closures test to avoid the timeout on
    mips and mipsel buildds.

 -- Loic Minier <lool@dooz.org>  Thu, 12 Apr 2007 16:13:46 +0200

glib2.0 (2.12.11-2) unstable; urgency=low

  * Run "make check" test suite for the deb flavor except if DEB_BUILD_OPTIONS
    contains the "nocheck" keyword; ignore failures.
  * Include the new uploaders.mk from gnome-pkg-tools instead of duplicating
    its logic; build-dep on gnome-pkg-tools >= 0.11.
  * Drop useless version computations.
  * Add support for DEB_BUILD_OPTIONS_PARALLEL.
  * Upload to unstable; drop check-dist include.

 -- Loic Minier <lool@dooz.org>  Wed, 11 Apr 2007 10:35:43 +0200

glib2.0 (2.12.11-1) experimental; urgency=medium

  * New upstream release; no API change.

 -- Loic Minier <lool@dooz.org>  Fri,  9 Mar 2007 22:02:25 +0100

glib2.0 (2.12.10-1) experimental; urgency=low

  * Include the new check-dist Makefile to prevent accidental uploads to
    unstable; bump build-dep on gnome-pkg-tools to >= 0.10.
  * New upstream release; no API change.
    - Rewrite and cleanup the build-system completely to build a set of
      flavors; drop obsolete targets; drop obsolete files; switch from
      tar-in-tar and sys-build to regular source and quilt patching;
      build-depend on quilt; drop DEB_USE_DBS_TARBALL_LAYOUT; create stampdir
      when necessary; switch from dh_movefiles and dh_installdirs to
      dh_install.
    - Drop patch 000_glib-link; merged upstream.
  * Bump up Debhelper compatibility level to 5.
  * Only ship README.Debian in libglib2.0-dev.
  * Empty dependency_libs in the *.la files of libglib2.0-dev.
  * Override shlibs for the inter-shlibdeps before computing them.
  * Use >= ${source:Version} and ${binary:Version} for inder-deps; build-dep
    on dpkg-dev >= 1.13.19.
  * Fix --dbg-package name.
  * Use make vars for package names.
  * Tune udeb description.
  * Clean /usr/share/doc symlinks generation and move to dh_link generated
    links.
  * Cleanup list of invoked dh_* commands.

 -- Loic Minier <lool@dooz.org>  Thu,  8 Mar 2007 18:51:27 +0100

glib2.0 (2.12.9-2) experimental; urgency=low

  * Bump shlibs to >= 2.12.9.
  * Avoir overwriting the *.la files of the main build with the *.la files of
    the udeb build; fixes "old_library" in *.la files; thanks Tim Dijkstra;
    closes: #297741.

 -- Loic Minier <lool@dooz.org>  Sat, 20 Jan 2007 09:13:40 +0100

glib2.0 (2.12.9-1) experimental; urgency=low

  * Add a get-orig-source target to retrieve the upstream tarball.
  * New upstream releases; no API change.
    - Fixes documentation of g_key_file_set_string_list(); closes: #405028.
    - Avoids spewing warnings with gcc 2.95; closes: #303124.
    - Drop patch 009_accept-space-in-key-names; merged and adapted upstream.

 -- Loic Minier <lool@dooz.org>  Wed, 17 Jan 2007 08:55:27 +0100

glib2.0 (2.12.7-1) experimental; urgency=low

  * New upstream release; no API change; translation updates, bug fixes,
    build fixes.
    - Target at experimental for now.
    - Drop patch 010_restore-old-key-file-syntax-support, merged and adapted
      upstream.

 -- Loic Minier <lool@dooz.org>  Fri,  5 Jan 2007 12:24:38 +0100

glib2.0 (2.12.6-2) unstable; urgency=medium

  * New patch, 010_restore-old-key-file-syntax-support, reverts strict group
    names and key names checks introduced between glib 2.12.4 and 2.12.6;
    instead of failing, critical warnings are output; updates the relevant
    tests as well; closes: #404888.
  * New patch, 009_accept-space-in-key-names, adds support for space in key
    names (independently of 010_restore-old-key-file-syntax-support); updates
    and add relevant tests as well; closes: #404888 as well.

 -- Loic Minier <lool@dooz.org>  Sun, 31 Dec 2006 20:43:23 +0100

glib2.0 (2.12.6-1) unstable; urgency=low

  * New upstream release; no API or ABI change.
    - Fixes file-type detection in nautilus; closes: #404015.

 -- Loic Minier <lool@dooz.org>  Thu, 21 Dec 2006 09:46:30 +0100

glib2.0 (2.12.5-3) unstable; urgency=low

  * Upload to unstable.

 -- Loic Minier <lool@dooz.org>  Wed, 20 Dec 2006 17:27:25 +0100

glib2.0 (2.12.5-2) experimental; urgency=low

  * Upload to unstable.

 -- Loic Minier <lool@dooz.org>  Wed, 20 Dec 2006 08:50:56 +0100

glib2.0 (2.12.5-1) experimental; urgency=low

  * Add cross-reference in 2.12.4-2.
  * New upstream release; no API or ABI change.
    - Target at experimental for now.
    - Drop patch 011_glib-gettext-datarootdir, merged upstream.
  * Drop patch 010_glib2.0.kfreebsd-amd64, is not needed anymore and seems to
    have been at the wrong level anyway.
  * Review and comment on the usefulness of patch 000_glib-link.

 -- Loic Minier <lool@dooz.org>  Tue, 19 Dec 2006 08:52:26 +0100

glib2.0 (2.12.4-2) unstable; urgency=low

  * New patch, 011_glib-gettext-datarootdir, to compute datarootdir
    appropriately for AM_GLIB_DEFINE_LOCALEDIR; GNOME #343825;
    closes: #370282.

 -- Loic Minier <lool@dooz.org>  Thu, 16 Nov 2006 10:14:52 +0100

glib2.0 (2.12.4-1) unstable; urgency=low

  * New upstream release; no API changes.

 -- Loic Minier <lool@dooz.org>  Mon,  2 Oct 2006 10:39:57 +0200

glib2.0 (2.12.3-2) unstable; urgency=low

  * Upload to unstable

  [ Loic Minier]
  * Merge 2.10.3-3.

 -- Sebastien Bacher <seb128@debian.org>  Wed, 13 Sep 2006 13:16:29 +0200

glib2.0 (2.12.3-1) experimental; urgency=low

  * New upstream release; no public API changes.
  * Broaden the -data dep on the lib to permit bin NMUs.

 -- Loic Minier <lool@dooz.org>  Wed, 30 Aug 2006 22:12:02 +0200

glib2.0 (2.12.2-1) experimental; urgency=low

  * New upstream release; no API changes.

 -- Loic Minier <lool@dooz.org>  Mon, 21 Aug 2006 12:30:24 +0200

glib2.0 (2.12.1-1) experimental; urgency=low

  * New upstream release.
  * Sync with overrides and set udeb's Priority to optional instead of extra.
  * Bump up Standards-Version to 3.7.2.

 -- Loic Minier <lool@dooz.org>  Mon,  7 Aug 2006 22:08:21 +0200

glib2.0 (2.12.0-1) experimental; urgency=low

  * New upstream version:
    Major new features include:
    * The Unicode support has been updated to Unicode 5.
    * GBookmarkFile: a parser for files containing bookmarks
      stored using the Desktop Bookmark specification
    * Base64 encoding support
  * debian/rules:
    - updated shver number
  * debian/watch:
    - updated

 -- Sebastien Bacher <seb128@debian.org>  Mon,  3 Jul 2006 10:46:21 +0200

glib2.0 (2.10.3-3) unstable; urgency=low

  * debian/patches/999_ia64_atomic_ops_broken.patch:
    - dropped, it's not required with the new gcc and it was breaking the build
      (Closes: #376260)

  [ Loic Minier ]
  * Sync with overrides and set udeb's Priority to optional instead of extra.

 -- Sebastien Bacher <seb128@debian.org>  Wed, 12 Jul 2006 19:09:21 +0200

glib2.0 (2.10.3-2) unstable; urgency=medium

  * Re-add changes from 2.10.2-2 that were lost in the wild
    (closes: #361697).

 -- Josselin Mouette <joss@debian.org>  Mon, 26 Jun 2006 19:54:17 +0200

glib2.0 (2.10.3-1) unstable; urgency=low

  * New upstream version:
    Bugs fixed:
    - g_completion_complete_utf8 crashes when NULL is passed to it
    - update-desktop-database doesn't handle duplicate entries
      (Closes: #298668)
    - Dereferencing NULL value in g_key_file_get_group_comment
    - GKeyFile set_string_list invalid memory reads
    - The GObject tutorial say g_object_(un)ref is _not_  thread-safe
    - Fix a memory leak in GOption

 -- Sebastien Bacher <seb128@debian.org>  Sat, 27 May 2006 12:54:17 +0200

glib2.0 (2.10.2-2) unstable; urgency=low

  * debian/control.in, debian/rules:
    - patch by Frans Pop <aragorn@tiscali.nl>
    - Add support for udeb dependency resolution in shlibs file
      (Closes: #361697).
    - Simplify debian/rules by making use of udeb support in debhelper.
  * debian/control.in:
    - clarify the description for the -data package (Closes: #362316),
      change suggested Robert Bihlmeyer <robbe@orcus.priv.at>

 -- Sebastien Bacher <seb128@debian.org>  Fri, 28 Apr 2006 00:03:41 +0200

glib2.0 (2.10.2-1) unstable; urgency=low

  * New upstream version:
    - Missing check for .dylib
    - Segmentation Fault when %llu is passed to vasnprintf and HAVE_SNPRINTF
      is not defined
    - Add support for write FDs to GIOChannel
    - Memleak in goption.c::parse_short_option
    - g_parse_debug_string reads beyond buffer
    - g_option_context_parse() should not set program name to '<Unknown>' if
      it is already set
    - g_main_context_unref calls g_source_destroy_internal with incorrect
      arguments
    - Slight performance gains (GList, GAsyncQueue)
    - Use of unitialised memory in g_mem_profile
    - make check FAIL: threadpool-test
    - g_option_context_new parameter lacks better explanation
    - Some breakages with GThreadPool
    - gthread/gthread-win32.c: IsDebuggerPresent needs
      '#define _WIN32_WINDOWS 0x0401'
    - dlerror() portability issue causes crash on (old) a.out NetBSD platform
    - g_timer_elapsed docs should mention that microseconds may be NULL
    - goption + error out params
    - Documentation should not reference G_HAVE_GINT64, as it's deprecated.
  * debian/patches/010_glib2.0.kfreebsd-amd64.patch:
    - patch by Aurelien Jarno <aurel32@debian.org>, fix build on kfreebsd-amd64
      (Closes: #355953)
  * debian/rules:
    - use "-g" for CFLAGS, makes -dbg package useful again
    change by Fabio M. Di Nitto <fabbione@ubuntu.com> on the Ubuntu package:
    * Make sure to pass CFLAGS to configure.
    * Generalize DEB_BUILD_ARCH.

 -- Sebastien Bacher <seb128@debian.org>  Fri,  7 Apr 2006 23:23:14 +0200

glib2.0 (2.10.1-2) unstable; urgency=low

  [ Sjoerd Simons ]
  * Upload to unstable
  * Document udeb changes that Josselin did in an earlier experimental
    package.
  * debian/patches/999_ia64_atomic_ops_broken.patch
    + Added. Uses atomic builtins that gcc-4.0 know on ia64, instead of those
    for gcc-4.1. (Patch by LaMont Jones from the ubuntu package)
  * Updated debian/watch to use download.gnome.org

  [ Josselin Mouette ]
  * Set the conflict with pango < 1.11, that's where the breakage lies.
  * Add a XC-Package-Type header to the udeb and set the priority to extra.
    [debian/control.in]

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 19 Mar 2006 12:41:21 +0100

glib2.0 (2.10.1-1) experimental; urgency=low

  * New upstream release (bugfixes, translation updates).
  * [debian/rules] Bring priority parameter for dpkg-distaddfile for the udeb
    in line with control.in .

  Josselin Mouette <joss@debian.org>:
  * Conflict with pango < 1.10 to avoid breakage caused by the unicode
    changes.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 11 Mar 2006 13:53:16 +0100

glib2.0 (2.10.0-1) experimental; urgency=low

  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Mon,  6 Mar 2006 00:32:27 +0100

glib2.0 (2.8.6-1) unstable; urgency=medium

  * New upstream release (bugfixes, translation updates).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 18 Jan 2006 20:30:26 +0100

glib2.0 (2.8.5-1) unstable; urgency=low

  * New upstream release (bugfixes, translation updates,
    g_object_compat_control() added).
  * [debian/rules] Bumped shver to 2.8.5 to reflect the API change.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu,  5 Jan 2006 21:22:36 +0100

glib2.0 (2.8.4-2) unstable; urgency=high

  * Fix shlibs deps that crept in the amd64 package, thanks Kurt Roeckx for
    all the fish. (Closes: #339685)
    - Cleanup and clarify upstream version calculations.
    - Drop dh_makeshlibs -a call as only one package ships shlibs and already
      has a separate call.
    - Drop useless shlibs.local generation.
    - Call dh_shlibdeps with cleaner arguments.
    [debian/rules]
  * Fix "fakeroot debian/rules clean" by following find calls with a .svn
    filter.
    [debian/scripts/lib]
  * Fix quoting of unfix.source.patch:START and FAILED messages.
    [debian/scripts/messages]
  * Clarify Copyright versus License and update upstream URL.
    [debian/copyright]

 -- Loic Minier <lool@dooz.org>  Sun, 20 Nov 2005 10:36:26 +0100

glib2.0 (2.8.4-1) unstable; urgency=low

  * New upstream version.

 -- Sebastien Bacher <seb128@debian.org>  Tue, 15 Nov 2005 16:22:08 +0100

glib2.0 (2.8.3-1) unstable; urgency=medium

  * New upstream release (fix an error that crept in with a change to
    glib-mkenums in 2.8.2, documentation improvements, translation updates).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon,  3 Oct 2005 20:52:26 +0200

glib2.0 (2.8.2-1) unstable; urgency=medium

  * New upstream release (bug fixes, documentation improvements, translation
    updates).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun,  2 Oct 2005 09:31:27 +0200

glib2.0 (2.8.1-1) unstable; urgency=medium

  * New (for Debian) upstream version (bug fixes, documentation improvements,
    translation updates).
  * [debian/control.in] Bumped Standards-Version.
  * [debian/copyright] Updated FSF's address.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 24 Sep 2005 13:45:47 +0200

glib2.0 (2.8.1-0ubuntu1) breezy; urgency=low

  * New upstream version.
  * debian/watch:
    - updated.

 -- Sebastien Bacher <seb128@canonical.com>  Tue, 23 Aug 2005 12:05:20 +0200

glib2.0 (2.8.0-1) unstable; urgency=low

  * New upstream version.
  * debian/rules:
    - updated the shlibs.

 -- Sebastien Bacher <seb128@debian.org>  Sat, 13 Aug 2005 14:14:00 +0200

glib2.0 (2.7.3-1) experimental; urgency=low

  * New upstream version.

 -- Sebastien Bacher <seb128@debian.org>  Fri, 15 Jul 2005 23:42:37 +0200

glib2.0 (2.7.2-1) experimental; urgency=low

  * New upstream version.

 -- Sebastien Bacher <seb128@debian.org>  Fri,  8 Jul 2005 22:07:59 +0200

glib2.0 (2.7.1-1) experimental; urgency=low

  * New upstream version.
  * debian/rules:
    - updated the shlib.

 -- Sebastien Bacher <seb128@debian.org>  Fri,  1 Jul 2005 19:43:05 +0200

glib2.0 (2.7.0-1) experimental; urgency=low

  * New upstream version:
    * GKeyFile:
    - add unit tests.
    - accept \r\n as line end.
    - don't interpret leading zeros as octal numbers.
    - make key and group removal work.
    * GOption:
    - improve formatting of --help output.
    - accept -?.
    - warn about duplicate main groups.
    - treat '-' as non-option argument.
    - report missing arguments as errors.
    - add a boxed type for GDate.
    * GTree:
    - g_tree_remove() and g_tree_steal() return status information.
    * Stdio wrappers:
    - work regardless of large file support.
    - add g_access(), g_chmod(), g_creat(), g_chdir.
    * GObject:
    - implement "toggle references" to help language bindings.
    - allow to mark names, nicks and blurbs of pspecs as static.
    - make pspec lookup a bit faster.
    * add g_listenv() to list all set environment variables.
    * add g_file_set_contents() to atomically write a file.
    * add g_try_malloc(), g_try_new(), g_try_new0() and g_try_renew().
    * add g_utf8_collate_key_for_filename() to sort filenames taking
      extensions and numeric suffixes into account.
    * add G_GNUC_NULL_TERMINATED to mark varargs function with
      NULL-terminated argument lists.
    * documentation improvements.
    * new and updated translations.
  * debian/rules:
    - updated the shlibs.
  * debian/watch:
    - updated.

 -- Sebastien Bacher <seb128@debian.org>  Tue, 21 Jun 2005 12:15:47 +0200

glib2.0 (2.6.5-1) unstable; urgency=low

  * New upstream release again bringing a number of bugfixes, improved
    documentation and updated translations, including
    gthread-posix.c (g_thread_create_posix_impl): Allow setstacksize to
    fail.  (GNOME #304790, Michael Banck) (Closes: #312382)
  * [debian/patches/000_glib-link.patch] Updated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 10 Jun 2005 21:14:42 +0200

glib2.0 (2.6.4-1) unstable; urgency=low

  * New upstream release bringing a number of bugfixes, improved
    documentation and updated translations.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed,  6 Apr 2005 22:16:44 +0200

glib2.0 (2.6.3-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Mon, 28 Feb 2005 09:38:38 +0100

glib2.0 (2.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Sat,  5 Feb 2005 19:23:59 +0100

glib2.0 (2.6.1-3) unstable; urgency=low

  * debian/rules:
    - use "-plibglib$(apiver)-udeb", fix the libglib2.0-0-dbg package.

 -- Sebastien Bacher <seb128@debian.org>  Sun, 23 Jan 2005 22:24:21 +0100

glib2.0 (2.6.1-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control.in:
    - rename libglib2.0-dbg to libglib2.0-0-dbg.
    - set myself as maintainer.
  * debian/rules:
    - use dh_strip to make the debug package.

 -- Sebastien Bacher <seb128@debian.org>  Sun, 16 Jan 2005 12:59:21 +0100

glib2.0 (2.6.1-1) experimental; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Sat,  8 Jan 2005 14:44:05 +0100

glib2.0 (2.6.0-1) experimental; urgency=low

  * New upstream release.
  * debian/rules:
    - updated the shlibs.
  * debian/watch:
    - updated.

 -- Sebastien Bacher <seb128@debian.org>  Mon, 27 Dec 2004 16:15:36 +0100

glib2.0 (2.4.8-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  4 Dec 2004 18:52:44 +0100

glib2.0 (2.4.7-1) unstable; urgency=medium

  * New upstream bugfix release.
  * [debian/patches/000_glib-link.patch] Updated.
  * [debian/patches/001_translations.patch] Dropped.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri,  8 Oct 2004 22:27:49 +0200

glib2.0 (2.4.6-4) unstable; urgency=medium

  * [debian/patches/001_translations.patch] Updated translations from CVS and
    relibtoolise to use new translations.
  * [debian/rules] Fixed udeb naming on Hurd.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri,  8 Oct 2004 12:43:09 +0200

glib2.0 (2.4.6-3) unstable; urgency=medium

  Colin Watson <cjwatson@debian.org>: (Closes: #274053)
  * [debian/rules] binary-arch depends on binary-arch-udeb.
  * [debian/rules] Strip udeb!

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 29 Sep 2004 19:39:22 +0200

glib2.0 (2.4.6-2) unstable; urgency=medium

  * [debian/patches/001_translations.patch] Updated translations from CVS.
  * [debian/rules] Tightened "shver" to tighten shlibs, as some
    incompatibilities with older versions turned up with gconf.
    (Closes: #265659)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 24 Aug 2004 18:50:04 +0200

glib2.0 (2.4.6-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 15 Aug 2004 18:34:27 +0200

glib2.0 (2.4.5-2) unstable; urgency=low

  * debian/patches/000_glib-link.patch:
    - patch from Jurij Smakov <jurij@wooyd.org> to link with all the libs
      (Closes: #263130).

 -- Sebastien Bacher <seb128@debian.org>  Tue,  3 Aug 2004 18:03:53 +0200

glib2.0 (2.4.5-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Sun,  1 Aug 2004 17:31:43 +0200

glib2.0 (2.4.4-1) unstable; urgency=low

  * New upstream release.
    - remove spaces before "#pragma alloca" (Closes: #250667).

 -- Sebastien Bacher <seb128@debian.org>  Fri, 16 Jul 2004 18:44:31 +0200

glib2.0 (2.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Sat,  5 Jun 2004 00:51:01 +0200

glib2.0 (2.4.1-2) unstable; urgency=low

  * Upload in unstable.
  * GNOME Team Upload.
  * J.H.M. Dassen (Ray) <jdassen@debian.org>:
    + [debian/rules] Make the linker work a bit harder so dynamic loading can
      be done faster; safety measure: ensure the build aborts when the library
      still has references to undefined symbols.

 -- Sebastien Bacher <seb128@debian.org>  Sat, 22 May 2004 14:18:23 +0200

glib2.0 (2.4.1-1) experimental; urgency=low

  * New upstream release.
  * GNOME Team Upload.
  * debian/rules:
    - updated shlib version to 2.4.1.

 -- Sebastien Bacher <seb128@debian.org>  Sun,  2 May 2004 12:47:25 +0200

glib2.0 (2.4.0-2) experimental; urgency=low

  * Akira TAGOH <tagoh@debian.org>
  - debian/rules:
    - bumped shlib version to 2.4.0.

 -- Akira TAGOH <tagoh@debian.org>  Wed, 24 Mar 2004 09:12:31 +0900

glib2.0 (2.4.0-1) experimental; urgency=low

  * New upstream release.
  * debian/rules:
    - doh. don't claim the newer shlibs.
  * debian/control:
    - added Uploaders to maintain as team.
    - added gnome-pkg-tools to Build-Depends.
  * debian/docs:
    - added old ChangeLog and NEWS files.

 -- Akira TAGOH <tagoh@debian.org>  Wed, 17 Mar 2004 21:18:00 +0900

glib2.0 (2.2.3-1) unstable; urgency=low

  * "Welcome back my laptop PC!" release.
  * New upstream release.
  * debian/control:
    - bumped Standards-Version to 3.6.1.0.

 -- Akira TAGOH <tagoh@debian.org>  Mon,  1 Sep 2003 02:29:14 +0900

glib2.0 (2.2.2-1) unstable; urgency=low

  * New upstream release.
    - Fix portability problems with G_MIN/MAX_INT64 (closes: Bug#195302)
  * debian/control:
    - bumped Standards-Version to 3.5.10.0.
    - changed the sections for libglib2.0-dev and libglib2.0-dbg to libdevel.
  * debian/compat:
    - use it instead of DH_COMPAT.

 -- Akira TAGOH <tagoh@debian.org>  Tue, 10 Jun 2003 18:44:01 +0900

glib2.0 (2.2.1-3) unstable; urgency=low

  * debian/control:
    - rename libglib2.0-0-udeb to libglib2.0-udeb.
    - delete Recommends line from libglib2.0-udeb. (closes: Bug#183749)
    - add Provides: libglib2.0-0 for libglib2.0-udeb.
  * debian/libglib2.0-udeb.files:
    - contain the libraries and locale data.

 -- Akira TAGOH <tagoh@debian.org>  Sat,  8 Mar 2003 02:46:19 +0900

glib2.0 (2.2.1-2) unstable; urgency=low

  * debian/rules:
    - create the symlinks on /usr/share/gtk-doc/html. (closes: Bug#183504)
    - changed DH_COMPAT to 4.
  * debian/control:
    - add libglib2.0-0-udeb package for debian-installer.

 -- Akira TAGOH <tagoh@debian.org>  Thu,  6 Mar 2003 01:14:44 +0900

glib2.0 (2.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - needed pkg-config (>= 0.14.0).
    - add autotools-dev to Build-Depends.

 -- Akira TAGOH <tagoh@debian.org>  Tue,  4 Feb 2003 01:02:20 +0900

glib2.0 (2.2.0-2) unstable; urgency=low

  * close to be fixed in the upstream release. (closes: Bug#173508)

 -- Akira TAGOH <tagoh@debian.org>  Tue,  7 Jan 2003 17:22:20 +0900

glib2.0 (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    bumped Standards-Version to 3.5.8.

 -- Akira TAGOH <tagoh@debian.org>  Wed, 25 Dec 2002 13:46:08 +0900

glib2.0 (2.0.7-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - changed libc6-dev to libc6-dev | libc-dev in -dev's Depends.
    - bumped Standards-Version and depends debhelper (>> 4).
    - add libgtk2.0-doc to Suggests for -doc.
  * debian/rules:
    - add symlink to fix the missing symlink for gtk. but this release doesn't
      include the hyperlink for gtk+ (closes: Bug#162845)
    - support noopt option for DEB_BUILD_OPTIONS.

 -- Akira TAGOH <tagoh@debian.org>  Tue,  5 Nov 2002 17:06:50 +0900

glib2.0 (2.0.6-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: removed --enable-debug option. conform to the default value
    now. (closes: Bug#151815)
  * debian/patches/000_glib2.0-garray.patch: removed because it's merged by
    the upstream.

 -- Akira TAGOH <tagoh@debian.org>  Sun,  4 Aug 2002 16:05:03 +0900

glib2.0 (2.0.4-3) unstable; urgency=low

  * debian/patches/000_glib2.0-garray.patch:
    applied to fix g_ptr_array_index() macro. (closes: Bug#150521)

 -- Akira TAGOH <tagoh@debian.org>  Sat, 29 Jun 2002 19:46:51 +0900

glib2.0 (2.0.4-2) unstable; urgency=low

  * debian/libglib2.0-doc.doc-base.gobject: fix the dupplicated title.
    (closes: Bug#150040)

 -- Akira TAGOH <tagoh@debian.org>  Sun, 16 Jun 2002 23:27:38 +0900

glib2.0 (2.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Akira TAGOH <tagoh@debian.org>  Sun, 16 Jun 2002 03:33:22 +0900

glib2.0 (2.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Akira TAGOH <tagoh@debian.org>  Wed, 29 May 2002 00:49:56 +0900

glib2.0 (2.0.1-2) unstable; urgency=low

  * debian/scripts/vars.build: fix bashism.
  * debian/README.Debian: add static link issue.
  * debian/rules: add --enable-static. (closes: Bug#142198)

 -- Akira TAGOH <tagoh@debian.org>  Thu, 11 Apr 2002 19:25:17 +0900

glib2.0 (2.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Akira TAGOH <tagoh@debian.org>  Sat, 30 Mar 2002 16:23:54 +0900

glib2.0 (2.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Akira TAGOH <tagoh@debian.org>  Tue, 12 Mar 2002 02:32:11 +0900
